
ParticleDefinitions[GaugeES] = {

      {SdL,  {  PDG ->  {0,0,0},
                Width -> {0, 0, 0},
                Mass -> Automatic,   
                LaTeX -> "\\tilde{d}",
                FeynArtsNr -> 14,
                OutputName -> "dL" }},              
              
      {SdR,  {                PDG -> {0, 0, 0},
               Width -> {0, 0, 0}, 
               Mass -> Automatic,
               FeynArtsNr -> 15,
               LaTeX -> "\\tilde{d}^c",
               OutputName -> "dR" }},
               
       {SuL,  {                PDG -> {0, 0, 0},
               Width -> {0, 0, 0}, 
               Mass -> Automatic,
               FeynArtsNr -> 16,
               LaTeX -> "\\tilde{u}",
               OutputName -> "uL" }}, 
               
       {SuR,  {                PDG -> {0, 0, 0},
               Width -> {0, 0, 0}, 
               Mass -> Automatic,
               FeynArtsNr -> 17,
               LaTeX -> "\\tilde{u}^c",
               OutputName -> "uR" }},
      
       {SeL,  {                PDG -> {0, 0, 0},
               Width -> {0, 0, 0}, 
               Mass -> Automatic,
               FeynArtsNr -> 12,
               LaTeX -> "\\tilde{e}",
               OutputName -> "eL" }}, 
               
       {SeR,  {                PDG -> {0, 0, 0},
               Width -> {0, 0, 0}, 
               Mass -> Automatic,
               FeynArtsNr -> 13,
               LaTeX -> "\\tilde{e}^c",
               OutputName -> "eR" }},
     
       {SvL,  {                PDG -> {0, 0, 0},
               Width -> {0, 0, 0}, 
               Mass -> Automatic,
               FeynArtsNr -> 10,
               LaTeX -> "\\tilde{\\nu}",
               OutputName -> "nL" }},

       {SvR,  {                PDG -> {0, 0, 0},
               Width -> {0, 0, 0}, 
               Mass -> Automatic,
               LaTeX -> "\\tilde{\\nu}^c",
               OutputName -> "nR" }},
      
      {SHd0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 1,
                 LaTeX -> "H_d^0",
                 OutputName -> "Hd0" }},
      
      {SHdm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 2,
                 LaTeX -> "H_d^-",
                 OutputName -> "Hdm" }}, 
                 
      {SHu0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 3,
                 LaTeX -> "H_u^0",
                 OutputName -> "Hu0" }},
      
      {SHup,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 4,
                 LaTeX -> "H_u^+",
                 OutputName -> "Hup" }},      
     
      {VB,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 1,
                 LaTeX -> "B",
                 OutputName -> "B" }},
    
      {VG,    {                  PDG -> 21,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 5,
                 LaTeX -> "G",
                 OutputName -> "G" }},
     
      {VWL,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 2,
                 LaTeX -> "W_L",
                 OutputName -> "WL" }},

      {VWR0,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "W_R^0",
                 OutputName -> "WR0" }},
     
      {gB,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 1,
                 LaTeX -> "\\eta^B",
                 OutputName -> "gB" }},
    
      {gG,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 5,
                 LaTeX -> "\\eta^G",
                 OutputName -> "gG" }},
     
      {gWL,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 2,
                 LaTeX -> "\\eta^{W_L}",
                 OutputName -> "gWL" }},

      {gWR0,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\eta^{W_R^0}",
                 OutputName -> "gWR0" }},    
                 
      {Fd,    {                  PDG -> {1,3,5},
                 Width -> {0, 0, 0}, 
                 Mass -> Automatic,
                 FeynArtsNr -> 4,
                 LaTeX -> "d",
                 OutputName -> "d" }},   
                 
      {Fu,    {                  PDG -> {2,4,6},
                 Width -> {0, 0, 0}, 
                 Mass -> Automatic,
                 FeynArtsNr -> 3,
                 LaTeX -> "u",
                 OutputName -> "u" }},   
                 
      {Fe,    {                  PDG -> {11,13,15},
                 Width -> {0, 0, 0}, 
                 Mass -> Automatic,
                 FeynArtsNr -> 2,
                 LaTeX -> "e",
                 OutputName -> "e" }},
                 
      {Fv,    {                  PDG -> {12,14,16},
                 Width -> {0, 0, 0}, 
                 Mass -> Automatic,
                 FeynArtsNr -> 1,
                 LaTeX -> "\\nu",
                 OutputName -> "n" }},                                                                                      
      {Glu,    {                  PDG -> 100039,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 15,
                 LaTeX -> "\\tilde{g}",
                 OutputName -> "g" }},
                 
      {Wino,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 12,
                 LaTeX -> "\\tilde{W}",
                 OutputName -> "w" }},
                 
      {Bino,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 11,
                 LaTeX -> "\\tilde{B}",
                 OutputName -> "b" }},              
     
      {HD0,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 21,
                 LaTeX -> "\\tilde{H_d^0}",
                 OutputName -> "HD0" }},
        
      {HU0,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 22,
                 LaTeX -> "\\tilde{H_u^0}",
                 OutputName -> "HU0" }},
        
      {HDm,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 23,
                 LaTeX -> "\\tilde{H_d^-}",
                 OutputName -> "HDM" }},
        
      {HUp,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 24,
                 LaTeX -> "\\tilde{H_u^+}",
                 OutputName -> "HUP" }},

      {SdeltaL,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta",
                 OutputName -> "DeltaL" }},

      {SdeltaLbar,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}",
                 OutputName -> "DeltaLbar" }},

      {SdeltaR,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta^c",
                 OutputName -> "DeltaR" }},

      {SdeltaRbar,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}^c",
                 OutputName -> "DeltaRbar" }},

      {FdeltaL,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}",
                 OutputName -> "FDeltaL" }},

      {FdeltaLbar,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}",
                 OutputName -> "FDeltaLbar" }},

      {FdeltaR,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}^c",
                 OutputName -> "FDeltaR" }},

      {FdeltaRbar,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}^c",
		 OutputName -> "FDeltaRbar" }}
      };

      
  ParticleDefinitions[EWSB] = {
    
      
     {hh   ,  {                  Mass ->LesHouches,
                 FeynArtsNr -> 1,
                 LaTeX -> "H^0",
                 OutputName -> "h" }}, 
                 
     {AhR2   ,  {                  Mass ->LesHouches,
                 FeynArtsNr -> 2,
                 LaTeX -> "A^0",
                 OutputName -> "Ah" }},
      
     {Hpm,     {                  Mass ->LesHouches,
                 FeynArtsNr -> 3,
                 LaTeX -> "H^\\pm",
                 OutputName -> "Hp" }},

   {Hppmm,     {                  Mass ->LesHouches,
                 LaTeX -> "H^{\\pm \\pm}",
                 OutputName -> "Hpp" }},

      {VBY,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 1,
                 LaTeX -> "B_Y",
                 OutputName -> "BY" }},
    
      {VG,    {                  PDG -> 21,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 5,
                 LaTeX -> "G",
                 OutputName -> "G" }},
     
      {VWL,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 2,
                 LaTeX -> "W_L",
                 OutputName -> "WL" }},

      {VZ2,   { 
                 Mass -> Automatic,
                 LaTeX -> "Z_2",
                 Goldstone -> AhR2[{1}],
                 OutputName -> "Z2" }},

      {gBY,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 1,
                 LaTeX -> "\\eta^{B_Y}",
                 OutputName -> "gBY" }},
    
      {gG,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 5,
                 LaTeX -> "\\eta^G",
                 OutputName -> "gG" }},
     
      {gWL,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 2,
                 LaTeX -> "\\eta^{W_L}",
                 OutputName -> "gWL" }},

      {gZ2,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 FeynArtsNr -> 3,
                 LaTeX -> "\\eta_{Z_2}",
                 OutputName -> "gZ2" }},            
      
      {Glu,    {                  PDG -> 100039,
                 Width -> 0, 
                 Mass -> LesHouches,
                 FeynArtsNr -> 15,
                 LaTeX -> "\\tilde{g}",
                 OutputName -> "g" }},
                 
      {ChiR2,    { 
                 Width -> 0, 
                 Mass -> LesHouches,
                 FeynArtsNr -> 11,
                 LaTeX -> "\\chi^0",
                 OutputName -> "C0" }},
                 
      {Cha,    { 
                 Width -> 0, 
                 Mass -> LesHouches,
                 FeynArtsNr -> 12,
                 LaTeX -> "\\chi^{\\pm}",
                 OutputName -> "CA" }},

     {Cha2,    {                  Width -> 0, 
                 Mass -> LesHouches,
                 LaTeX -> "\\chi^{\\pm \\pm}",
                 OutputName -> "CA2" }},
    
    {SDLr2, {LaTeX -> "\\tilde{D}_L"}},
    {SULr2, {LaTeX -> "\\tilde{U}_L"}},
    {SDRr2, {LaTeX -> "\\tilde{D}_R"}},
    {SURr2, {LaTeX -> "\\tilde{U}_R"}},
    {SELr2, {LaTeX -> "\\tilde{E}_L"}},
    {SERr2, {LaTeX -> "\\tilde{E}_R"}},
    {SVLr2, {LaTeX -> "\\tilde{V}_L"}},
    {SVRr2, {LaTeX -> "\\tilde{V}_R"}},
    {SH0r2, {LaTeX -> "H"}},
    {SHCr2, {LaTeX -> "H^\\pm"}},
    {SOmLpR2, {LaTeX -> "\\Omega^\\pm"}},
    {FvR2, {LaTeX -> "\nu"}}



        };    
        
        
        
 WeylFermionAndIndermediate = {
       {FHd0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{H}_d^0",
                 OutputName -> "" }},      
                 
       {FHu0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{H}_u^0",
                 OutputName -> "" }}, 
                 
       {FHdm,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{H}_d^-",
                 OutputName -> "" }},                             
   
       {FHup,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{H}_u^+",
                 OutputName -> "" }},

       {FvL,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\nu_L",
                 OutputName -> "" }},                             
   
       {FvR,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\nu_R",
                 OutputName -> "" }},

   {FdeltaRm,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}^{c-}",
                 OutputName -> "" }},                             
   
{FdeltaLbarm,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}^-",
                 OutputName -> "" }},

{FdeltaRbarp,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}^{c+}",
                 OutputName -> "" }},                             
   
   {FdeltaLp,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}^+",
                 OutputName -> "" }},

  {FdeltaR0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}^{c 0}",
                 OutputName -> "" }},                             
   
{FdeltaLbar0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}^0",
                 OutputName -> "" }},

{FdeltaRbar0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}^{c 0}",
                 OutputName -> "" }},                             
   
   {FdeltaL0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}^0",
                 OutputName -> "" }},

        {N0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\lambda_{\\nu}^0",
                 OutputName -> "" }},
                 
        {L0,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\lambda^0",
                 OutputName -> "" }},
                 
        {Lm,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\lambda^-",
                 OutputName -> "" }},
                 
       {Lp,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\lambda^+",
                 OutputName -> "" }},
                 
       {fG,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{G}",
                 OutputName -> "" }},
                 
       {fWL,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{WL}",
                 OutputName -> "" }},

       {fWL0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{W}_L^0",
                 OutputName -> "" }},

       {fWR0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{W}_R^0",
                 OutputName -> "" }},
                 
       {fBY,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{B_Y}",
                 OutputName -> "" }},    
                 
       {phiR,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\phi^c",
                 OutputName -> "" }},
                 
       {phiOmR,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\phi_{\\Omega^c}",
                 OutputName -> "" }},   
                 
       {sigmaOmR,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\sigma_{\\Omega^c}",
                 OutputName -> "" }},                                   

    {phiRbar,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\phi}^c",
                 OutputName -> "" }},

    {sigmaR,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\sigma^c",
                 OutputName -> "" }},

 {sigmaRbar,   {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\sigma}^c",
                 OutputName -> "" }},

   {SdeltaLp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta^+",
                 OutputName -> "DeltaLp" }},

   {SdeltaL0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta^0",
                 OutputName -> "DeltaL0" }},

  {SdeltaLbarm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}^-",
                 OutputName -> "DeltaLbarm" }},

  {SdeltaLbar0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}^0",
                 OutputName -> "DeltaLbar0" }},

     {SdeltaRm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta^{c -}",
                 OutputName -> "DeltaRm" }},

     {SdeltaR0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta^{c 0}",
                 OutputName -> "DeltaR0" }},

  {SdeltaRbarp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}^{c +}",
                 OutputName -> "DeltaRbarp" }},

  {SdeltaRbar0,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}^{c 0}",
                 OutputName -> "DeltaRbar0" }},

   {SdeltaLpp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta^{++}",
                 OutputName -> "DeltaLpp" }},

 {SdeltaLbarmm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}^{--}",
                 OutputName -> "DeltaLbarmm" }},

    {SdeltaRmm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Delta^{c --}",
                 OutputName -> "DeltaRmm" }},

 {SdeltaRbarpp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\overline{\\Delta}^{c ++}",
                 OutputName -> "DeltaRbarpp" }},

 {SomegaLm,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Omega^{-}",
                 OutputName -> "OmegaLm" }},

 {SomegaLp,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Omega^{+}",
                 OutputName -> "OmegaLp" }},

 {SomegaRm,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Omega^{c -}",
                 OutputName -> "OmegaRm" }},

 {SomegaRp,    {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\Omega^{c +}",
                 OutputName -> "OmegaRp" }},

 {SomegaR0,    { LaTeX -> "\\Omega^{c 0}"}},                 
 {SomegaL0r2,    { LaTeX -> "\\Omega^0"}},
               

  {FdeltaLpp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}^{++}",
                 OutputName -> "FDeltaLpp" }},

 {FdeltaLbarmm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}^{--}",
                 OutputName -> "FDeltaLbarmm" }},

    {FdeltaRmm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Delta}^{c --}",
                 OutputName -> "FDeltaRmm" }},

 {FdeltaRbarpp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\overline{\\Delta}}^{c ++}",
                 OutputName -> "FDeltaRbarpp" }},

  {FomegaLm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Omega}^{-}",
                 OutputName -> "FOmegaLm" }},

  {FomegaLp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Omega}^{+}",
                 OutputName -> "FOmegaLp" }},

  {FomegaRm,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Omega}^{c -}",
                 OutputName -> "FOmegaRm" }},

  {FomegaRp,  {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{\\Omega}^{c +}",
                 OutputName -> "FOmegaRp" }},

    {SHd,      {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "H_d",
                 OutputName -> "" }},
                                                                            
   {SHu,      {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "H_u",
                 OutputName -> "" }},
      
   {Sl,      {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{l}",
                 OutputName -> "" }},

   {Sq,      {                  PDG -> 0,
                 Width -> 0, 
                 Mass -> Automatic,
                 LaTeX -> "\\tilde{q}",
                 OutputName -> "" }},
       
       {qL, {LaTeX -> "\\hat{Q}"}},
       {dR, {LaTeX -> "\\hat{d}^c"}},
       {uR, {LaTeX -> "\\hat{u}^c"}},
       {lL, {LaTeX -> "\\hat{L}"}},
       {eR, {LaTeX -> "\\hat{e}^c"}},
       {vR, {LaTeX -> "\\hat{\\nu}^c"}},
       {WR0, {LaTeX ->"\\hat{W}_R^0"}},
       
       {FeR, {LaTeX -> "e^c"}},
       {FlL, {LaTeX -> "L"}},
       {SlL, {LaTeX -> "\\tilde{L}"}},
       {FuR, {LaTeX -> "u^c"}},
              {FdR, {LaTeX -> "d^c"}},
                     {SqL, {LaTeX -> "\\tilde{Q}"}},
       {FqL, {LaTeX -> "Q"}},                     
       
       {e,    { Description -> "Right Electron Superfield" }},
       {d,    { Description -> "Right Down-Quark Superfield" }},                 
       {q,    { Description -> "Left Quark Superfield" }},                 
       {u,    { Description -> "Right Up-Quark Superfield" }},                 
       {l,    { Description -> "left Lepton Superfield" }},  
       {Hd,   { Description -> "Down-Higgs Superfield"}},                                         
       {Hu,   { Description -> "Up-Higgs Superfield" }},                 
       {G,    { Description -> "Gluon Superfield" }},                 
       {B,    { Description -> "B Superfield" }},                 
       {WB,   { Description -> "W Superfield" }},
       {deltaR0, {LaTeX -> "\\hat{\\Delta}^{c 0}"}},
       {deltaRbar0, {LaTeX -> "\\hat{\\bar{\\Delta}}^{c 0}"}},
       {omegaR0, {LaTeX -> "\\hat{\\Omega}^{c 0}"}},
       {omegaL, {LaTeX -> "\\hat{\\Omega}"}},
       {FomegaR0, {LaTeX -> "\\Omega^{c 0}"}},
       {FomegaL, {LaTeX -> "\\Omega"}},
       {SomegaR0, {LaTeX -> "\\tilde{\\Omega}^{c 0}"}},
       {SomegaL, {LaTeX -> "\\tilde{\\Omega}"}},
       {Sl,   { Description -> "Left Slepton" }},
       {Sq,   { Description -> "Left Squark" }},
       {FHd,  { Description -> "Down-Higgsino" }},
       {FHu,  { Description -> "Up-Higgsino" }},
       {Fl,   { Description -> "Left Leptons"}},
       {Fq,   { Description -> "Left Quarks"}}, 
       {WL, {LaTeX -> "\\hat{W}_L"}},
       {WR, {LaTeX -> "\\hat{W}_R"}},
       {fWL, {LaTeX -> "\\tilde{W}_L"}},
       {fWR, {LaTeX -> "\\tilde{W}_R"}},
       {VWR, {LaTeX -> "W_R"}},
       {VWL, {LaTeX -> "W_L"}},
              {fWB,  { Description ->"Wino Weyl-Spinor"}},
       {fW0,  { Description ->"Neutral Wino" }},
       {fWm,  { Description ->"Negative Wino"}},                 
       {fWp,  { Description ->"Positive Wino"}},                 
       {fB,   { Description ->"Bino Weyl-Spinor"}}  


                     

        };       


