(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    329488,       8483]
NotebookOptionsPosition[    276942,       7406]
NotebookOutlinePosition[    277746,       7434]
CellTagsIndexPosition[    277614,       7428]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Example of an EFT matching: High Scale MSSM with low ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["m", "A"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "8a97ea17-705e-45e5-8128-47b881dd6001"],
 " "
}], "Title",
 CellChangeTimes->{{3.743143165251465*^9, 
  3.743143264125512*^9}},ExpressionUUID->"d7e7dfb5-e4b1-4a79-af36-\
6894dd6f4f47"],

Cell[CellGroupData[{

Cell["Start SARAH and load the MSSM model", "Section",
 CellChangeTimes->{{3.743143222713052*^9, 
  3.743143233774611*^9}},ExpressionUUID->"ddda01c4-9fb7-4485-8dfc-\
aeba3e4545a5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "SARAH`"}], "\[IndentingNewLine]", 
 RowBox[{"Start", "[", "\"\<MSSM\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.738316633358399*^9, 3.738316635405974*^9}, {
  3.741617359367704*^9, 3.741617361688299*^9}, {3.743093576763126*^9, 
  3.743093577416437*^9}, {3.743143272300331*^9, 3.74314327255648*^9}, {
  3.743153632987917*^9, 3.7431536337465687`*^9}, {3.7438395761223993`*^9, 
  3.743839577278612*^9}},ExpressionUUID->"d5b054a6-9a5d-4726-8dcf-\
274e8bc3a1d1"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox[
    StyleBox["\<\"SARAH \"\>", "Section",
     FontSize->14],
    StyleForm[#, "Section", FontSize -> 14]& ], "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"(Private Version)\"\>", "Section",
     FontSize->14],
    StyleForm[#, "Section", FontSize -> 14]& ]}],
  SequenceForm[
   StyleForm["SARAH ", "Section", FontSize -> 14], 
   StyleForm["(Private Version)", "Section", FontSize -> 14]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579254971*^9},ExpressionUUID->"09de78d6-e9df-429d-b1a6-\
c2ca425fe999"],

Cell[BoxData["\<\"by Florian Staub, 2018\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395792564383`*^9},ExpressionUUID->"5e841448-30fd-4e5c-9fd7-\
beca92d1be7c"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"contributions by M. Gabelmann, M. D. Goodsell, K. Nickel\"\>",
   
   FontSize->10],
  StyleForm[#, FontSize -> 10]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579257628*^9},ExpressionUUID->"1aee28cc-6032-49c3-8369-\
873d302895cd"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383957925858*^9},ExpressionUUID->"be8a2e2b-5558-4023-a718-30f212ed2176"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"References:\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579259583*^9},ExpressionUUID->"5b0ab4ae-7514-4968-b73a-\
37a4b304ac8c"],

Cell[BoxData["\<\"  Comput.Phys.Commun.181 (2010) 1077-1086. \
(arXiv:0909.2863[hep-ph])\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395792606153`*^9},ExpressionUUID->"2bc8ba19-95d1-4f71-8baf-\
25d3c9aa5873"],

Cell[BoxData["\<\"  Comput.Phys.Commun.182 (2011) 808-833. \
(arXiv:1002.0840[hep-ph])\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579261639*^9},ExpressionUUID->"d6bf4485-28c4-40d9-9d08-\
499500d93a16"],

Cell[BoxData["\<\"  Comput.Phys.Commun.184 (2013) 1792-1809. \
(arXiv:1207.0906[hep-ph])\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395792626953`*^9},ExpressionUUID->"66fe417d-583b-44e1-82bd-\
9aa9a4b10907"],

Cell[BoxData["\<\"  Comput.Phys.Commun.185 (2014) 1773-1790. \
(arXiv:1309.7223[hep-ph])\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579263742*^9},ExpressionUUID->"6c4348b2-ff22-458d-b7bb-\
e6d88126e405"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Download and Documentation:\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579264847*^9},ExpressionUUID->"eca83252-a47f-4f35-9ff3-\
644f1b8d1ce5"],

Cell[BoxData["\<\"  http://sarah.hepforge.org\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579265891*^9},ExpressionUUID->"5d510ee9-3de6-4dd1-8295-\
9d4fa324bd7d"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395792668667`*^9},ExpressionUUID->"9d0ad96e-1f4b-454f-83ff-\
7f821dc3c75c"],

Cell[BoxData["\<\"Start evaluation of a model with:\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579268214*^9},ExpressionUUID->"f48ee19d-ab66-4440-b133-\
ac4e6a234aa6"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"   Start[\\\"Name of Model\\\"]\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579269496*^9},ExpressionUUID->"02df15d2-d312-4f3d-8f65-\
6cbd6dc73238"],

Cell[BoxData["\<\"e.g. Start[\\\"MSSM\\\"] or \
Start[\\\"NMSSM\\\",\\\"CKM\\\"]\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395792708282`*^9},ExpressionUUID->"b7f0eee9-2eac-400d-a9e7-\
0d704e1dfeb4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"To get a list with all installed models, use \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"ShowModels\"\>", "Section",
     FontSize->12],
    StyleForm[#, "Section", FontSize -> 12]& ]}],
  SequenceForm["To get a list with all installed models, use ", 
   StyleForm["ShowModels", "Section", FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579272328*^9},ExpressionUUID->"8d874463-a146-47f0-a258-\
693cb6b85987"],

Cell[BoxData["\<\"Preparing arrays\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579748081*^9},ExpressionUUID->"bf92d024-1074-46ed-8eb1-\
976c451e8bee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" ... checking Directory: \"\>", 
   "\[InvisibleSpace]", "\<\"/home/martin/FeynTools/sarah4/Models/\"\>"}],
  SequenceForm[
  " ... checking Directory: ", "/home/martin/FeynTools/sarah4/Models/"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579750149*^9},ExpressionUUID->"43aba953-6c8c-4086-be1a-\
aacc4dd89b95"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Model files loaded   \"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579769011*^9},ExpressionUUID->"992fe566-17fa-4ca3-9f0f-\
f1230dd6df69"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Model    : \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"MSSM\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Model    : ", 
   StyleForm["MSSM", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579770677*^9},ExpressionUUID->"6b382730-ad0d-44c9-8c03-\
af2c16a9258e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Author(s): \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"F.Staub\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Author(s): ", 
   StyleForm["F.Staub", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395797720757`*^9},ExpressionUUID->"a1134073-4b7c-43db-851d-\
dc493b5dd972"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Date     : \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"2012-09-01\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Date     : ", 
   StyleForm["2012-09-01", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579773328*^9},ExpressionUUID->"94606e59-5144-43c8-aa38-\
cda743861aeb"],

Cell[BoxData["\<\"******************************************************* \
\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395797744417`*^9},ExpressionUUID->"ad6bb6d7-9576-4776-8181-\
c9f295f1b86e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Loading \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"Susyno\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ], 
   "\[InvisibleSpace]", "\<\" functions for the handling of Lie Groups \"\>"}],
  SequenceForm["Loading ", 
   StyleForm["Susyno", "Section", FontSize -> 10], 
   " functions for the handling of Lie Groups "],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579775691*^9},ExpressionUUID->"aab75341-9ff9-44c1-af3b-\
3f3b7a388089"],

Cell[BoxData["\<\"Based on Susyno v.2.0 by Renato Fonseca (1106.5016)\"\>"], \
"Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395797768183`*^9},ExpressionUUID->"5f03ee2b-3561-4c01-a103-\
ca951b0e04cb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"webpage: \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"web.ist.utl.pt/renato.fonseca/susyno.html\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["webpage: ", 
   StyleForm[
   "web.ist.utl.pt/renato.fonseca/susyno.html", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395797780437`*^9},ExpressionUUID->"6d8fd1c3-a299-4202-b517-\
4012b96a61cc"],

Cell[BoxData["\<\"******************************************************* \
\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383957977915*^9},ExpressionUUID->"9f2bd588-1b99-4159-9120-9766b6351c35"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Initialization\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579780283*^9},ExpressionUUID->"dbadcff5-fb94-41bf-a722-\
49934da8faef"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Checking model files: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCheckModelFiles, StandardForm],
    ImageSizeCache->{117., {3., 9.}}]}],
  SequenceForm["Checking model files: ", 
   Dynamic[SARAH`DynamicCheckModelFiles]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579812195*^9},ExpressionUUID->"0071bb00-2b11-41fe-8c8f-\
c800af72cbe0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initialize gauge groups: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitGaugeG, StandardForm],
    ImageSizeCache->{67., {0., 9.}}]}],
  SequenceForm["Initialize gauge groups: ", 
   Dynamic[SARAH`DynamicInitGaugeG]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395798147917`*^9},ExpressionUUID->"38ef5333-8b41-4c21-96e0-\
1ea2304d8e5e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initialize field: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitFields, StandardForm],
    ImageSizeCache->{67., {0., 9.}}]}],
  SequenceForm["Initialize field: ", 
   Dynamic[SARAH`DynamicInitFields]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579837494*^9},ExpressionUUID->"ca2f8398-ca9c-4c0c-8ab0-\
5dfd1dcfba56"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preprocessing necessary information: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitMisc, StandardForm],
    ImageSizeCache->{67., {0., 9.}}]}],
  SequenceForm["Preprocessing necessary information: ", 
   Dynamic[SARAH`DynamicInitMisc]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839579864469*^9},ExpressionUUID->"3cfdefe5-1031-4c2c-b528-\
be926e9e2e8c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Checking for anomalies: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCheckAnomalies, StandardForm],
    ImageSizeCache->{1088., {3., 9.}}]}],
  SequenceForm["Checking for anomalies: ", 
   Dynamic[SARAH`DynamicCheckAnomalies]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839580070918*^9},ExpressionUUID->"beaece68-eca0-4e4d-a27e-\
6f2ff3cf6640"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Derive Lagrangian\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839580094653*^9},ExpressionUUID->"f9185bea-e3fe-45c2-8879-\
b6a6f63d3962"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate superpotential: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicTermSuperpotentialNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicTermSuperpotential, StandardForm],
    ImageSizeCache->{77., {3., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate superpotential: ", 
   Dynamic[SARAH`DynamicTermSuperpotentialNr], "/", 4, "(", 
   Dynamic[SARAH`DynamicTermSuperpotential], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839580096224*^9},ExpressionUUID->"93976dbb-c74a-418a-ba15-\
69649f56606b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  checking charge conservation: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCheckingCCSup, StandardForm],
    ImageSizeCache->{381., {3., 9.}}]}],
  SequenceForm["  checking charge conservation: ", 
   Dynamic[SARAH`DynamicCheckingCCSup]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839580149028*^9},ExpressionUUID->"89875da3-fb39-42b1-bd03-\
12d1ac47e976"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate F-Terms: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicFTermNr, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "11", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicFTermName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate F-Terms: ", 
   Dynamic[SARAH`DynamicFTermNr], "/", 11, " (", 
   Dynamic[SARAH`DynamicFTermName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395801513643`*^9},ExpressionUUID->"9aad4178-c043-4cc5-8a8f-\
3b31cc3587ad"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate Matter interactions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMatterNr, StandardForm],
    ImageSizeCache->{24., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "121", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMatterName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate Matter interactions: ", 
   Dynamic[SARAH`DynamicMatterNr], "/", 121, " (", 
   Dynamic[SARAH`DynamicMatterName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383958022197*^9},ExpressionUUID->"5a96a864-97cd-4dae-8aeb-b63511e9f2d6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate soft-breaking terms: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicSoftTermsCurrent, StandardForm],
    ImageSizeCache->{67., {0., 9.}}]}],
  SequenceForm["Calculate soft-breaking terms: ", 
   Dynamic[SARAH`DynamicSoftTermsCurrent]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839580589425*^9},ExpressionUUID->"fe5291fa-8fa2-4da9-933e-\
d8e48330c525"],

Cell[BoxData["\<\"Calculate kinetic Terms\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395806621323`*^9},ExpressionUUID->"782f9b1a-00eb-4b7b-bd7b-\
26dc22508ccd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... for scalars: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticScalarNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticScalarName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... for scalars: ", 
   Dynamic[SARAH`DynamicKineticScalarNr], "/", 7, " (", 
   Dynamic[SARAH`DynamicKineticScalarName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839580664371*^9},ExpressionUUID->"a5475788-c06a-4d9d-b519-\
f70090b6cd0b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... for fermions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticFermionNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticFermionName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... for fermions: ", 
   Dynamic[SARAH`DynamicKineticFermionNr], "/", 7, " (", 
   Dynamic[SARAH`DynamicKineticFermionName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839580834981*^9},ExpressionUUID->"4617a692-cee7-4a9a-a616-\
131c7b54803d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate D-Terms: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicDTermsNr, StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "21", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicDTermsName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate D-Terms: ", 
   Dynamic[SARAH`DynamicDTermsNr], "/", 21, " (", 
   Dynamic[SARAH`DynamicDTermsName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383958098035*^9},ExpressionUUID->"8c5a280b-d184-4dea-b719-a6c95a8ccd4c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate gaugino interactions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGauginoMatter, StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "21", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGauginoMatterName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate gaugino interactions: ", 
   Dynamic[SARAH`DynamicGauginoMatter], "/", 21, " (", 
   Dynamic[SARAH`DynamicGauginoMatterName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839581644146*^9},ExpressionUUID->"7b7e9601-ca0f-441f-a714-\
696508358e4f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate vector-gaugino interactions: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGauginoVector, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGauginoVectorName, StandardForm],
    ImageSizeCache->{18., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate vector-gaugino interactions: ", 
   Dynamic[SARAH`DynamicGauginoVector], "/", 3, " (", 
   Dynamic[SARAH`DynamicGauginoVectorName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839581797736*^9},ExpressionUUID->"6f0f1f53-a9fb-4e33-acce-\
fc860f680966"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate vector self-interactions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicVectorNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicVectorName, StandardForm],
    ImageSizeCache->{255., {3., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate vector self-interactions: ", 
   Dynamic[SARAH`DynamicVectorNr], "/", 3, " (", 
   Dynamic[SARAH`DynamicVectorName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839581820161*^9},ExpressionUUID->"5502f22c-9237-46f9-9b14-\
9f7e811562f8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGaugeTNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "10", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGaugeTName, StandardForm],
    ImageSizeCache->{196., {3., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate gauge transformations: ", 
   Dynamic[SARAH`DynamicGaugeTNr], "/", 10, " (", 
   Dynamic[SARAH`DynamicGaugeTName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395818410463`*^9},ExpressionUUID->"efaf9306-6682-4148-9910-\
6e58f2ae0541"],

Cell[BoxData["\<\"Eleminate sums\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839581880019*^9},ExpressionUUID->"cb108596-1fdf-4405-b060-\
37d6eb470e44"],

Cell[BoxData["\<\"Calc Complete Lagrangian\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839581898919*^9},ExpressionUUID->"e1114acc-cfc8-4180-8c70-\
f43d0f6c54d7"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839581918132*^9},ExpressionUUID->"5a67037b-8755-486d-a95a-\
918b3c38ff49"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Evolve States: GaugeES\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839581919505*^9},ExpressionUUID->"5fae47c6-279f-43c4-9078-\
dbcfa62d8798"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rotate Lagrangian: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRotateLag[1], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["Rotate Lagrangian: ", 
   Dynamic[
    SARAH`DynamicRotateLag[1]], "/", 14],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395819207478`*^9},ExpressionUUID->"52530387-939d-42cb-9b05-\
54dc9cd2e518"],

Cell[BoxData["\<\"Derive ghost terms: \"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395823325443`*^9},ExpressionUUID->"0c16e1bd-e5c8-4438-95b1-\
8a396f44decc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... generate gauge fixing terms: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[
     SARAH`DynamicGFnr[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicGFname[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... generate gauge fixing terms: ", 
   Dynamic[
    SARAH`DynamicGFnr[SARAH`GaugeES]], "/", 3, " (", 
   Dynamic[
    SARAH`DynamicGFname[SARAH`GaugeES]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383958234016*^9},ExpressionUUID->"a98a04ce-eff3-496e-a056-f1fe10ab0ae1"],

Cell[BoxData["\<\"  ... calculate Ghost interactions\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395823603487`*^9},ExpressionUUID->"1ce07959-b58e-4bea-ab91-\
5659d37d71d8"],

Cell[BoxData["\<\"Calc Mixings of Matter Fields\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839582379726*^9},ExpressionUUID->"0d4b5272-9c0d-4f6a-809f-\
822deef16592"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Save information (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicSaveInfo[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Save information (", 
   Dynamic[
    SARAH`DynamicSaveInfo[SARAH`GaugeES]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395824268703`*^9},ExpressionUUID->"1ad8dda0-6d34-4e62-9a55-\
a14f39d7a7bc"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383958258114*^9},ExpressionUUID->"4b146f9c-3779-45b9-94ec-34265f2a7ba9"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Evolve States: EWSB\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839582583274*^9},ExpressionUUID->"85b2b716-a238-48a3-87f7-\
88d63fc31a6c"],

Cell[BoxData["\<\"Parametrize Higgs Sector\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839582584504*^9},ExpressionUUID->"e46fe90d-9554-4494-9a94-\
02f5229e5a98"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTvev[2]], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "49", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTvev[2]], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTvev[2]]], "/", 49, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTvev[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839582585752*^9},ExpressionUUID->"b3a8ee41-aa21-449f-8d3b-\
72faf8a75424"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calc mass matrices gauge sector: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicMMgaugeNr[SARAH`EWSB], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicMMgaugeName[SARAH`EWSB], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calc mass matrices gauge sector: ", 
   Dynamic[
    SARAH`DynamicMMgaugeNr[SARAH`EWSB]], "/", 3, "(", 
   Dynamic[
    SARAH`DynamicMMgaugeName[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395826061783`*^9},ExpressionUUID->"450d3dc1-7509-4d74-88b4-\
5f119f9ebaeb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTgaugeMM[2]], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "59", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTgaugeMM[2]], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTgaugeMM[2]]], "/", 59, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTgaugeMM[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839583041791*^9},ExpressionUUID->"974e7507-6f30-434f-8240-\
3276b1327cf8"],

Cell[BoxData["\<\"Add Phases\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839583101409*^9},ExpressionUUID->"9d970352-beb3-4a7d-b06e-\
5aab75ed779c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTphasesMM[2]], StandardForm],
    ImageSizeCache->{18., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "54", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTphasesMM[2]], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTphasesMM[2]]], "/", 54, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTphasesMM[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395831040773`*^9},ExpressionUUID->"27fc88ca-ba51-4b77-b862-\
8c94bbcb0b1e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rotate Lagrangian: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRotateLag[2], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["Rotate Lagrangian: ", 
   Dynamic[
    SARAH`DynamicRotateLag[2]], "/", 14],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395831719112`*^9},ExpressionUUID->"00330446-a247-4932-9479-\
920a2aaa1967"],

Cell[BoxData["\<\"Derive ghost terms: \"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839583876912*^9},ExpressionUUID->"3ce37472-22d8-4f78-8ff0-\
a7c6b898847b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... generate gauge fixing terms: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[
     SARAH`DynamicGFnr[SARAH`EWSB], StandardForm],
    ImageSizeCache->{10., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicGFname[SARAH`EWSB], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... generate gauge fixing terms: ", 
   Dynamic[
    SARAH`DynamicGFnr[SARAH`EWSB]], "/", 4, " (", 
   Dynamic[
    SARAH`DynamicGFname[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839583884797*^9},ExpressionUUID->"94742389-b75e-402d-8698-\
56e0fb77ea1d"],

Cell[BoxData["\<\"  ... calculate Ghost interactions\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839585540657*^9},ExpressionUUID->"99d2fdee-4b08-4553-9773-\
048df1097f26"],

Cell[BoxData["\<\"Calc Mixings of Matter Fields\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383958562002*^9},ExpressionUUID->"20569103-3844-4813-bfef-ae02e0eee2d3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculate mass matrices \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicNrMass[{{{$CellContext`SdL, $CellContext`SdR}, {
         Susyno`LieGroups`conj[$CellContext`SdL], 
         Susyno`LieGroups`conj[$CellContext`SdR]}}, {{$CellContext`SvL}, {
         Susyno`LieGroups`conj[$CellContext`SvL]}}, {{$CellContext`SuL, \
$CellContext`SuR}, {
         Susyno`LieGroups`conj[$CellContext`SuL], 
         Susyno`LieGroups`conj[$CellContext`SuR]}}, {{$CellContext`SeL, \
$CellContext`SeR}, {
         Susyno`LieGroups`conj[$CellContext`SeL], 
         Susyno`LieGroups`conj[$CellContext`SeR]}}, {{$CellContext`phid, \
$CellContext`phiu}, {$CellContext`phid, $CellContext`phiu}}, \
{{$CellContext`sigmad, $CellContext`sigmau}, {$CellContext`sigmad, \
$CellContext`sigmau}}, {{$CellContext`SHdm, 
         Susyno`LieGroups`conj[$CellContext`SHup]}, {
         Susyno`LieGroups`conj[$CellContext`SHdm], $CellContext`SHup}}, \
{{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}, \
{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}}, \
{{$CellContext`fWm, $CellContext`FHdm}, {$CellContext`fWp, \
$CellContext`FHup}}, {{$CellContext`FeL}, {
         Susyno`LieGroups`conj[$CellContext`FeR]}}, {{$CellContext`FdL}, {
         Susyno`LieGroups`conj[$CellContext`FdR]}}, {{$CellContext`FuL}, {
         Susyno`LieGroups`conj[$CellContext`FuR]}}}], StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "12", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicNameMass[{{{$CellContext`SdL, $CellContext`SdR}, {
         Susyno`LieGroups`conj[$CellContext`SdL], 
         Susyno`LieGroups`conj[$CellContext`SdR]}}, {{$CellContext`SvL}, {
         Susyno`LieGroups`conj[$CellContext`SvL]}}, {{$CellContext`SuL, \
$CellContext`SuR}, {
         Susyno`LieGroups`conj[$CellContext`SuL], 
         Susyno`LieGroups`conj[$CellContext`SuR]}}, {{$CellContext`SeL, \
$CellContext`SeR}, {
         Susyno`LieGroups`conj[$CellContext`SeL], 
         Susyno`LieGroups`conj[$CellContext`SeR]}}, {{$CellContext`phid, \
$CellContext`phiu}, {$CellContext`phid, $CellContext`phiu}}, \
{{$CellContext`sigmad, $CellContext`sigmau}, {$CellContext`sigmad, \
$CellContext`sigmau}}, {{$CellContext`SHdm, 
         Susyno`LieGroups`conj[$CellContext`SHup]}, {
         Susyno`LieGroups`conj[$CellContext`SHdm], $CellContext`SHup}}, \
{{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}, \
{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}}, \
{{$CellContext`fWm, $CellContext`FHdm}, {$CellContext`fWp, \
$CellContext`FHup}}, {{$CellContext`FeL}, {
         Susyno`LieGroups`conj[$CellContext`FeR]}}, {{$CellContext`FdL}, {
         Susyno`LieGroups`conj[$CellContext`FdR]}}, {{$CellContext`FuL}, {
         Susyno`LieGroups`conj[$CellContext`FuR]}}}], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculate mass matrices ", 
   Dynamic[
    SARAH`DynamicNrMass[{{{$CellContext`SdL, $CellContext`SdR}, {
        Susyno`LieGroups`conj[$CellContext`SdL], 
        Susyno`LieGroups`conj[$CellContext`SdR]}}, {{$CellContext`SvL}, {
        Susyno`LieGroups`conj[$CellContext`SvL]}}, {{$CellContext`SuL, \
$CellContext`SuR}, {
        Susyno`LieGroups`conj[$CellContext`SuL], 
        Susyno`LieGroups`conj[$CellContext`SuR]}}, {{$CellContext`SeL, \
$CellContext`SeR}, {
        Susyno`LieGroups`conj[$CellContext`SeL], 
        Susyno`LieGroups`conj[$CellContext`SeR]}}, {{$CellContext`phid, \
$CellContext`phiu}, {$CellContext`phid, $CellContext`phiu}}, \
{{$CellContext`sigmad, $CellContext`sigmau}, {$CellContext`sigmad, \
$CellContext`sigmau}}, {{$CellContext`SHdm, 
        Susyno`LieGroups`conj[$CellContext`SHup]}, {
        Susyno`LieGroups`conj[$CellContext`SHdm], $CellContext`SHup}}, \
{{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}, \
{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}}, \
{{$CellContext`fWm, $CellContext`FHdm}, {$CellContext`fWp, \
$CellContext`FHup}}, {{$CellContext`FeL}, {
        Susyno`LieGroups`conj[$CellContext`FeR]}}, {{$CellContext`FdL}, {
        Susyno`LieGroups`conj[$CellContext`FdR]}}, {{$CellContext`FuL}, {
        Susyno`LieGroups`conj[$CellContext`FuR]}}}]], "/", 12, " (", 
   Dynamic[
    SARAH`DynamicNameMass[{{{$CellContext`SdL, $CellContext`SdR}, {
        Susyno`LieGroups`conj[$CellContext`SdL], 
        Susyno`LieGroups`conj[$CellContext`SdR]}}, {{$CellContext`SvL}, {
        Susyno`LieGroups`conj[$CellContext`SvL]}}, {{$CellContext`SuL, \
$CellContext`SuR}, {
        Susyno`LieGroups`conj[$CellContext`SuL], 
        Susyno`LieGroups`conj[$CellContext`SuR]}}, {{$CellContext`SeL, \
$CellContext`SeR}, {
        Susyno`LieGroups`conj[$CellContext`SeL], 
        Susyno`LieGroups`conj[$CellContext`SeR]}}, {{$CellContext`phid, \
$CellContext`phiu}, {$CellContext`phid, $CellContext`phiu}}, \
{{$CellContext`sigmad, $CellContext`sigmau}, {$CellContext`sigmad, \
$CellContext`sigmau}}, {{$CellContext`SHdm, 
        Susyno`LieGroups`conj[$CellContext`SHup]}, {
        Susyno`LieGroups`conj[$CellContext`SHdm], $CellContext`SHup}}, \
{{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}, \
{$CellContext`fB, $CellContext`fW0, $CellContext`FHd0, $CellContext`FHu0}}, \
{{$CellContext`fWm, $CellContext`FHdm}, {$CellContext`fWp, \
$CellContext`FHup}}, {{$CellContext`FeL}, {
        Susyno`LieGroups`conj[$CellContext`FeR]}}, {{$CellContext`FdL}, {
        Susyno`LieGroups`conj[$CellContext`FdR]}}, {{$CellContext`FuL}, {
        Susyno`LieGroups`conj[$CellContext`FuR]}}}]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839585661027*^9},ExpressionUUID->"70df9a49-6090-4313-b512-\
25999edb160b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTmatterMM[2]], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "70", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTmatterMM[2]], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTmatterMM[2]]], "/", 70, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTmatterMM[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839589717309*^9},ExpressionUUID->"1ec9664a-a2eb-495d-9b92-\
68a8ac057635"],

Cell[BoxData["\<\"Calculate Tadpole Equations\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839589806795*^9},ExpressionUUID->"a406d723-3585-4e5d-aa6c-\
9666db123a3f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Save information (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicSaveInfo[SARAH`EWSB], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Save information (", 
   Dynamic[
    SARAH`DynamicSaveInfo[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395910040627`*^9},ExpressionUUID->"fbe91aec-3130-4adf-be35-\
de028adc2bfe"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839592738719*^9},ExpressionUUID->"2ba98512-196d-47f9-98ff-\
30c7d3a55a58"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Finishing\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839592746306*^9},ExpressionUUID->"cc610956-ba8b-4321-a05b-\
3d8ea0e85cf5"],

Cell[BoxData["\<\"Calculate final Lagrangian\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839592747611*^9},ExpressionUUID->"d5078700-8f2f-46f2-9305-\
26a5be36b901"],

Cell[BoxData["\<\"Cleaning up\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395927685633`*^9},ExpressionUUID->"e24b3375-80a3-47da-af50-\
da6f11219f54"],

Cell[BoxData["\<\"   ... add matrix products\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395927699327`*^9},ExpressionUUID->"45a9598f-780e-4e39-b327-\
081ad30ea2cf"],

Cell[BoxData["\<\"   ... checking for massless particles\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395927711287`*^9},ExpressionUUID->"27c9035c-ed66-40f7-9292-\
7b4c2261103f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... calculating tree level masses (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCalcTreeMasses, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   ... calculating tree level masses (", 
   Dynamic[SARAH`DynamicCalcTreeMasses], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.74383959359888*^9},ExpressionUUID->"0d6bf3d4-129e-4580-981b-624e5dc852ad"],

Cell[BoxData["\<\"   ... simplify mass matrices\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594536521*^9},ExpressionUUID->"05d5360e-5aec-4e38-8e0d-\
4e1226bff5d8"],

Cell[BoxData["\<\"Numerical calculations (if necessary)\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594712503*^9},ExpressionUUID->"ebc30e50-fb6e-4667-92d8-\
ed259bcc4af2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... checking for spectrum file: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[SARAH`DynamicSpectrumFileInput, StandardForm],
    ImageSizeCache->{200., {3., 9.}}]}],
  SequenceForm["   ... checking for spectrum file: ", 
   Dynamic[SARAH`DynamicSpectrumFileInput]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395947140093`*^9},ExpressionUUID->"d3eade49-1c4f-40f9-a425-\
9c7a288b9690"],

Cell[BoxData["\<\"   ... reading parameter values and dependences\"\>"], \
"Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395947154703`*^9},ExpressionUUID->"002ea213-c69d-4b6e-aaee-\
018981a87dbf"],

Cell[BoxData["\<\"   ... calculate mixing matrices\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395947166*^9},ExpressionUUID->"ab839d7f-2107-4dfe-a71a-9eb82e9442b8"],

Cell[BoxData["\<\"Checking for CP even and odd scalars\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594846945*^9},ExpressionUUID->"151d80e0-7c46-4a02-aaea-\
fa33b6233fdd"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594848432*^9},ExpressionUUID->"9c724208-9291-48d8-8646-\
1a89c7eb69c6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"All Done. \"\>", "\[InvisibleSpace]", "\<\"MSSM\"\>", 
   "\[InvisibleSpace]", "\<\" is ready!\"\>"}],
  SequenceForm["All Done. ", "MSSM", " is ready!"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594849532*^9},ExpressionUUID->"756087ed-ccd5-4653-a6ac-\
1c0e7fd991b5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"(Model initialized in \"\>", "\[InvisibleSpace]", "15.069769`",
    "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm["(Model initialized in ", 15.069769, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594850706*^9},ExpressionUUID->"77852f73-4953-4814-921b-\
7c654622b379"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594851844*^9},ExpressionUUID->"f8503093-b8f5-4b1d-8f6f-\
b9c8badd897b"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.743839594852906*^9},ExpressionUUID->"58ecbd7a-11cc-479b-8cc9-\
02567ffaa4e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Are you unfamiliar with SARAH? Use \"\>", "\[InvisibleSpace]", 
   
   TagBox[
    StyleBox["\<\"SARAH`FirstSteps\"\>", "Section",
     FontSize->12],
    StyleForm[#, "Section", FontSize -> 12]& ]}],
  SequenceForm["Are you unfamiliar with SARAH? Use ", 
   StyleForm["SARAH`FirstSteps", "Section", FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{3.743839245594281*^9, 
  3.7438395948540373`*^9},ExpressionUUID->"8fc80a81-f339-4f9e-89ec-\
6b0013d05140"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Interactive Mode", "Section",
 CellChangeTimes->{{3.7431432980957613`*^9, 
  3.7431433167661247`*^9}},ExpressionUUID->"6358cc17-f986-43fb-acf2-\
42791ad37c01"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "InitMatching"}]], "Input",
 CellChangeTimes->{{3.743835244784631*^9, 
  3.743835250906391*^9}},ExpressionUUID->"7d3851c7-34e5-4dbe-8942-\
6b096624f5e7"],

Cell[BoxData[
 StyleBox["\<\"InitMatching[options] initializes the matching routines used \
for the calculation of effective scalar couplings.\\n\\nThe function can be \
used in two modi controlled by the option InputFile-> \
False/filename.m\\nwhere filename.m is an input file located in the directory \
of the currently loaded model.\\n\\nIf an input file is given the matching is \
performed as described in the file, see WIKILINK.\\nIf InputFile->False, the \
following options can be used:\\n\\n - Simplifications -> {vu->Sin[\[Beta]] \
epsUV, ...} : list of simplifications used for the analytic diagonalization \
of mass matrices as well as all other calculations.\\n\\n - Approximations -> \
{\[Beta]>0,\[Beta]<Pi/2} : assumptions used to simplify expressions\\n\\n - \
SolveTadpoles -> {mHu2,mHd2} : parameters to solve tadpoles for\\n\\nAfter \
the initialization (no input file given) use the functions ?EFTcoupNLO and \
?EFTcoupLO to calculate effective couplings.\\nSee also \
Options[InitMatching].\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.743839603507743*^9},
 CellTags->
  "Info33743846803-5032045",ExpressionUUID->"afd0dbdd-f676-4da6-9f3e-\
260c86e2fca2"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"notes", " ", "on", " ", "the", " ", 
    RowBox[{"parametrisation", ":", " ", "\[IndentingNewLine]", "  ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", " ", "universal"}], " ", "soft"}], "-", "SUSY", "-", 
      RowBox[{"breaking", " ", "parameters"}], " ", "\[IndentingNewLine]", 
      " ", "-", " ", 
      RowBox[{"vanishing", " ", "VEVS"}]}], ":", " ", 
     RowBox[{
      RowBox[{"neglect", " ", "higher"}], "-", 
      RowBox[{"dimensional", " ", "operators"}], "\[IndentingNewLine]", " ", 
      "-", " ", 
      RowBox[{"only", " ", "contributions", " ", "fron", " ", "third", " ", 
       RowBox[{"slepton", "/", "squark"}], " ", "generation", " ", "as", " ", 
       "well", " ", "as", " ", "and", " ", "degenerate", " ", 
       "electroweakinos", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"also", ":", "\[IndentingNewLine]", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"-", " ", "use"}], " ", "epsUV", " ", "to", " ", "mark", 
          " ", "the", " ", "parameters", " ", "to", " ", "be", " ", 
          "neglected", " ", "at", " ", "the", " ", "matching", " ", "scale"}],
          "\[IndentingNewLine]", "-", " ", 
         RowBox[{"be", " ", "careful", " ", "with", " ", "re"}], "-", 
         RowBox[{
         "definitions", " ", "as", " ", "the", " ", "replacement", " ", 
          "rules", " ", "are", " ", "applied", " ", 
          "recursively"}]}]}]}]}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"MyParametrisation", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"vd", "\[Rule]", "epsUV"}], ",", "\[IndentingNewLine]", 
      RowBox[{"vu", "\[Rule]", "epsUV"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Yu", "[", 
        RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", 
         RowBox[{"3", ",", "b"}], "]"}], " ", 
        RowBox[{
         RowBox[{"Delta", "[", 
          RowBox[{"a", ",", "3"}], "]"}], "/", 
         RowBox[{"Sin", "[", "\[Beta]", "]"}]}], " ", 
        SubscriptBox["Y", "t"]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Yd", "[", 
        RowBox[{"a_", ",", "b1_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", 
         RowBox[{"3", ",", "b1"}], "]"}], " ", 
        RowBox[{
         RowBox[{"Delta", "[", 
          RowBox[{"a", ",", "3"}], "]"}], "/", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}], " ", 
        SubscriptBox["Y", "b"]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Ye", "[", 
        RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", 
         RowBox[{"3", ",", "b"}], "]"}], " ", 
        RowBox[{
         RowBox[{"Delta", "[", 
          RowBox[{"a", ",", "3"}], "]"}], "/", 
         RowBox[{"Cos", "[", "\[Beta]", "]"}]}], " ", 
        SubscriptBox["Y", "\[Tau]"]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"T", "[", "Yu", "]"}], "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], " ", 
        SubscriptBox["m", "SUSY"], " ", 
        RowBox[{"Yu", "[", "a", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"T", "[", "Yd", "]"}], "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], "  ", 
        SubscriptBox["m", "SUSY"], " ", " ", 
        RowBox[{"Yd", "[", "a", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"T", "[", "Ye", "]"}], "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], "  ", 
        SubscriptBox["m", "SUSY"], " ", " ", 
        RowBox[{"Ye", "[", "a", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"mq2", "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], "  ", 
        RowBox[{
         SubscriptBox["m", "SUSY"], " ", "^", "2"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"mu2", "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], "  ", 
        RowBox[{
         SubscriptBox["m", "SUSY"], " ", "^", "2"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"md2", "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], "  ", 
        RowBox[{
         SubscriptBox["m", "SUSY"], " ", "^", "2"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"me2", "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], "  ", 
        RowBox[{
         SubscriptBox["m", "SUSY"], " ", "^", "2"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ml2", "[", "a__", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Delta", "[", "a", "]"}], "  ", 
        RowBox[{
         SubscriptBox["m", "SUSY"], " ", "^", "2"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"conj", "[", "x_", "]"}], "\[Rule]", "x"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"MassB", "\[Rule]", " ", 
       SubscriptBox["m", "SUSY"]}], " ", ",", "\[IndentingNewLine]", 
      RowBox[{"MassWB", "\[Rule]", 
       SubscriptBox["m", "SUSY"]}], ",", "\[IndentingNewLine]", 
      RowBox[{"MassG", "\[Rule]", " ", 
       SubscriptBox["m", "SUSY"]}], " ", ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"B", "[", "\[Mu]", "]"}], "\[Rule]", " ", 
       RowBox[{"epsUV", "^", "2"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"\[Mu]", "\[Rule]", " ", 
       SubscriptBox["m", "SUSY"]}]}], "\[IndentingNewLine]", "}"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.7382207960751333`*^9, 3.738220825529118*^9}, {
   3.738220936557925*^9, 3.738220940664227*^9}, {3.738317276555377*^9, 
   3.73831727757419*^9}, 3.738317693645293*^9, {3.738319417779634*^9, 
   3.738319420083696*^9}, {3.738381841943282*^9, 3.738381842032927*^9}, {
   3.7396082299516373`*^9, 3.7396082335084553`*^9}, {3.743074310700547*^9, 
   3.743074321667157*^9}, {3.743143322532908*^9, 3.7431433293883266`*^9}, {
   3.743143400180645*^9, 3.743143486818593*^9}, {3.74314363974951*^9, 
   3.743143660533547*^9}, {3.743143695437374*^9, 3.743143699615155*^9}, {
   3.743144015910408*^9, 3.743144374462932*^9}, {3.7431464749304457`*^9, 
   3.743146496770465*^9}, {3.743146711371056*^9, 3.743146733523903*^9}, {
   3.74315090728825*^9, 3.7431509300841093`*^9}, {3.743151044005692*^9, 
   3.743151046291287*^9}, 3.74315379392076*^9, {3.743835085326158*^9, 
   3.743835151585753*^9}, {3.743838477034062*^9, 3.743838580455244*^9}, {
   3.743838660707345*^9, 
   3.743838680524205*^9}},ExpressionUUID->"5fff58f4-2813-47e9-bb83-\
2997d951a2eb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Initialize", " ", "the", " ", "matching", " ", "routines"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"InitMatching", "[", 
   RowBox[{
    RowBox[{"ReadLists", "\[Rule]", "True"}], ",", 
    RowBox[{"Parametrisation", "\[Rule]", "MyParametrisation"}], ",", 
    RowBox[{"SolveTadpoles", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"mHd2", ",", "mHu2"}], "}"}]}], ",", 
    RowBox[{"Assumptions", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Beta]", ">", "0"}], ",", 
       RowBox[{"\[Beta]", "<", 
        RowBox[{"Pi", "/", "2"}]}], ",", 
       RowBox[{
        SubscriptBox["m", "SUSY"], ">", "0"}]}], "}"}]}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.738317293212385*^9, 3.738317324949746*^9}, {
   3.7383176700298367`*^9, 3.738317681745158*^9}, {3.738317993135174*^9, 
   3.738317996032065*^9}, {3.738320941339691*^9, 3.738320947589778*^9}, {
   3.743144103046454*^9, 3.743144107846561*^9}, 3.743144153807032*^9, {
   3.743146767474936*^9, 3.743146777082881*^9}, {3.74383516461003*^9, 
   3.743835172358432*^9}, {3.743838716879928*^9, 
   3.7438387235660353`*^9}},ExpressionUUID->"72e39a0b-a1ae-4326-8759-\
bd77543939ad"],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Initialise Matching Routines\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{3.740383487068347*^9, 3.7430743845968733`*^9, 
  3.743148036928669*^9, 3.743151052274681*^9, 3.7431537989924297`*^9, 
  3.7438351733614187`*^9, 3.743838890663076*^9, 3.7438391193795*^9, 
  3.743839174300166*^9, 3.743839270554278*^9, 
  3.743839605923238*^9},ExpressionUUID->"3679f14c-365c-4654-83c5-\
d4c80302ac25"],

Cell[BoxData["\<\"Checking model for missing definitions\"\>"], "Print",
 CellChangeTimes->{3.740383487068347*^9, 3.7430743845968733`*^9, 
  3.743148036928669*^9, 3.743151052274681*^9, 3.7431537989924297`*^9, 
  3.7438351733614187`*^9, 3.743838890663076*^9, 3.7438391193795*^9, 
  3.743839174300166*^9, 3.743839270554278*^9, 
  3.743839605938436*^9},ExpressionUUID->"f0bc0a20-4e72-468d-b034-\
0a2e2422bc46"],

Cell[BoxData["\<\"Generate Directories\"\>"], "Print",
 CellChangeTimes->{3.740383487068347*^9, 3.7430743845968733`*^9, 
  3.743148036928669*^9, 3.743151052274681*^9, 3.7431537989924297`*^9, 
  3.7438351733614187`*^9, 3.743838890663076*^9, 3.7438391193795*^9, 
  3.743839174300166*^9, 3.743839270554278*^9, 
  3.7438396059618893`*^9},ExpressionUUID->"6fa33ee9-06b5-4d0f-95b9-\
4d5570e62586"],

Cell[BoxData["\<\"Building Particle List\"\>"], "Print",
 CellChangeTimes->{3.740383487068347*^9, 3.7430743845968733`*^9, 
  3.743148036928669*^9, 3.743151052274681*^9, 3.7431537989924297`*^9, 
  3.7438351733614187`*^9, 3.743838890663076*^9, 3.7438391193795*^9, 
  3.743839174300166*^9, 3.743839270554278*^9, 
  3.743839606035921*^9},ExpressionUUID->"314b2c62-b885-481c-a925-\
fe801f879d9b"],

Cell[BoxData["\<\"Read Vertex Lists\"\>"], "Print",
 CellChangeTimes->{3.740383487068347*^9, 3.7430743845968733`*^9, 
  3.743148036928669*^9, 3.743151052274681*^9, 3.7431537989924297`*^9, 
  3.7438351733614187`*^9, 3.743838890663076*^9, 3.7438391193795*^9, 
  3.743839174300166*^9, 3.743839270554278*^9, 
  3.743839606066573*^9},ExpressionUUID->"52cc4830-194b-4340-9824-\
62050a3dab0a"],

Cell[BoxData["\<\"Calculate Expressions for Masses and Rotation \
Matrices\"\>"], "Print",
 CellChangeTimes->{3.740383487068347*^9, 3.7430743845968733`*^9, 
  3.743148036928669*^9, 3.743151052274681*^9, 3.7431537989924297`*^9, 
  3.7438351733614187`*^9, 3.743838890663076*^9, 3.7438391193795*^9, 
  3.743839174300166*^9, 3.743839270554278*^9, 
  3.743839606944581*^9},ExpressionUUID->"88aff5db-e9d2-456d-97f5-\
e54639e0da72"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "check", " ", "if", " ", "mass", " ", "matrices", " ", "have", " ", "been",
     " ", "caluclated", " ", "correctly"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
  "ReplacementMasses", "\[IndentingNewLine]", 
   "ReplacementRotationMatrices"}]}]], "Input",
 CellChangeTimes->{{3.739608360630816*^9, 3.739608360844262*^9}, {
  3.743146801042707*^9, 3.743146834048037*^9}, {3.743150969963097*^9, 
  3.743151011058447*^9}, {3.7431510588195963`*^9, 3.743151077850521*^9}, {
  3.7431511274913263`*^9, 3.743151133403494*^9}, {3.74315117883576*^9, 
  3.743151246905449*^9}, {3.743151290203038*^9, 3.743151385132359*^9}, {
  3.743835180091056*^9, 3.743835192680472*^9}, {3.743839060214909*^9, 
  3.743839066999642*^9}},ExpressionUUID->"ab31a42b-2f12-48cf-9c71-\
3f674a5ad76a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Sd", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Sv", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Su", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Se", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "hh", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Ah", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Hpm", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"Mass", "[", "Glu", "]"}], "\[Rule]", 
    SubscriptBox["m", "SUSY"]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Chi", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        SubscriptBox["m", "SUSY"]}], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Cha", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["m", "SUSY"], ",", 
       SubscriptBox["m", "SUSY"]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Fe", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Fd", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"Mass", "[", "Fu", "]"}], "[", "a_Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.743151301569696*^9, 3.743151385498083*^9}, {
   3.7431538007477913`*^9, 3.743153804721743*^9}, 3.743835201723415*^9, 
   3.743838892955908*^9, {3.743839057683201*^9, 3.7438390674572678`*^9}, 
   3.743839124554536*^9, 3.743839273273753*^9, 
   3.743839608687085*^9},ExpressionUUID->"49bac79f-78fa-4786-b5ab-\
ce13e85152dc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"ZD", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1"}], 
        "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZV", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZU", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1"}], 
        "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZE", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1"}], 
        "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZH", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZA", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZP", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZN", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"UM", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"UP", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "\[LeftDoubleBracket]", "a", 
     "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZEL", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZER", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZDL", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZDR", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZUL", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}], ",", 
   RowBox[{
    RowBox[{"ZUR", "[", "a__Integer", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], 
     "\[LeftDoubleBracket]", "a", "\[RightDoubleBracket]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.743151301569696*^9, 3.743151385498083*^9}, {
   3.7431538007477913`*^9, 3.743153804721743*^9}, 3.743835201723415*^9, 
   3.743838892955908*^9, {3.743839057683201*^9, 3.7438390674572678`*^9}, 
   3.743839124554536*^9, 3.743839273273753*^9, 
   3.743839608780263*^9},ExpressionUUID->"fe7784df-a9a8-4a5c-947d-\
978494dc7203"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"see", " ", "the", " ", "options", " ", "for", " ", "tree"}], "-", 
    RowBox[{"level", " ", "and", " ", "one"}], "-", 
    RowBox[{"loop", " ", "matching"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"?", "EFTcoupNLO"}], "\[IndentingNewLine]", 
   RowBox[{"Options", "[", "EFTcoupLO", "]"}], "\[IndentingNewLine]", 
   RowBox[{"Options", "[", "EFTcoupNLO", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.74314723211257*^9, 3.743147263203971*^9}, {
  3.7438352243098307`*^9, 3.743835227006961*^9}, {3.743838757078816*^9, 
  3.743838759148889*^9}},ExpressionUUID->"e3f7ff04-9706-4e62-b4ac-\
5f9e683087b3"],

Cell[BoxData[
 StyleBox["\<\"EFTcoupNLO[{field1[index1],field2[index2]},...,options] \
calculates the effective coupling between field1, field2, ... with the \
generation indices index1, index2, ... at the one-loop order in the limit of \
vanishing external momenta.\\n\\nThe most important options and there default \
values are:\\n\\n- ExcludeFields -> {}  : fields contained in this list do \
not enter the calculation of the effective coupling i.e. diagrams with \
internal propagators of these fields are excluded. Example: {Chi, \
Cha}.\\n\\n- InternalPatterns -> {} : compute only diagrams with certain \
internal field-type patterns e.g. two internal scalars/fermions {SS,FF} etc. \
For an empty list all patterns are computed. Example: {S,SS,SSS,SSSS} \
computes corrections from heavy scalars only.\\n\\n- Topologies -> {} : \
restrict the calculation to a subset of topologies described in WIKILINK. For \
an empty list, all topologies are considered. Example: Topologies -> {D} \
computes box diagrams only. Also a group of topologies e.g.  {B} can be given \
which includes all topologies that contain a two-point function.\\n\\n- \
ExcludeTopologies -> {OffdiagonalWFRs} : excludes topologies from the \
calculation. The filtering of ExcludeTopologies is also applied on the \
topology groups given in the Topology list.\\n\\n- Debug -> False : If set to \
True, all amplitudes are multiplied with a term \
debug[<topology>][<fieldinsertions>] that identifies the topology and the \
internal fields.\\n- ShiftMSDR -> Automatic : includes the \
\!\(\*OverscriptBox[\(MS\), \(_\)]\)-\!\(\*OverscriptBox[\(DR\), \(_\)]\) \
conversion in the calculation. If set to 1, the conversion is computed even \
in a non-SUSY model, if set to 1, the conversion is computed \
exclusively.\\n\\n- GaugeThresholds -> True : wheter to include the \
computation of gauge coupling thresholds which may enter the tree-level \
effective coupling.\\n\\nSee also Options[EFTcoupNLO].\\n\\nExample: \
EFTcoupNLO[{hh[1],hh[1],hh[1],hh[1]}, Topologies->{C}] computes all triangle \
diagrams.\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.743839614254505*^9},
 CellTags->
  "Info83743846814-5032045",ExpressionUUID->"9d653c33-b0ad-4c97-8ffd-\
73317b12331f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ExcludeFields", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"Debug", "\[Rule]", "False"}], ",", 
   RowBox[{"SimplifyResults", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7431472638702908`*^9, 3.743148045907659*^9, 
  3.743153830376717*^9, 3.743835227786927*^9, 3.74383890139019*^9, 
  3.743839131279052*^9, 3.743839278372814*^9, 
  3.7438396142806683`*^9},ExpressionUUID->"fe830814-1d09-4e6b-8215-\
80eae73ff216"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ExcludeFields", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"InternalPatterns", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"Topologies", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"ExcludeTopologies", "\[Rule]", 
    RowBox[{"{", "OffdiagonalWFRs", "}"}]}], ",", 
   RowBox[{"Debug", "\[Rule]", "False"}], ",", 
   RowBox[{"Caching", "\[Rule]", "True"}], ",", 
   RowBox[{"LoopReplace", "\[Rule]", "AnalyticLoopFunctions"}], ",", 
   RowBox[{"IncludeTreeLevel", "\[Rule]", "True"}], ",", 
   RowBox[{"ShiftMSDR", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"LoopFactor", "\[Rule]", 
    FractionBox["1", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Pi]", "2"]}]]}], ",", 
   RowBox[{"GaugeThresholds", "\[Rule]", "True"}], ",", 
   RowBox[{"ShowProgress", "\[Rule]", "True"}], ",", 
   RowBox[{"SimplifyResults", "\[Rule]", "True"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7431472638702908`*^9, 3.743148045907659*^9, 
  3.743153830376717*^9, 3.743835227786927*^9, 3.74383890139019*^9, 
  3.743839131279052*^9, 3.743839278372814*^9, 
  3.743839614283471*^9},ExpressionUUID->"c652a2b6-8f67-48db-b11a-\
38a18cab4411"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Tree", "-", 
    RowBox[{"level", " ", "coupling", " ", "of", " ", 
     SubscriptBox["\[Lambda]", "1"]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "6"}], 
   RowBox[{"EFTcoupLO", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}]}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.73831851605267*^9, 3.738318517228787*^9}, {
  3.7396082382436867`*^9, 3.73960823968721*^9}, {3.743146839906663*^9, 
  3.743146892218981*^9}, {3.7431469310196857`*^9, 
  3.7431469340272427`*^9}},ExpressionUUID->"2ef77aff-afca-4328-bb0d-\
fe48448c7e82"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["g1", "2"], "+", 
    SuperscriptBox["g2", "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.738318509513048*^9, 3.73831854155015*^9}, 
   3.738319652484153*^9, 3.7383322819061537`*^9, 3.738381089817824*^9, 
   3.738381860144629*^9, 3.738385420239098*^9, 3.738386637916294*^9, 
   3.7383868991441813`*^9, 3.738387829124475*^9, 3.7383887955218897`*^9, 
   3.7383896640568733`*^9, 3.738390237779806*^9, 3.738398763454939*^9, {
   3.738399507019043*^9, 3.738399513532688*^9}, 3.7384001304979963`*^9, 
   3.7384011787866898`*^9, 3.738405431499305*^9, 3.738405574047324*^9, 
   3.738406217818413*^9, 3.738406555723734*^9, 3.739608276464653*^9, 
   3.740374979557542*^9, 3.74038358766336*^9, 3.740383765525281*^9, 
   3.741623335163046*^9, 3.743074418687347*^9, 3.743074653169941*^9, 
   3.743075596721981*^9, 3.7431392043368683`*^9, 3.743146872552025*^9, 
   3.743146934871909*^9, 3.743148048667261*^9, 3.743153832568667*^9, {
   3.7438352835500097`*^9, 3.743835292747362*^9}, 3.743838907131901*^9, 
   3.743839133393262*^9, 3.743839194412239*^9, 3.7438392801609488`*^9, 
   3.743839616638047*^9},ExpressionUUID->"edb1c05d-4ee6-4e0d-987c-\
4eae4e8ca9cf"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"One", "-", 
   RowBox[{
   "loop", " ", "contribution", " ", "of", " ", "triangle", " ", "diagrams", 
    " ", "to", " ", 
    SubscriptBox["\[Lambda]", "1"]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.7430762068630466`*^9, 3.743076262588614*^9}, {
  3.743076312237636*^9, 3.743076314745653*^9}, {3.7431468826187067`*^9, 
  3.74314691352286*^9}, {3.7431469558033524`*^9, 3.7431469566530447`*^9}, {
  3.7431472867397633`*^9, 3.74314730176365*^9}, {3.743147500932206*^9, 
  3.7431475011892653`*^9}, {3.743147631703847*^9, 3.743147638676422*^9}, {
  3.7431476992207203`*^9, 3.743147726300593*^9}, {3.743148186277399*^9, 
  3.7431481895175457`*^9}},ExpressionUUID->"0fa583af-f4d5-48d8-b6db-\
8a7615899bb0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "1"}], "/", "6"}], 
  RowBox[{"EFTcoupNLO", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}]}], "}"}], ",", 
    RowBox[{"Topologies", "\[Rule]", 
     RowBox[{"{", "C", "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7431474615588617`*^9, 3.74314747586799*^9}, {
   3.743147511996538*^9, 3.743147522652294*^9}, {3.743147566076748*^9, 
   3.743147624196876*^9}, {3.743147655492782*^9, 3.743147682396812*^9}, {
   3.743147815884906*^9, 3.74314781682121*^9}, 3.743148099909771*^9, {
   3.7431481933897*^9, 3.7431481943176327`*^9}, {3.7438352994888067`*^9, 
   3.743835314135035*^9}},ExpressionUUID->"689149f7-661a-4d4a-bdac-\
3965356d8658"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"9", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "2"], "+", 
       SuperscriptBox["g2", "2"]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
     SubsuperscriptBox["Y", "b", "2"]}], "-", 
    RowBox[{"72", " ", 
     SuperscriptBox[
      RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
     SubsuperscriptBox["Y", "b", "4"]}], "-", 
    RowBox[{"9", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "2"], "+", 
       SuperscriptBox["g2", "2"]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"Csc", "[", "\[Beta]", "]"}], "2"], " ", 
     SubsuperscriptBox["Y", "t", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
     SubsuperscriptBox["Y", "\[Tau]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "2"], "+", 
       SuperscriptBox["g2", "2"], "-", 
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
        SubsuperscriptBox["Y", "\[Tau]", "2"]}]}], ")"}]}]}], 
   RowBox[{"384", " ", 
    SuperscriptBox["\[Pi]", "2"]}]]}]], "Output",
 CellChangeTimes->{3.743839289988626*^9, 
  3.743839623857109*^9},ExpressionUUID->"b242fda5-87d3-4244-afc0-\
0c38029cd3f4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "see", " ", "the", " ", "possible", " ", "topology", " ", "selections"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"TopoNotation", "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.743838807816444*^9, 3.743838836873687*^9}, 
   3.743838993489064*^9},ExpressionUUID->"4444173e-9188-40d0-9a8e-\
076356f855ca"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"T", "[", "2", "]"}], "\[Rule]", 
        RowBox[{"T", "[", "2", "]"}]}]},
      {
       RowBox[{
        RowBox[{"B", "[", "2", "]"}], "\[Rule]", 
        RowBox[{"B", "[", "2", "]"}]}]},
      {
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
        RowBox[{"A", "[", "2", "]"}]}]},
      {
       RowBox[{
        RowBox[{"T", "[", "3", "]"}], "\[Rule]", 
        RowBox[{"T", "[", "3", "]"}]}]},
      {
       RowBox[{
        RowBox[{"C", "[", "3", "]"}], "\[Rule]", 
        RowBox[{"C", "[", "3", "]"}]}]},
      {
       RowBox[{
        RowBox[{"B", "[", "3", "]"}], "\[Rule]", 
        RowBox[{"B", "[", "3", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"T", "[", "4", "]"}], "[", "1", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"T", "[", "4", "]"}], "[", "1", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"T", "[", "4", "]"}], "[", "2", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"T", "[", "4", "]"}], "[", "2", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"C", "[", "4", "]"}], "[", "2", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"C", "[", "4", "]"}], "[", "2", "]"}]}]},
      {
       RowBox[{"D", "\[Rule]", "D"}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"B", "[", "4", "]"}], "[", "1", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"B", "[", "4", "]"}], "[", "1", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "1", "]"}], 
        "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "1", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "2", "]"}], 
        "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "2", "]"}]}]},
      {
       RowBox[{
        RowBox[{"SB", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"SB", "[", "4", "]"}]}]},
      {
       RowBox[{
        RowBox[{"SA", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"SA", "[", "4", "]"}]}]},
      {
       RowBox[{"SA", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"SA", "[", "4", "]"}], "}"}]}]},
      {
       RowBox[{"SB", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"SB", "[", "4", "]"}], "}"}]}]},
      {
       RowBox[{"S", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"SA", "[", "4", "]"}], ",", 
          RowBox[{"SB", "[", "4", "]"}]}], "}"}]}]},
      {
       RowBox[{"A", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"A", "[", "2", "]"}], "}"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "1", "]"}], 
          ",", 
          RowBox[{
           RowBox[{
            RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "2", "]"}]}], 
         "}"}]}]},
      {
       RowBox[{
        RowBox[{"B", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "1", "]"}], 
          ",", 
          RowBox[{
           RowBox[{
            RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "2", "]"}], 
          ",", 
          RowBox[{
           RowBox[{"B", "[", "4", "]"}], "[", "1", "]"}]}], "}"}]}]},
      {
       RowBox[{"B", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"B", "[", "2", "]"}], ",", 
          RowBox[{"B", "[", "3", "]"}], ",", 
          RowBox[{
           RowBox[{"B", "[", "4", "]"}], "[", "1", "]"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "1", "]"}], 
          ",", 
          RowBox[{
           RowBox[{
            RowBox[{"B", "[", "4", "]"}], "[", "2", "]"}], "[", "2", "]"}]}], 
         "}"}]}]},
      {
       RowBox[{
        RowBox[{"T", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"T", "[", "4", "]"}], "[", "1", "]"}], ",", 
          RowBox[{
           RowBox[{"T", "[", "4", "]"}], "[", "2", "]"}]}], "}"}]}]},
      {
       RowBox[{"T", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"T", "[", "2", "]"}], ",", 
          RowBox[{"T", "[", "3", "]"}], ",", 
          RowBox[{
           RowBox[{"T", "[", "4", "]"}], "[", "1", "]"}], ",", 
          RowBox[{
           RowBox[{"T", "[", "4", "]"}], "[", "2", "]"}]}], "}"}]}]},
      {
       RowBox[{
        RowBox[{"C", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], ",", 
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "2", "]"}]}], "}"}]}]},
      {
       RowBox[{"C", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"C", "[", "3", "]"}], ",", 
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], ",", 
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "2", "]"}]}], "}"}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.743838821314272*^9, 3.7438389939877253`*^9, 
  3.7438392900274057`*^9, 
  3.7438396253049803`*^9},ExpressionUUID->"701ec3f1-3e0b-462d-a19f-\
32f281b54e2c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "which", " ", "exact", " ", "field", " ", "contributions", " ", "do", " ", 
    "enter", " ", "the", " ", "trianlge", " ", 
    RowBox[{"loop", "?"}]}], " ", "\[Rule]", " ", 
   RowBox[{"use", " ", "the", " ", "debug", " ", "option"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.743147735340427*^9, 3.7431478094688473`*^9}, {
  3.743148207806218*^9, 3.743148234533409*^9}, {3.743148314720158*^9, 
  3.743148316263474*^9}, {3.743839039276539*^9, 
  3.743839045442235*^9}},ExpressionUUID->"76ec9090-a4c9-431d-99a1-\
fb47fe2bd0d0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "1"}], "/", "6"}], 
  RowBox[{"EFTcoupNLO", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}]}], "}"}], ",", 
    RowBox[{"Topologies", "\[Rule]", 
     RowBox[{"{", "C", "}"}]}], ",", 
    RowBox[{"Debug", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.738333759841689*^9, 3.738333761093457*^9}, {
   3.738335164920858*^9, 3.738335193345549*^9}, 3.738381028257298*^9, {
   3.738399545039879*^9, 3.738399549097139*^9}, 3.7396082422793303`*^9, {
   3.7396083379588337`*^9, 3.739608340498418*^9}, {3.7396089732285337`*^9, 
   3.73960897486922*^9}, {3.74307445201232*^9, 3.7430744601776037`*^9}, {
   3.743075613212225*^9, 3.743075636323285*^9}, 3.743076204302552*^9, {
   3.743139224582608*^9, 3.743139233518485*^9}, {3.743146924891807*^9, 
   3.743147003875299*^9}, {3.743147313308352*^9, 3.74314731354817*^9}, {
   3.743147376116147*^9, 3.743147377523032*^9}, {3.743147447364238*^9, 
   3.743147447548231*^9}, 3.74314771965382*^9, {3.743147792556549*^9, 
   3.7431478233891573`*^9}, {3.7431481258225517`*^9, 3.743148177109335*^9}, 
   3.743148248598269*^9, {3.743835363508132*^9, 
   3.7438353653833313`*^9}},ExpressionUUID->"2af0303a-c009-4399-abf7-\
79d4b3fbe6f1"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "12"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "b", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"debug", "[", 
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"Sd", "[", "3", "]"}], ",", 
          RowBox[{"Sd", "[", "6", "]"}], ",", 
          RowBox[{"Sd", "[", "6", "]"}]}], "]"}], "+", 
        RowBox[{
         RowBox[{"debug", "[", 
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"Sd", "[", "6", "]"}], ",", 
          RowBox[{"Sd", "[", "3", "]"}], ",", 
          RowBox[{"Sd", "[", "3", "]"}]}], "]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "b", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["g1", "2"], " ", 
         RowBox[{
          RowBox[{"debug", "[", 
           RowBox[{
            RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"Sd", "[", "3", "]"}], ",", 
           RowBox[{"Sd", "[", "6", "]"}], ",", 
           RowBox[{"Sd", "[", "6", "]"}]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["g1", "2"], "+", 
           RowBox[{"3", " ", 
            SuperscriptBox["g2", "2"]}]}], ")"}], " ", 
         RowBox[{
          RowBox[{"debug", "[", 
           RowBox[{
            RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"Sd", "[", "6", "]"}], ",", 
           RowBox[{"Sd", "[", "3", "]"}], ",", 
           RowBox[{"Sd", "[", "3", "]"}]}], "]"}]}]}], ")"}]}], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"debug", "[", 
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"Se", "[", "3", "]"}], ",", 
          RowBox[{"Se", "[", "6", "]"}], ",", 
          RowBox[{"Se", "[", "6", "]"}]}], "]"}], "+", 
        RowBox[{
         RowBox[{"debug", "[", 
          RowBox[{
           RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"Se", "[", "6", "]"}], ",", 
          RowBox[{"Se", "[", "3", "]"}], ",", 
          RowBox[{"Se", "[", "3", "]"}]}], "]"}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["g1", "2"], " ", 
         RowBox[{
          RowBox[{"debug", "[", 
           RowBox[{
            RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"Se", "[", "3", "]"}], ",", 
           RowBox[{"Se", "[", "6", "]"}], ",", 
           RowBox[{"Se", "[", "6", "]"}]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["g1", "2"]}], "+", 
           SuperscriptBox["g2", "2"]}], ")"}], " ", 
         RowBox[{
          RowBox[{"debug", "[", 
           RowBox[{
            RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"Se", "[", "6", "]"}], ",", 
           RowBox[{"Se", "[", "3", "]"}], ",", 
           RowBox[{"Se", "[", "3", "]"}]}], "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Csc", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "t", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "4"}], " ", 
         SuperscriptBox["g1", "2"], " ", 
         RowBox[{
          RowBox[{"debug", "[", 
           RowBox[{
            RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"Su", "[", "3", "]"}], ",", 
           RowBox[{"Su", "[", "6", "]"}], ",", 
           RowBox[{"Su", "[", "6", "]"}]}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["g1", "2"], "-", 
           RowBox[{"3", " ", 
            SuperscriptBox["g2", "2"]}]}], ")"}], " ", 
         RowBox[{
          RowBox[{"debug", "[", 
           RowBox[{
            RowBox[{"C", "[", "4", "]"}], "[", "1", "]"}], "]"}], "[", 
          RowBox[{
           RowBox[{"Su", "[", "6", "]"}], ",", 
           RowBox[{"Su", "[", "3", "]"}], ",", 
           RowBox[{"Su", "[", "3", "]"}]}], "]"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.7383337634516068`*^9, {3.738335167381051*^9, 3.7383351955933523`*^9}, 
   3.73838108985917*^9, 3.738381866863681*^9, 3.7383827245220623`*^9, 
   3.738385425875924*^9, 3.738386644613379*^9, 3.7383869049255457`*^9, 
   3.738387835042294*^9, 3.738388801693955*^9, 3.738389670103294*^9, 
   3.738390246028925*^9, 3.738399522462379*^9, 3.738399562321619*^9, 
   3.738400144249012*^9, 3.738401192916232*^9, 3.7384054446283503`*^9, 
   3.7384055876750383`*^9, 3.738406231243998*^9, 3.7384065682296133`*^9, 
   3.739608297866431*^9, 3.739608356814706*^9, 3.739608990643289*^9, 
   3.740374992779866*^9, 3.740383600072115*^9, 3.7403837825703506`*^9, 
   3.743074437935774*^9, 3.743074473390279*^9, 3.7430746695761833`*^9, {
   3.743075609652484*^9, 3.743075649707225*^9}, 3.7430762171363564`*^9, {
   3.7430762532778063`*^9, 3.743076279546858*^9}, 3.743076343763864*^9, {
   3.743139233578837*^9, 3.743139248297594*^9}, 3.743146996914258*^9, 
   3.7431471065635767`*^9, 3.743147418208839*^9, 3.743147454637672*^9, {
   3.7431478179127007`*^9, 3.743147834200108*^9}, 3.743148101040414*^9, {
   3.743148143546467*^9, 3.743148200991333*^9}, 3.743148251331154*^9, 
   3.743153841489318*^9, 3.7438353673509007`*^9, 3.743839013394696*^9, 
   3.7438392974313393`*^9, 
   3.743839633215096*^9},ExpressionUUID->"d7c1a841-1a44-4de9-96e5-\
028713124c6f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "contributions", " ", "from", " ", "heavy", " ", "scalars", " ", "only"}], 
  " ", "*)"}]], "Input",
 CellChangeTimes->{{3.743835370419766*^9, 
  3.743835388417738*^9}},ExpressionUUID->"b7901eb4-6d13-4871-9cb5-\
f064894d3f30"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "1"}], "/", "6"}], 
  RowBox[{"EFTcoupNLO", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}]}], "}"}], ",", 
    RowBox[{"InternalPatterns", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"S", ",", "SS", ",", "SSS", ",", "SSSS"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.743835390835451*^9, 
  3.7438354096735373`*^9}},ExpressionUUID->"ed56221f-73a6-4b3f-876a-\
96d4de7c08ea"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"192", " ", 
     SuperscriptBox["\[Pi]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["g2", "4"]}], "-", 
     RowBox[{"24", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["\[Pi]", "2"]}], "-", 
     RowBox[{"24", " ", 
      SuperscriptBox["g2", "2"], " ", 
      SuperscriptBox["\[Pi]", "2"]}], "+", 
     RowBox[{"15", " ", 
      SuperscriptBox["g1", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}], "+", 
     RowBox[{"9", " ", 
      SuperscriptBox["g2", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}], "+", 
     RowBox[{"5", " ", 
      SuperscriptBox["g1", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SubsuperscriptBox["m", "SUSY", "2"], 
        SuperscriptBox["UVscaleQ", "2"]], "]"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["g2", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SubsuperscriptBox["m", "SUSY", "2"], 
        SuperscriptBox["UVscaleQ", "2"]], "]"}]}], "-", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["g1", "2"], "+", 
        SuperscriptBox["g2", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["UVscaleQ", "2"], 
           SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "b", "2"]}], "+", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "11"}], "+", 
        RowBox[{"12", " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["UVscaleQ", "2"], 
           SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "b", "4"]}], "-", 
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["g1", "2"], "+", 
        SuperscriptBox["g2", "2"]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"Csc", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "t", "2"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox[
       RowBox[{"Csc", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "t", "4"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["g2", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "-", 
     RowBox[{"3", " ", 
      SuperscriptBox["g1", "2"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "-", 
     RowBox[{"3", " ", 
      SuperscriptBox["g2", "2"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "-", 
     RowBox[{"11", " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "4"]}], "+", 
     RowBox[{"12", " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "4"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.7438354137776117`*^9, 3.7438393046566467`*^9, 
  3.743839643185514*^9},ExpressionUUID->"861a0e65-c6a8-4acc-9fb1-\
f5af546c40d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Box", " ", "diagrams", " ", "without", " ", "using", " ", "analytical", 
    " ", "expressions", " ", "for", " ", "loop", " ", "functions"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "6"}], 
   RowBox[{"EFTcoupNLO", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"hh", "[", "1", "]"}], ",", 
       RowBox[{"hh", "[", "1", "]"}], ",", 
       RowBox[{"hh", "[", "1", "]"}], ",", 
       RowBox[{"hh", "[", "1", "]"}]}], "}"}], ",", 
     RowBox[{"Topologies", "\[Rule]", 
      RowBox[{"{", "D", "}"}]}], ",", " ", 
     RowBox[{"LoopReplace", "\[Rule]", "Identity"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7431483200060368`*^9, 3.743148372694048*^9}, {
  3.743148565494862*^9, 3.743148654086231*^9}, {3.74314870796662*^9, 
  3.743148749510228*^9}, {3.743835429095937*^9, 3.743835453974965*^9}, {
  3.743835487940906*^9, 3.7438355885694*^9}, {3.743839471556808*^9, 
  3.743839471963196*^9}},ExpressionUUID->"ca3446cf-1b3f-4e72-9fa7-\
571933aee187"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", 
    SuperscriptBox["\[Pi]", "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "4"], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "+", 
       RowBox[{"5", " ", 
        SuperscriptBox["g2", "4"]}]}], ")"}], " ", 
     RowBox[{"B0i", "[", 
      RowBox[{"bb0", ",", "0", ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"]}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "4"], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["g2", "4"]}]}], ")"}], " ", 
     RowBox[{"C0i", "[", 
      RowBox[{
      "cc0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
      "]"}]}], "+", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["g1", "4"]}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "+", 
       RowBox[{"11", " ", 
        SuperscriptBox["g2", "4"]}]}], ")"}], " ", 
     RowBox[{"C0i", "[", 
      RowBox[{"cc0", ",", "0", ",", "0", ",", "0", ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"]}], "]"}], " ", 
     SubsuperscriptBox["m", "SUSY", "2"]}], "+", 
    RowBox[{"8", " ", 
     RowBox[{"D0i", "[", 
      RowBox[{
      "dd0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"]}], "]"}], " ", 
     SubsuperscriptBox["m", "SUSY", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "4"], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["g2", "4"]}], "-", 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
        SubsuperscriptBox["Y", "b", "4"]}], "-", 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"Csc", "[", "\[Beta]", "]"}], "4"], " ", 
        SubsuperscriptBox["Y", "t", "4"]}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
        SubsuperscriptBox["Y", "\[Tau]", "4"]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.7431483683710938`*^9, 3.743148375317577*^9}, 
   3.743148575675427*^9, {3.743148634588505*^9, 3.743148661738962*^9}, 
   3.743153851026731*^9, 3.743835445871997*^9, {3.743835504010553*^9, 
   3.743835593105541*^9}, 3.74383931151163*^9, 3.743839499011059*^9, 
   3.743839654912158*^9},ExpressionUUID->"c7b7400a-38a2-404e-aee7-\
f56fe8a76506"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "The", " ", "C0", " ", "with", " ", "zeros", " ", "only", " ", "is", " ", 
     "due", " ", "to", " ", "the", " ", "light", " ", "Higgs", " ", 
     "doublets", " ", "and", " ", "\[IndentingNewLine]", " ", "would", " ", 
     "have", " ", "been", " ", "neglected", " ", "when", " ", "using", " ", 
     "the", " ", "modified", " ", "loop", " ", "functions", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"the", " ", "default", " ", "of", " ", "LoopReplace"}], ")"}], 
      ".", "\[IndentingNewLine]", "we"}], " ", "can", " ", "get", " ", "rid", 
     " ", "of", " ", "this", " ", "by", " ", "explicitly", " ", "excluding", 
     " ", "the", " ", "light", " ", "Higgs", " ", 
     RowBox[{"doublets", ".", " ", "This"}], " ", "will", " ", "also", " ", 
     "slightly", " ", "speed"}], "-", 
    RowBox[{"up", " ", "the", " ", 
     RowBox[{"calculation", ":"}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "6"}], 
   RowBox[{"EFTcoupNLO", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"hh", "[", "1", "]"}], ",", 
       RowBox[{"hh", "[", "1", "]"}], ",", 
       RowBox[{"hh", "[", "1", "]"}], ",", 
       RowBox[{"hh", "[", "1", "]"}]}], "}"}], ",", 
     RowBox[{"Topologies", "\[Rule]", 
      RowBox[{"{", "D", "}"}]}], ",", " ", 
     RowBox[{"LoopReplace", "\[Rule]", "Identity"}], ",", 
     RowBox[{"ExcludeFields", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"hh", ",", "Hpm", ",", "Ah"}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.743839329088148*^9, 3.743839482872416*^9}, {
  3.7438396702137203`*^9, 
  3.743839697126751*^9}},ExpressionUUID->"52352761-c517-4484-9e71-\
5ec01ee8836e"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"64", " ", 
    SuperscriptBox["\[Pi]", "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "4"], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "+", 
       RowBox[{"5", " ", 
        SuperscriptBox["g2", "4"]}]}], ")"}], " ", 
     RowBox[{"B0i", "[", 
      RowBox[{"bb0", ",", "0", ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"]}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["g1", "4"]}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "+", 
       RowBox[{"11", " ", 
        SuperscriptBox["g2", "4"]}]}], ")"}], " ", 
     RowBox[{"C0i", "[", 
      RowBox[{"cc0", ",", "0", ",", "0", ",", "0", ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"]}], "]"}], " ", 
     SubsuperscriptBox["m", "SUSY", "2"]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"D0i", "[", 
      RowBox[{
      "dd0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"], ",", 
       SubsuperscriptBox["m", "SUSY", "2"]}], "]"}], " ", 
     SubsuperscriptBox["m", "SUSY", "4"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g1", "4"], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["g2", "4"]}], "-", 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
        SubsuperscriptBox["Y", "b", "4"]}], "-", 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"Csc", "[", "\[Beta]", "]"}], "4"], " ", 
        SubsuperscriptBox["Y", "t", "4"]}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
        SubsuperscriptBox["Y", "\[Tau]", "4"]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.7438394904679337`*^9, 
  3.7438397057982883`*^9},ExpressionUUID->"7f4bd063-33d7-47e4-ba55-\
e44136f44608"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "finally", " ", "calculated", " ", "the", " ", "complete", " ", "one"}], 
   "-", 
   RowBox[{"loop", " ", "effective", " ", 
    SubscriptBox["\[Lambda]", "1"]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.743835741977091*^9, 3.7438357576551247`*^9}, {
  3.743839508150185*^9, 
  3.743839524619855*^9}},ExpressionUUID->"61e95976-e2c3-4d01-8d29-\
da3532b672fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lam1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "6"}], 
   RowBox[{"EFTcoupNLO", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}], ",", 
      RowBox[{"hh", "[", "1", "]"}]}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.743835760915968*^9, 3.7438357697061167`*^9}, {
  3.743836293706539*^9, 
  3.74383629536069*^9}},ExpressionUUID->"152c0a30-34bf-474b-82d3-\
60ae845af6d7"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"384", " ", 
     SuperscriptBox["\[Pi]", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "4"]}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "+", 
     RowBox[{"31", " ", 
      SuperscriptBox["g2", "4"]}], "-", 
     RowBox[{"48", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["\[Pi]", "2"]}], "-", 
     RowBox[{"48", " ", 
      SuperscriptBox["g2", "2"], " ", 
      SuperscriptBox["\[Pi]", "2"]}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["g1", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["g2", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}], "+", 
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SubsuperscriptBox["m", "SUSY", "2"], 
        SuperscriptBox["UVscaleQ", "2"]], "]"}]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SubsuperscriptBox["m", "SUSY", "2"], 
        SuperscriptBox["UVscaleQ", "2"]], "]"}]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["g2", "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SubsuperscriptBox["m", "SUSY", "2"], 
        SuperscriptBox["UVscaleQ", "2"]], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["g1", "2"], "+", 
        SuperscriptBox["g2", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["UVscaleQ", "2"], 
           SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "b", "2"]}], "+", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "11"}], "+", 
        RowBox[{"12", " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["UVscaleQ", "2"], 
           SubsuperscriptBox["m", "SUSY", "2"]], "]"}]}]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "b", "4"]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["g1", "2"], "+", 
        SuperscriptBox["g2", "2"]}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"Csc", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "t", "2"]}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox[
       RowBox[{"Csc", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "t", "4"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["g2", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "-", 
     RowBox[{"6", " ", 
      SuperscriptBox["g1", "2"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "-", 
     RowBox[{"6", " ", 
      SuperscriptBox["g2", "2"], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "2"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "2"]}], "-", 
     RowBox[{"22", " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "4"]}], "+", 
     RowBox[{"24", " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["UVscaleQ", "2"], 
        SubsuperscriptBox["m", "SUSY", "2"]], "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sec", "[", "\[Beta]", "]"}], "4"], " ", 
      SubsuperscriptBox["Y", "\[Tau]", "4"]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{3.7438363046224327`*^9, 
  3.743839721000443*^9},ExpressionUUID->"94e3390b-beaa-40d5-bba8-\
4d157e8fd4bc"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "...", "and", " ", "turn", " ", "it", " ", "into", " ", "a", " ", "fortran",
    " ", "routine", " ", "to", " ", "use", " ", "it", " ", "in", " ", "your", 
   " ", "external", " ", "code"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.743836408812049*^9, 3.743836425489595*^9}, {
  3.743836460584465*^9, 3.743836463146524*^9}, {3.7438395339447203`*^9, 
  3.743839556673053*^9}},ExpressionUUID->"8b7557be-b17f-44e4-b602-\
96a9c1cbe584"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"assoc", "=", 
  RowBox[{"GenerateSelfDefinedFuntion", "[", 
   RowBox[{"\"\<EffLambda1\>\"", ",", 
    RowBox[{"lam1", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Beta]", "\[Rule]", 
        RowBox[{"ArcTan", "[", "TanBeta", "]"}]}], ",", 
       RowBox[{
        SubscriptBox["m", "SUSY"], "\[Rule]", "MSUSY"}], ",", 
       RowBox[{
        SubscriptBox["Y", "\[Tau]"], "\[Rule]", "Ytau"}], ",", 
       RowBox[{
        SubscriptBox["Y", "t"], "\[Rule]", "Ytop"}], ",", 
       RowBox[{
        SubscriptBox["Y", "b"], "\[Rule]", "Ybottom"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.743836306354669*^9, 3.74383635184256*^9}, {
  3.7438364734734898`*^9, 3.7438365041459293`*^9}, {3.7438365789954576`*^9, 
  3.743836587301341*^9}, {3.743836623369067*^9, 
  3.7438366949654408`*^9}},ExpressionUUID->"6b7dca99-9ae3-40bb-9994-\
f788fff8dd2e"],

Cell[BoxData[
 RowBox[{"\[LeftAssociation]", 
  RowBox[{
   RowBox[{"\<\"Arguments\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "g1", ",", "g2", ",", "MSUSY", ",", "TanBeta", ",", "Ybottom", ",", 
      "Ytau", ",", "Ytop"}], "}"}]}], ",", 
   RowBox[{"\<\"ComplexParameters\"\>", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "MSUSY", ",", "TanBeta", ",", "Ybottom", ",", "Ytau", ",", "Ytop"}], 
     "}"}]}], ",", 
   RowBox[{"\<\"RealParameters\"\>", "\[Rule]", 
    RowBox[{"{", "}"}]}], ",", 
   RowBox[{"\<\"SelfDefinedFunction\"\>", 
    "\[Rule]", "\<\"\\n\\nReal(dp) Function \
EffLambda1(g1,g2,MSUSY,TanBeta,Ybottom,Ytau,Ytop,UVscaleQ)\\nImplicit \
None\\nComplex(dp),Intent(in) :: MSUSY,TanBeta,Ybottom,Ytau,Ytop \
\\nReal(dp),Intent(in) :: g1,g2,UVscaleQ\\n\\nEffLambda1=-(9*g1**4 + \
16*g1**2*g2**2 + 31*g2**4 - 48*g1**2*Pi**2 - 48*g2**2*Pi**2 + 4*g1**2*(1 + \
TanBeta**2)& \\n& *Ytau**2 + 4*g2**2*(1 + TanBeta**2)*Ytau**2 - 22*(1 + \
TanBeta**2)**2*Ytau**4 - (6*(g1**2 + g2**2)& \\n& *(1 + \
TanBeta**2)*Ytop**2)/TanBeta**2 + (6*(1 + TanBeta**2)**2*Ytop**4)/TanBeta**4 \
+ 9*g1**4*Log(MSUSY**2/UVscaleQ**2)& \\n&  - \
12*g1**2*g2**2*Log(MSUSY**2/UVscaleQ**2) + 3*g2**4*Log(MSUSY**2/UVscaleQ**2)  \
      & \\n&  + 24*g1**4*Log(UVscaleQ**2/MSUSY**2) - \
12*g1**2*g2**2*Log(UVscaleQ**2/MSUSY**2)       & \\n&  - \
12*g2**4*Log(UVscaleQ**2/MSUSY**2) - 6*g1**2*(1 + \
TanBeta**2)*Ytau**2*Log(UVscaleQ**2/MSUSY**2)& \\n&  - 6*g2**2*(1 + \
TanBeta**2)*Ytau**2*Log(UVscaleQ**2/MSUSY**2) + 24*(1 + TanBeta**2)    & \\n& \
**2*Ytau**4*Log(UVscaleQ**2/MSUSY**2) - 6*(g1**2 + g2**2)*(1 + TanBeta**2)    \
         & \\n& *Ybottom**2*(-2 + 3*Log(UVscaleQ**2/MSUSY**2)) + 6*(1 + \
TanBeta**2)**2*Ybottom**4*(-11 + 12*Log(UVscaleQ**2/MSUSY**2)))& \\n& \
/(384._dp*Pi**2)\\n\\nEnd Function EffLambda1\\n\\n\"\>"}]}], 
  "\[RightAssociation]"}]], "Output",
 CellChangeTimes->{
  3.743836353162652*^9, {3.7438364762970123`*^9, 3.7438365045998774`*^9}, {
   3.743836583266465*^9, 3.743836587752315*^9}, 3.743836642888884*^9, 
   3.743836695876739*^9, 
   3.743839730282488*^9},ExpressionUUID->"e8b59492-01b8-4e68-b06d-\
61be9b6cbec7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"WriteString", "[", 
  RowBox[{"\"\<EffLambda1.f90\>\"", ",", 
   RowBox[{"assoc", "[", "\"\<SelfDefinedFunction\>\"", "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.743836774212871*^9, 
  3.7438368408727617`*^9}},ExpressionUUID->"e943c0e4-fc5e-48bf-9218-\
28158a87201f"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Batch Mode and SPheno Output", "Section",
 CellChangeTimes->{{3.743147097264367*^9, 3.7431471337392273`*^9}, {
  3.7438377733933773`*^9, 
  3.743837779257162*^9}},ExpressionUUID->"56d08292-3e27-4e62-b216-\
1f5787fb5717"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "\[IndentingNewLine]", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{"-", " ", "compute"}], " ", "matching", " ", "conditions", " ", 
     "from", " ", "input", " ", "file"}], "\[IndentingNewLine]", " ", "-", 
    " ", 
    RowBox[{
    "automatically", " ", "generate", " ", "FORTRAN", " ", "functions"}], 
    "\[IndentingNewLine]", " ", "-", " ", 
    RowBox[{"generate", " ", "new", " ", 
     RowBox[{"SPheno", ".", "m"}], " ", "which", " ", "uses", " ", "these", 
     " ", "functions"}]}], " ", "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"InitMatching", "[", 
   RowBox[{
    RowBox[{"ReadLists", "\[Rule]", "True"}], ",", 
    RowBox[{"InputFile", "\[Rule]", "\"\<Matching_THDMII.m\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.738381045118231*^9, 3.738381055201825*^9}, {
  3.738566452381454*^9, 3.738566453454876*^9}, {3.7430765787093487`*^9, 
  3.743076581176963*^9}, {3.7431498872482777`*^9, 3.743149893704748*^9}, {
  3.74315000884886*^9, 3.74315001922589*^9}, {3.743150161009276*^9, 
  3.743150200329349*^9}},ExpressionUUID->"25c1c85b-f74d-4dbf-8cec-\
77def7bd106d"],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Initialise Matching Routines\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnngDD0yh7/zkgDQDpZMQS
  
  "],ExpressionUUID->"dafd5cde-00c3-4d55-ad07-e5dc6ba0c7ee"],

Cell[BoxData["\<\"Checking model for missing definitions\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnngDDaUH2/nNAGgDn9sPy
  
  "],ExpressionUUID->"0bb9ae12-066c-49e5-8231-52804a2a9b22"],

Cell[BoxData["\<\"Generate Directories\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2ZA3M2X8OSAMA4zvDUQ==
  
  "],ExpressionUUID->"af8f1c1c-ca66-4f47-8a4f-eb51ca6386b8"],

Cell[BoxData["\<\"Building Particle List\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2vBSet/8ckAYA6dnEJg==
  
  "],ExpressionUUID->"332313af-3f36-4703-b08f-79ff18d115f4"],

Cell[BoxData["\<\"Read Vertex Lists\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2fBGTv/8ckAYA6rLEQg==
  
  "],ExpressionUUID->"2aa72528-fc82-4743-9a40-7fc21c713592"],

Cell[BoxData["\<\"Calculate Expressions for Masses and Rotation \
Matrices\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2/Jravv8ckAYA6+nEcA==
  
  "],ExpressionUUID->"f06a96b6-2d24-4084-b217-680d78903b13"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Perform Matching\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnngDdZzxp/zkgDQDldcOe
  
  "],ExpressionUUID->"62f77928-fdb5-479b-af5d-2385417db337"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Tree-Level Matching: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicLO, StandardForm],
    ImageSizeCache->{122., {3., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicLOname, StandardForm],
    ImageSizeCache->{56., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Tree-Level Matching: ", 
   Dynamic[SARAH`DynamicLO], "/", 7, " (", 
   Dynamic[SARAH`DynamicLOname], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2fOA2af85IA0A6qrERw==
  
  "],ExpressionUUID->"2f07bd06-7156-4cd0-88c4-df4e9b29d057"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  One-Loop Matching: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicNLO, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicNLOname, StandardForm],
    ImageSizeCache->{56., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  One-Loop Matching: ", 
   Dynamic[SARAH`DynamicNLO], "/", 7, " (", 
   Dynamic[SARAH`DynamicNLOname], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2zF+1eP85IA0A6kTESw==
  
  "],ExpressionUUID->"1bad9497-3899-4f84-b920-9fb9f756efe7"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write Output\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2fHEw/+o5IA0A7ePEvQ==
  
  "],ExpressionUUID->"18b55a79-4d34-493b-afca-bbabe955bb16"],

Cell[BoxData["\<\"  Writing LaTeX Output\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx2DD+ff/UckAYA6b3EOg==
  
  "],ExpressionUUID->"de382e85-17c2-431f-a784-7d853a64af39"],

Cell[BoxData["\<\"  Writing SPheno Output\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx23Ca66uo5IA0A6QHEGg==
  
  "],ExpressionUUID->"8fcb01b6-96fa-4fae-bad5-a32d09c45799"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Done... Output is written to \"\>", 
   "\[InvisibleSpace]", \
"\<\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/\"\>"}],
  SequenceForm[
  "Done... Output is written to ", 
   "/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAeL/Z88dTb312vGZz+xrIHoPZ7xxGpAWdK+wBNFut1ns
QLSE6XlnEB0x75UniC45sCkYRNu1TTkFonfXHs1LB9KPPts2gWi5M0dng+iY
sDlSGUD6mKSKNYgO401eD6JFZlprZAJpXfujU0B0nPvROyC6uORpTh6Q9vau
6gPRbZ4Jm0D0Ez0N03wg/Wf7NI9CIO11rTwKRJvyvF8FoqXaeK6CaKbLdnP3
3Hnt2Bej9Mvo3mvH9Uu59cyBdNqFuy4gum9axNyJD1475hzSXQqia9nUD4Do
5ZNuc08B0ut6jrSD6FmiOxaA6KA3R1SjHr921Nm5UDURSC9IYf4IojNDbuUm
AelVT9le1gJpuyObb9QDaYn9HMZnnrx23HZ109VzQBoA7nHE4g==
  
  "],ExpressionUUID->"b4917ba6-b902-400f-a5f9-e2bf12880e67"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "see", " ", "the", " ", "results", " ", "in", " ", "a", " ", "simple", " ", 
   
   RowBox[{"form", ":", " ", 
    RowBox[{
    "show", " ", "only", " ", "the", " ", "leading", " ", "stop", " ", 
     "contributions"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.743150036146441*^9, 3.7431500486254187`*^9}, {
  3.743150588619521*^9, 3.743150589249803*^9}, {3.74383693217131*^9, 
  3.743836934871245*^9}, {3.743839750910467*^9, 
  3.743839760597233*^9}},ExpressionUUID->"2f68ede2-88fc-40c1-85bf-\
308a2aebac23"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", "\[Pi]"}], ")"}], "^", "2"}], ",", "\[Delta]", " ", ",",
        "lam", ",", "\"\<=\>\"", ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"16", 
                 RowBox[{"Pi", "^", "2"}], " ", 
                 RowBox[{"EFTNLO", "[", "lam", "]"}]}], "/.", 
                RowBox[{"g1", "\[Rule]", "0"}]}], "/.", 
               RowBox[{"g2", "\[Rule]", "0"}]}], "/.", 
              RowBox[{
               RowBox[{"Yd", "[", "__", "]"}], "\[RuleDelayed]", "0"}]}], "/.", 
             RowBox[{
              RowBox[{"Ye", "[", "__", "]"}], "\[RuleDelayed]", "0"}]}], "/.", 
            RowBox[{
             RowBox[{"Yu", "[", 
              RowBox[{"3", ",", "3"}], "]"}], "\[Rule]", 
             SubscriptBox["Y", "t"]}]}], "/.", 
           RowBox[{"MuSUSY", "\[Rule]", "\[Mu]"}]}], "/.", 
          RowBox[{"UVscaleQ", "\[Rule]", "m0"}]}], "/.", 
         RowBox[{"Azero", "\[Rule]", 
          RowBox[{"m0", " ", 
           SubscriptBox["X", "t"]}]}]}], "//", "FullSimplify"}]}], "]"}], 
     ";"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"lam", ",", 
      RowBox[{"{", 
       RowBox[{
       "Lambda1", ",", "Lambda2", ",", "Lambda3", ",", "Lambda4", ",", 
        "Lambda5", ",", "Lambda6", ",", "Lambda7"}], "}"}]}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.741618955802765*^9, 3.741619027102601*^9}, {
  3.743150062585363*^9, 3.743150067384754*^9}, {3.7431502407056923`*^9, 
  3.7431504299861937`*^9}, {3.743150504905635*^9, 3.743150567825582*^9}, {
  3.743834707665834*^9, 3.743834817866596*^9}, {3.7438348514886217`*^9, 
  3.743834902495734*^9}, {3.743834954985478*^9, 
  3.743835019217763*^9}},ExpressionUUID->"486c8105-939d-4bb9-8faa-\
337b576b497d"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["\[Pi]", "2"]}], "\[InvisibleSpace]", "\[Delta]", 
   "\[InvisibleSpace]", "Lambda1", "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Mu]", "4"], " ", 
      SubsuperscriptBox["Y", "t", "4"]}], 
     RowBox[{"4", " ", 
      SuperscriptBox["m0", "4"]}]]}]}],
  SequenceForm[
  16 Pi^2, SARAH`\[Delta], $CellContext`Lambda1, "=", Rational[-1, 4] 
   SARAH`m0^(-4) SARAH`\[Mu]^4 Subscript[$CellContext`Y, SARAH`t]^4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.743834801033937*^9, 3.743834818395389*^9}, {
   3.743834856361211*^9, 3.7438349031407347`*^9}, {3.743834968114959*^9, 
   3.7438350198509893`*^9}, 
   3.743839917679982*^9},ExpressionUUID->"0e271a2d-d1f2-48b4-92ef-\
c3ce12666d9c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["\[Pi]", "2"]}], "\[InvisibleSpace]", "\[Delta]", 
   "\[InvisibleSpace]", "Lambda2", "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "4"]}], " ", 
    SubsuperscriptBox["X", "t", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "12"}], "+", 
      SubsuperscriptBox["X", "t", "2"]}], ")"}], " ", 
    SubsuperscriptBox["Y", "t", "4"]}]}],
  SequenceForm[
  16 Pi^2, SARAH`\[Delta], $CellContext`Lambda2, "=", Rational[-1, 4] 
   Subscript[SARAH`X, SARAH`t]^2 (-12 + Subscript[SARAH`X, SARAH`t]^2) 
   Subscript[$CellContext`Y, SARAH`t]^4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.743834801033937*^9, 3.743834818395389*^9}, {
   3.743834856361211*^9, 3.7438349031407347`*^9}, {3.743834968114959*^9, 
   3.7438350198509893`*^9}, 
   3.743839917687282*^9},ExpressionUUID->"1e4a1761-5cd5-4f67-99c3-\
c4134008fc8a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["\[Pi]", "2"]}], "\[InvisibleSpace]", "\[Delta]", 
   "\[InvisibleSpace]", "Lambda3", "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Mu]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        SubsuperscriptBox["X", "t", "2"]}], ")"}], " ", 
      SubsuperscriptBox["Y", "t", "4"]}], 
     RowBox[{"2", " ", 
      SuperscriptBox["m0", "2"]}]]}]}],
  SequenceForm[
  16 Pi^2, SARAH`\[Delta], $CellContext`Lambda3, "=", Rational[-1, 2] 
   SARAH`m0^(-2) SARAH`\[Mu]^2 (-3 + Subscript[SARAH`X, SARAH`t]^2) 
   Subscript[$CellContext`Y, SARAH`t]^4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.743834801033937*^9, 3.743834818395389*^9}, {
   3.743834856361211*^9, 3.7438349031407347`*^9}, {3.743834968114959*^9, 
   3.7438350198509893`*^9}, 
   3.743839917702578*^9},ExpressionUUID->"a4ddb785-39a5-408e-9428-\
118e2d051849"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["\[Pi]", "2"]}], "\[InvisibleSpace]", "\[Delta]", 
   "\[InvisibleSpace]", "Lambda4", "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Mu]", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        SubsuperscriptBox["X", "t", "2"]}], ")"}], " ", 
      SubsuperscriptBox["Y", "t", "4"]}], 
     RowBox[{"2", " ", 
      SuperscriptBox["m0", "2"]}]]}]}],
  SequenceForm[
  16 Pi^2, SARAH`\[Delta], $CellContext`Lambda4, "=", Rational[-1, 2] 
   SARAH`m0^(-2) SARAH`\[Mu]^2 (-3 + Subscript[SARAH`X, SARAH`t]^2) 
   Subscript[$CellContext`Y, SARAH`t]^4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.743834801033937*^9, 3.743834818395389*^9}, {
   3.743834856361211*^9, 3.7438349031407347`*^9}, {3.743834968114959*^9, 
   3.7438350198509893`*^9}, 
   3.743839917704432*^9},ExpressionUUID->"cb221fd1-7531-4ea4-b9c9-\
69e9c7253e54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["\[Pi]", "2"]}], "\[InvisibleSpace]", "\[Delta]", 
   "\[InvisibleSpace]", "Lambda5", "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[Mu]", "2"], " ", 
      SubsuperscriptBox["X", "t", "2"], " ", 
      SubsuperscriptBox["Y", "t", "4"]}], 
     RowBox[{"2", " ", 
      SuperscriptBox["m0", "2"]}]]}]}],
  SequenceForm[
  16 Pi^2, SARAH`\[Delta], $CellContext`Lambda5, "=", Rational[-1, 2] 
   SARAH`m0^(-2) SARAH`\[Mu]^2 Subscript[SARAH`X, SARAH`t]^2 
   Subscript[$CellContext`Y, SARAH`t]^4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.743834801033937*^9, 3.743834818395389*^9}, {
   3.743834856361211*^9, 3.7438349031407347`*^9}, {3.743834968114959*^9, 
   3.7438350198509893`*^9}, 
   3.743839917720623*^9},ExpressionUUID->"c79d1790-3ba7-4416-b5ac-\
9911289750ed"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["\[Pi]", "2"]}], "\[InvisibleSpace]", "\[Delta]", 
   "\[InvisibleSpace]", "Lambda6", "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Mu]", "3"], " ", 
     SubscriptBox["X", "t"], " ", 
     SubsuperscriptBox["Y", "t", "4"]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["m0", "3"]}]]}],
  SequenceForm[
  16 Pi^2, SARAH`\[Delta], $CellContext`Lambda6, "=", Rational[1, 2] 
   SARAH`m0^(-3) SARAH`\[Mu]^3 Subscript[SARAH`X, SARAH`t] 
   Subscript[$CellContext`Y, SARAH`t]^4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.743834801033937*^9, 3.743834818395389*^9}, {
   3.743834856361211*^9, 3.7438349031407347`*^9}, {3.743834968114959*^9, 
   3.7438350198509893`*^9}, 
   3.743839917722445*^9},ExpressionUUID->"f28ec119-26d8-4c3e-a8ce-\
bd14ff0c5175"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"16", " ", 
    SuperscriptBox["\[Pi]", "2"]}], "\[InvisibleSpace]", "\[Delta]", 
   "\[InvisibleSpace]", "Lambda7", "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   FractionBox[
    RowBox[{"\[Mu]", " ", 
     SubscriptBox["X", "t"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "6"}], "+", 
       SubsuperscriptBox["X", "t", "2"]}], ")"}], " ", 
     SubsuperscriptBox["Y", "t", "4"]}], 
    RowBox[{"2", " ", "m0"}]]}],
  SequenceForm[
  16 Pi^2, SARAH`\[Delta], $CellContext`Lambda7, "=", Rational[1, 2] 
   SARAH`m0^(-1) SARAH`\[Mu] 
   Subscript[SARAH`X, SARAH`t] (-6 + Subscript[SARAH`X, SARAH`t]^2) 
   Subscript[$CellContext`Y, SARAH`t]^4],
  Editable->False]], "Print",
 CellChangeTimes->{{3.743834801033937*^9, 3.743834818395389*^9}, {
   3.743834856361211*^9, 3.7438349031407347`*^9}, {3.743834968114959*^9, 
   3.7438350198509893`*^9}, 
   3.743839917723954*^9},ExpressionUUID->"a4a6c3fb-b0d6-4e71-ba5d-\
a31af27cac1b"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"check", " ", "out", " ", "the", " ", "content", " ", "in"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.743837366730135*^9, 
  3.743837376582768*^9}},ExpressionUUID->"b427b0d8-c18f-4736-87e4-\
febc32151f52"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SetDirectory", "[", 
  RowBox[{"$sarahMatchingDir", "<>", "$NameUV"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FileNames", "[", "]"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.743836937899281*^9, 3.743837001379455*^9}, {
  3.7438370596517487`*^9, 3.743837191200122*^9}, {3.7438373035226707`*^9, 
  3.7438373793318863`*^9}},ExpressionUUID->"c316b1b3-eab2-4cd9-a3b7-\
d31142249e57"],

Cell[BoxData["\<\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA\"\>"], "Output",
 CellChangeTimes->{
  3.743837098958233*^9, {3.743837148831521*^9, 3.7438371916735353`*^9}, {
   3.743837306932019*^9, 3.743837379842444*^9}, 
   3.7438399177575397`*^9},ExpressionUUID->"b6d20c4b-628f-4a25-afc4-\
0bf3d4e70df1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"\<\"CouplingsLO.m\"\>"},
      {"\<\"CouplingsNLO.m\"\>"},
      {"\<\"EFTcoupling1_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\"\>"},
      {"\<\"EFTcoupling2_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\"\>"},
      {"\<\"EFTcoupling3_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\"\>"},
      {"\<\"EFTcoupling4_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\"\>"},
      {"\<\"EFTcoupling5_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\"\>"},
      {"\<\"EFTcoupling6_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\"\>"},
      {"\<\"EFTcoupling7_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\"\>"},
      {"\<\"MatchingConditions_MSSM_HighScaleSUSYlowMA.tex\"\>"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.743837098958233*^9, {3.743837148831521*^9, 3.7438371916735353`*^9}, {
   3.743837306932019*^9, 3.743837379842444*^9}, 
   3.743839917759427*^9},ExpressionUUID->"e218b64b-c218-4862-aac4-\
981ec533bde5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "as", " ", "well", " ", "as", " ", "the", " ", "new", " ", "generated", 
    " ", 
    RowBox[{"SPheno", ".", "m"}], " ", "in", " ", "the", " ", "EFT", " ", 
    "model", " ", "directory", " ", "THDM"}], "-", "IInoZ2"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.7438374317719603`*^9, 3.7438374620916452`*^9}, 
   3.7438378673936033`*^9},ExpressionUUID->"0a194177-a9ba-4491-8f2a-\
13490f1f5687"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"$sarahModelDirInput", "<>", "$SPhenoEFTmodel"}], "]"}]], "Input",
 CellChangeTimes->{{3.743837463974051*^9, 
  3.743837498288251*^9}},ExpressionUUID->"09ce80fb-d189-423e-a5cf-\
c2d8c7eaddc4"],

Cell[BoxData["\<\"/home/martin/FeynTools/sarah4/Models/THDM-IInoZ2\"\>"], \
"Output",
 CellChangeTimes->{3.743837499049082*^9, 
  3.743839917811523*^9},ExpressionUUID->"f1b8d9cd-c32c-4719-a6cd-\
cc9b616a7115"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "see", " ", "the", " ", "content", " ", "of", " ", "the", " ", "new", " ", 
   RowBox[{"SPheno", ".", "m"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.743837843808392*^9, 
  3.7438378584462214`*^9}},ExpressionUUID->"031a9b69-1601-4493-86b3-\
5cba1b039c0c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReadString", "[", "\"\<SPhenoEFT_MSSM_HighScaleSUSYlowMA.m\>\"", 
  "]"}]], "Input",
 CellChangeTimes->{{3.743837502035102*^9, 
  3.743837548944027*^9}},ExpressionUUID->"003d93be-f0ec-4ca4-8a6a-\
6e7680e69242"],

Cell[BoxData["\<\"\\n\\n(* begin: automatically generated by SARAH \
*)\\n\\nModelName = \\\"HighScaleSUSYlowMA\\\";\\n\\nOnlyLowEnergySPheno = \
False;\\n\\nMINPAR={{1, m0}, {2, mGauginos}, {3, TanBeta}, {4, MuSUSY}, {5, \
Azero}, {6, MA}}\\n\\nParametersToSolveTadpoles={M112, \
M222}\\n\\nUseParameterAsGUTscale = {m0};\\n\\n \
RenormalizationScaleFirstGuess = 173.^2;\\n RenormalizationScale = \
MA^2;\\n\\n DEFINITION[MatchingConditions]= Default[THDMII];\\n\\n \
BoundaryHighScale = {};\\n\\n\\n BoundaryRenScale = {{M12, \
-((MA^2*TanBeta)/(1 + TanBeta^2))}};\\n\\n\\nBoundaryMatchingUV = \
{\\n{Lambda1,EFTcoupling1[Azero,g1,g2,m0,m12,MuSUSY,Yd,Ye,Yu,mGUT]},\\n{\
Lambda2,EFTcoupling2[Azero,g1,g2,m0,m12,MuSUSY,Yd,Ye,Yu,mGUT]},\\n{Lambda3,\
EFTcoupling3[Azero,g1,g2,m0,m12,MuSUSY,Yd,Ye,Yu,mGUT]},\\n{Lambda4,\
EFTcoupling4[Azero,g1,g2,m0,m12,MuSUSY,Yd,Ye,Yu,mGUT]},\\n{Lambda5,\
EFTcoupling5[Azero,g1,g2,m0,m12,MuSUSY,Yd,Ye,Yu,mGUT]},\\n{Lambda6,\
EFTcoupling6[Azero,g1,g2,m0,m12,MuSUSY,Yd,Ye,Yu,mGUT]},\\n{Lambda7,\
EFTcoupling7[Azero,g1,g2,m0,m12,MuSUSY,Yd,Ye,Yu,mGUT]}\\n};\\n\\n \
ListDecayParticles = Automatic;\\n ListDecayParticles3B = Automatic;\\n\\n \
RealParameters = {m0, TanBeta, MuSUSY};\\n\\nSelfDefinedFunctions = {\\n  \
ReadString[\\\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/EFTcoupling1_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\\\"],\\\
n  ReadString[\\\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/EFTcoupling2_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\\\"],\\\
n  ReadString[\\\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/EFTcoupling3_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\\\"],\\\
n  ReadString[\\\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/EFTcoupling4_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\\\"],\\\
n  ReadString[\\\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/EFTcoupling5_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\\\"],\\\
n  ReadString[\\\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/EFTcoupling6_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\\\"],\\\
n  ReadString[\\\"/home/martin/FeynTools/sarah4/Output/MSSM/EWSB/Matching/\
HighScaleSUSYlowMA/EFTcoupling7_SPhenoEFT_MSSM_HighScaleSUSYlowMA.f90\\\"]\\n}\
;\\n\\n(* end: automatically generated by GenerateSPhenodotm[] *)\\n\"\>"], \
"Output",
 CellChangeTimes->{3.7438375495359173`*^9, 
  3.74383991789009*^9},ExpressionUUID->"efc0d332-eb56-49e0-8555-35cc19c71363"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"quit", " ", "the", " ", "kernel"}], ",", " ", 
   RowBox[{
   "start", " ", "a", " ", "new", " ", "SARAH", " ", "session", " ", 
    "loading", " ", "the", " ", "EFT", " ", "model", " ", "and", " ", "run", 
    " ", "MakeSPheno", " ", "with", " ", "the", " ", "file", " ", "from", " ",
     "above"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.743837566982997*^9, 3.743837580159204*^9}, {
  3.74383761392453*^9, 3.743837627002611*^9}, {3.7438378824792013`*^9, 
  3.743837893674611*^9}},ExpressionUUID->"1a800630-6bb5-479e-ae6c-\
9393056958d2"],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.743837628000184*^9, 
  3.743837629511243*^9}},ExpressionUUID->"85a2d5a6-c0fb-42b0-a31b-\
89df98ddfdce"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "SARAH`"}]], "Input",
 CellChangeTimes->{{3.743837633771824*^9, 
  3.743837637283106*^9}},ExpressionUUID->"e9f6a12c-3a4e-4dc3-8a8e-\
5189143cbb89"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox[
    StyleBox["\<\"SARAH \"\>", "Section",
     FontSize->14],
    StyleForm[#, "Section", FontSize -> 14]& ], "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"(Private Version)\"\>", "Section",
     FontSize->14],
    StyleForm[#, "Section", FontSize -> 14]& ]}],
  SequenceForm[
   StyleForm["SARAH ", "Section", FontSize -> 14], 
   StyleForm["(Private Version)", "Section", FontSize -> 14]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376423893642`*^9},ExpressionUUID->"7c210c88-cdca-4703-8303-\
f0598b36eb77"],

Cell[BoxData["\<\"by Florian Staub, 2018\"\>"], "Print",
 CellChangeTimes->{
  3.7438376423900757`*^9},ExpressionUUID->"ef33ffab-eded-43fe-9de9-\
411d6bf6f98c"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"contributions by M. Gabelmann, M. D. Goodsell, K. Nickel\"\>",
   
   FontSize->10],
  StyleForm[#, FontSize -> 10]& ]], "Print",
 CellChangeTimes->{
  3.7438376423910007`*^9},ExpressionUUID->"96a9b2a3-6409-421d-804e-\
95a5c3a33c20"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837642391597*^9},ExpressionUUID->"b2c24a80-7501-418e-8460-\
198234055dbf"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"References:\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->{
  3.74383764239216*^9},ExpressionUUID->"979a641b-d6f6-4cdd-9d53-4c3617a45fc0"],

Cell[BoxData["\<\"  Comput.Phys.Commun.181 (2010) 1077-1086. \
(arXiv:0909.2863[hep-ph])\"\>"], "Print",
 CellChangeTimes->{
  3.743837642392723*^9},ExpressionUUID->"89f767bf-aae9-4b6e-b2c4-\
49883d9316c4"],

Cell[BoxData["\<\"  Comput.Phys.Commun.182 (2011) 808-833. \
(arXiv:1002.0840[hep-ph])\"\>"], "Print",
 CellChangeTimes->{
  3.7438376423933372`*^9},ExpressionUUID->"993614ba-8902-428f-b59b-\
6633fbfe3fa6"],

Cell[BoxData["\<\"  Comput.Phys.Commun.184 (2013) 1792-1809. \
(arXiv:1207.0906[hep-ph])\"\>"], "Print",
 CellChangeTimes->{
  3.743837642394145*^9},ExpressionUUID->"0d78a8a5-7b4b-469e-8d8b-\
a044d76ef9cd"],

Cell[BoxData["\<\"  Comput.Phys.Commun.185 (2014) 1773-1790. \
(arXiv:1309.7223[hep-ph])\"\>"], "Print",
 CellChangeTimes->{
  3.7438376423947277`*^9},ExpressionUUID->"cb2af851-e811-4ebd-b0ae-\
fe1480f56541"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Download and Documentation:\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->{
  3.743837642395351*^9},ExpressionUUID->"ce086031-0927-4588-b384-\
af0d86da1c50"],

Cell[BoxData["\<\"  http://sarah.hepforge.org\"\>"], "Print",
 CellChangeTimes->{
  3.743837642395905*^9},ExpressionUUID->"15242391-231e-4911-b10e-\
3159be0baabf"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837642396462*^9},ExpressionUUID->"d51e5c3f-377b-4766-b649-\
32428d4498ab"],

Cell[BoxData["\<\"Start evaluation of a model with:\"\>"], "Print",
 CellChangeTimes->{
  3.74383764239699*^9},ExpressionUUID->"8507af8a-8bf3-4577-bdfb-f0ae44f15352"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"   Start[\\\"Name of Model\\\"]\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837642397595*^9},ExpressionUUID->"63ab3779-fa98-426f-a689-\
1ece86c5d22b"],

Cell[BoxData["\<\"e.g. Start[\\\"MSSM\\\"] or \
Start[\\\"NMSSM\\\",\\\"CKM\\\"]\"\>"], "Print",
 CellChangeTimes->{
  3.743837642398202*^9},ExpressionUUID->"d8d66bb5-8c6b-4955-8828-\
1c6c8b9d46d3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"To get a list with all installed models, use \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"ShowModels\"\>", "Section",
     FontSize->12],
    StyleForm[#, "Section", FontSize -> 12]& ]}],
  SequenceForm["To get a list with all installed models, use ", 
   StyleForm["ShowModels", "Section", FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837642398836*^9},ExpressionUUID->"4e7ead96-fa52-422b-a5a2-\
779987ce9de5"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Start", "[", "\"\<THDM-IInoZ2\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.743837644345912*^9, 
  3.743837675846656*^9}},ExpressionUUID->"c52be6ab-47ba-4d2a-bf0f-\
90795b3cec50"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Preparing arrays\"\>"], "Print",
 CellChangeTimes->{
  3.743837677804122*^9},ExpressionUUID->"7178fafd-9350-481c-88b7-\
2b7f41e050c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" ... checking Directory: \"\>", 
   "\[InvisibleSpace]", "\<\"/home/martin/FeynTools/sarah4/Models/\"\>"}],
  SequenceForm[
  " ... checking Directory: ", "/home/martin/FeynTools/sarah4/Models/"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837677804678*^9},ExpressionUUID->"80c38cff-7754-40e2-8f26-\
c69f3de4e1db"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Model files loaded   \"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837677805657*^9},ExpressionUUID->"333d2c5f-8ab3-4ee8-a764-\
0fe6907a5fba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Model    : \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"THDMIInoZ2\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Model    : ", 
   StyleForm["THDMIInoZ2", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837677806451*^9},ExpressionUUID->"343e6587-7f79-43ac-aea3-\
c3e50d40581b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Author(s): \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"F.Staub\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Author(s): ", 
   StyleForm["F.Staub", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837677807193*^9},ExpressionUUID->"4c5c5c83-1144-4cf6-9aa8-\
2aca3f81dac6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Date     : \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"2018-06-28\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Date     : ", 
   StyleForm["2018-06-28", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837677807837*^9},ExpressionUUID->"7ba6ff07-b9f2-4a04-bb8b-\
8451ab27fa13"],

Cell[BoxData["\<\"******************************************************* \
\"\>"], "Print",
 CellChangeTimes->{
  3.74383767780856*^9},ExpressionUUID->"9ea9632b-7f0c-4922-ae6a-45dd75b70c5e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Loading \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"Susyno\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ], 
   "\[InvisibleSpace]", "\<\" functions for the handling of Lie Groups \"\>"}],
  SequenceForm["Loading ", 
   StyleForm["Susyno", "Section", FontSize -> 10], 
   " functions for the handling of Lie Groups "],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376778091927`*^9},ExpressionUUID->"c873712b-6d36-4864-ae95-\
459633507a57"],

Cell[BoxData["\<\"Based on Susyno v.2.0 by Renato Fonseca (1106.5016)\"\>"], \
"Print",
 CellChangeTimes->{
  3.743837677809854*^9},ExpressionUUID->"42d5db21-f622-4a20-af64-\
5d1f2eff7b67"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"webpage: \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"web.ist.utl.pt/renato.fonseca/susyno.html\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["webpage: ", 
   StyleForm[
   "web.ist.utl.pt/renato.fonseca/susyno.html", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837677810502*^9},ExpressionUUID->"a43f0884-47e2-493d-aa16-\
83a82d8abb4b"],

Cell[BoxData["\<\"******************************************************* \
\"\>"], "Print",
 CellChangeTimes->{
  3.743837677811124*^9},ExpressionUUID->"cac8852e-9d17-4f1b-9853-\
5fd876ab5619"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Initialization\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837677863861*^9},ExpressionUUID->"c4eab1f2-8237-4f3f-9581-\
8c4d7ab7750e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Checking model files: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCheckModelFiles, StandardForm],
    ImageSizeCache->{117., {3., 9.}}]}],
  SequenceForm["Checking model files: ", 
   Dynamic[SARAH`DynamicCheckModelFiles]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376778651114`*^9},ExpressionUUID->"413464dc-96b4-4430-b866-\
7e319a02ecb2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initialize gauge groups: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitGaugeG, StandardForm],
    ImageSizeCache->{67., {0., 9.}}]}],
  SequenceForm["Initialize gauge groups: ", 
   Dynamic[SARAH`DynamicInitGaugeG]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376778661346`*^9},ExpressionUUID->"c7c68045-0686-42b2-8bcc-\
dec9217d4dda"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initialize field: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitFields, StandardForm],
    ImageSizeCache->{67., {0., 9.}}]}],
  SequenceForm["Initialize field: ", 
   Dynamic[SARAH`DynamicInitFields]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837677867038*^9},ExpressionUUID->"2b68bf39-37e9-4cc6-9cbe-\
0c430e964993"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preprocessing necessary information: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitMisc, StandardForm],
    ImageSizeCache->{67., {0., 9.}}]}],
  SequenceForm["Preprocessing necessary information: ", 
   Dynamic[SARAH`DynamicInitMisc]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837677888481*^9},ExpressionUUID->"b5ba0d1a-dab2-4451-b6d4-\
5af120814202"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Checking for anomalies: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCheckAnomalies, StandardForm],
    ImageSizeCache->{1088., {3., 9.}}]}],
  SequenceForm["Checking for anomalies: ", 
   Dynamic[SARAH`DynamicCheckAnomalies]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678074959*^9},ExpressionUUID->"e8d25490-e180-43b9-ac9a-\
23171c92938f"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Derive Lagrangian\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837678128818*^9},ExpressionUUID->"558e010e-6fa4-49d7-b512-\
cf4873e47426"],

Cell[BoxData["\<\"Calculate kinetic Terms\"\>"], "Print",
 CellChangeTimes->{
  3.74383767812985*^9},ExpressionUUID->"cc5262dd-954b-4bf2-8691-f9da688d8beb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... for scalars: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticScalarNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticScalarName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... for scalars: ", 
   Dynamic[SARAH`DynamicKineticScalarNr], "/", 7, " (", 
   Dynamic[SARAH`DynamicKineticScalarName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376781305304`*^9},ExpressionUUID->"689efea6-3892-47d9-9a7b-\
a7cc77c5ba09"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... for fermions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticFermionNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticFermionName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... for fermions: ", 
   Dynamic[SARAH`DynamicKineticFermionNr], "/", 7, " (", 
   Dynamic[SARAH`DynamicKineticFermionName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678153413*^9},ExpressionUUID->"f64727de-31fa-4bac-89ee-\
6934de38bbf2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate vector self-interactions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicVectorNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicVectorName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate vector self-interactions: ", 
   Dynamic[SARAH`DynamicVectorNr], "/", 3, " (", 
   Dynamic[SARAH`DynamicVectorName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678240831*^9},ExpressionUUID->"65ad0928-1c64-4910-a382-\
0e62455c4653"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGaugeTNr, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "10", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGaugeTName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate gauge transformations: ", 
   Dynamic[SARAH`DynamicGaugeTNr], "/", 10, " (", 
   Dynamic[SARAH`DynamicGaugeTName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.74383767830013*^9},ExpressionUUID->"5b105f60-6d0b-483b-aaeb-bc09ecc18b09"],

Cell[BoxData["\<\"Eleminate sums\"\>"], "Print",
 CellChangeTimes->{
  3.743837678301705*^9},ExpressionUUID->"f2ce5603-49ee-413a-a446-\
8fbffa521691"],

Cell[BoxData["\<\"Calc Complete Lagrangian\"\>"], "Print",
 CellChangeTimes->{
  3.743837678302272*^9},ExpressionUUID->"1b08f720-7782-494c-bcd5-\
10249dfb2719"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837678302828*^9},ExpressionUUID->"71d13002-cb7d-46d9-b944-\
d7a67849e0a2"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Evolve States: GaugeES\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837678303393*^9},ExpressionUUID->"9c9abce7-e8ed-4ee4-8223-\
dcf3a118f5e8"],

Cell[BoxData["\<\"Adding terms to the Lagrangian: \"\>"], "Print",
 CellChangeTimes->{
  3.7438376783039627`*^9},ExpressionUUID->"e53b061c-b7f7-4cd0-a0ff-\
f522f1e9a570"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" ... adding: \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "M12"}], " ", 
     RowBox[{
      RowBox[{"conj", "[", "H1", "]"}], ".", "H2"}]}], "+", 
    RowBox[{"Yu", " ", 
     RowBox[{"H2", ".", "u", ".", "q"}]}], "-", 
    RowBox[{"Yd", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H1", "]"}], ".", "d", ".", "q"}]}], "-", 
    RowBox[{"Ye", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H1", "]"}], ".", "e", ".", "l"}]}], "-", 
    RowBox[{"Lambda6", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H1", "]"}], ".", "H1", ".", 
      RowBox[{"conj", "[", "H1", "]"}], ".", "H2"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "Lambda5", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H2", "]"}], ".", "H1", ".", 
      RowBox[{"conj", "[", "H2", "]"}], ".", "H1"}]}], "-", 
    RowBox[{"Lambda7", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H2", "]"}], ".", "H2", ".", 
      RowBox[{"conj", "[", "H1", "]"}], ".", "H2"}]}]}], 
   "\[InvisibleSpace]", "\<\" (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicStatusAddTerms[-$CellContext`M12 Dot[
         Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] + 
      SARAH`Yu Dot[$CellContext`H2, $CellContext`u, SARAH`q] - SARAH`Yd Dot[
        Susyno`LieGroups`conj[$CellContext`H1], SARAH`d, SARAH`q] - SARAH`Ye 
      Dot[
        Susyno`LieGroups`conj[$CellContext`H1], Susyno`LieGroups`e, 
        SARAH`l] - $CellContext`Lambda6 Dot[
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1, 
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] + 
      Rational[-1, 2] $CellContext`Lambda5 Dot[
         Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1, 
         Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1] - \
$CellContext`Lambda7 Dot[
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2]], 
     StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm[" ... adding: ", -$CellContext`M12 Dot[
      Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] + 
   SARAH`Yu Dot[$CellContext`H2, $CellContext`u, SARAH`q] - SARAH`Yd Dot[
     Susyno`LieGroups`conj[$CellContext`H1], SARAH`d, SARAH`q] - SARAH`Ye 
   Dot[
     Susyno`LieGroups`conj[$CellContext`H1], Susyno`LieGroups`e, 
     SARAH`l] - $CellContext`Lambda6 Dot[
     Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1, 
     Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] + 
   Rational[-1, 2] $CellContext`Lambda5 Dot[
      Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1, 
      Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1] - \
$CellContext`Lambda7 Dot[
     Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
     Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2], " (", 
   Dynamic[
    SARAH`DynamicStatusAddTerms[-$CellContext`M12 Dot[
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] + 
     SARAH`Yu Dot[$CellContext`H2, $CellContext`u, SARAH`q] - SARAH`Yd Dot[
       Susyno`LieGroups`conj[$CellContext`H1], SARAH`d, SARAH`q] - SARAH`Ye 
     Dot[
       Susyno`LieGroups`conj[$CellContext`H1], Susyno`LieGroups`e, 
       SARAH`l] - $CellContext`Lambda6 Dot[
       Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1, 
       Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] + 
     Rational[-1, 2] $CellContext`Lambda5 Dot[
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1, 
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1] - \
$CellContext`Lambda7 Dot[
       Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
       Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678304779*^9},ExpressionUUID->"05a61748-fffd-4246-9d8b-\
8b7206ef8917"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" ... adding: \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "M112"}], " ", 
     RowBox[{
      RowBox[{"conj", "[", "H1", "]"}], ".", "H1"}]}], "-", 
    RowBox[{"M222", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H2", "]"}], ".", "H2"}]}], "-", 
    RowBox[{"Lambda1", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H1", "]"}], ".", "H1", ".", 
      RowBox[{"conj", "[", "H1", "]"}], ".", "H1"}]}], "-", 
    RowBox[{"Lambda4", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H2", "]"}], ".", "H1", ".", 
      RowBox[{"conj", "[", "H1", "]"}], ".", "H2"}]}], "-", 
    RowBox[{"Lambda3", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H2", "]"}], ".", "H2", ".", 
      RowBox[{"conj", "[", "H1", "]"}], ".", "H1"}]}], "-", 
    RowBox[{"Lambda2", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H2", "]"}], ".", "H2", ".", 
      RowBox[{"conj", "[", "H2", "]"}], ".", "H2"}]}]}], 
   "\[InvisibleSpace]", "\<\" (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicStatusAddTerms[-$CellContext`M112 Dot[
         Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`M222 Dot[
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2] - \
$CellContext`Lambda1 Dot[
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1, 
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`Lambda4 Dot[
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1, 
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] - \
$CellContext`Lambda3 Dot[
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`Lambda2 Dot[
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
        Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2]], 
     StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm[" ... adding: ", -$CellContext`M112 Dot[
      Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`M222 Dot[
     Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2] - \
$CellContext`Lambda1 Dot[
     Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1, 
     Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`Lambda4 Dot[
     Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1, 
     Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] - \
$CellContext`Lambda3 Dot[
     Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
     Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`Lambda2 Dot[
     Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
     Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2], " (", 
   Dynamic[
    SARAH`DynamicStatusAddTerms[-$CellContext`M112 Dot[
        Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`M222 Dot[
       Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2] - \
$CellContext`Lambda1 Dot[
       Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1, 
       Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`Lambda4 Dot[
       Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H1, 
       Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H2] - \
$CellContext`Lambda3 Dot[
       Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
       Susyno`LieGroups`conj[$CellContext`H1], $CellContext`H1] - \
$CellContext`Lambda2 Dot[
       Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2, 
       Susyno`LieGroups`conj[$CellContext`H2], $CellContext`H2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376783896627`*^9},ExpressionUUID->"93a733d7-29a0-49c8-b7bb-\
1d5c14e6a030"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rotate Lagrangian: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRotateLag[1], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["Rotate Lagrangian: ", 
   Dynamic[
    SARAH`DynamicRotateLag[1]], "/", 14],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678479373*^9},ExpressionUUID->"f4c55d67-87a5-454c-bf1e-\
ba81c3a91f47"],

Cell[BoxData["\<\"Derive ghost terms: \"\>"], "Print",
 CellChangeTimes->{
  3.743837678558144*^9},ExpressionUUID->"c76851d6-7e19-44a5-8a3a-\
a306e4350104"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... generate gauge fixing terms: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[
     SARAH`DynamicGFnr[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicGFname[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... generate gauge fixing terms: ", 
   Dynamic[
    SARAH`DynamicGFnr[SARAH`GaugeES]], "/", 3, " (", 
   Dynamic[
    SARAH`DynamicGFname[SARAH`GaugeES]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.74383767857546*^9},ExpressionUUID->"6db321f1-3433-459b-a841-f6790b357677"],

Cell[BoxData["\<\"  ... calculate Ghost interactions\"\>"], "Print",
 CellChangeTimes->{
  3.743837678576653*^9},ExpressionUUID->"c957998e-9e72-4fd0-a27c-\
a2aff65c5138"],

Cell[BoxData["\<\"Calc Mixings of Matter Fields\"\>"], "Print",
 CellChangeTimes->{
  3.7438376786345377`*^9},ExpressionUUID->"0bf13cee-d914-493b-8033-\
15cbff4c6551"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Save information (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicSaveInfo[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Save information (", 
   Dynamic[
    SARAH`DynamicSaveInfo[SARAH`GaugeES]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678635634*^9},ExpressionUUID->"e5a8bdda-8fbe-4981-bdb5-\
7ecf14096a37"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837678693801*^9},ExpressionUUID->"ab1f3737-93ef-4372-82ee-\
a0abaa492c87"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Evolve States: EWSB\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438376786948633`*^9},ExpressionUUID->"025ce153-aa35-4db9-8a3b-\
d2cb98c45d06"],

Cell[BoxData["\<\"Parametrize Higgs Sector\"\>"], "Print",
 CellChangeTimes->{
  3.743837678695414*^9},ExpressionUUID->"d6cf0c9d-904a-4937-b106-\
1f7de34120c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTvev[2]], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "21", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTvev[2]], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTvev[2]]], "/", 21, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTvev[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678696041*^9},ExpressionUUID->"e762aada-3cee-4c4b-bcb1-\
39ac080d6725"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calc mass matrices gauge sector: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicMMgaugeNr[SARAH`EWSB], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "2", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicMMgaugeName[SARAH`EWSB], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calc mass matrices gauge sector: ", 
   Dynamic[
    SARAH`DynamicMMgaugeNr[SARAH`EWSB]], "/", 2, "(", 
   Dynamic[
    SARAH`DynamicMMgaugeName[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678697237*^9},ExpressionUUID->"41858f49-bfb3-4cff-a9ac-\
073d33289fb7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTgaugeMM[2]], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "28", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTgaugeMM[2]], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTgaugeMM[2]]], "/", 28, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTgaugeMM[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.74383767884762*^9},ExpressionUUID->"097c7917-4abc-4973-83bd-8dbaa683b0a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rotate Lagrangian: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRotateLag[2], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["Rotate Lagrangian: ", 
   Dynamic[
    SARAH`DynamicRotateLag[2]], "/", 14],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837678906788*^9},ExpressionUUID->"8af43350-20d7-4562-a0fa-\
8ed3d22c1160"],

Cell[BoxData["\<\"Derive ghost terms: \"\>"], "Print",
 CellChangeTimes->{
  3.74383767908374*^9},ExpressionUUID->"a87b6380-7004-48c5-9118-dd639b01aeb1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... generate gauge fixing terms: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[
     SARAH`DynamicGFnr[SARAH`EWSB], StandardForm],
    ImageSizeCache->{10., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicGFname[SARAH`EWSB], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... generate gauge fixing terms: ", 
   Dynamic[
    SARAH`DynamicGFnr[SARAH`EWSB]], "/", 4, " (", 
   Dynamic[
    SARAH`DynamicGFname[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837679101178*^9},ExpressionUUID->"2c016680-5103-497f-9852-\
17fa108f7c52"],

Cell[BoxData["\<\"  ... calculate Ghost interactions\"\>"], "Print",
 CellChangeTimes->{
  3.743837679635051*^9},ExpressionUUID->"2766b5d4-dd58-488f-9dd0-\
6e4b2d7ece25"],

Cell[BoxData["\<\"Calc Mixings of Matter Fields\"\>"], "Print",
 CellChangeTimes->{
  3.7438376796937323`*^9},ExpressionUUID->"3dcd26a3-0c01-4da2-90d4-\
3cb1a1152550"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculate mass matrices \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicNrMass[{{{$CellContext`phi1, $CellContext`phi2}, \
{$CellContext`phi1, $CellContext`phi2}}, {{$CellContext`sigma1, \
$CellContext`sigma2}, {$CellContext`sigma1, $CellContext`sigma2}}, {{
         Susyno`LieGroups`conj[$CellContext`H1p], 
         Susyno`LieGroups`conj[$CellContext`H2p]}, {$CellContext`H1p, \
$CellContext`H2p}}, {{$CellContext`dL}, {
         Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
         Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
         Susyno`LieGroups`conj[$CellContext`eR]}}}], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicNameMass[{{{$CellContext`phi1, $CellContext`phi2}, \
{$CellContext`phi1, $CellContext`phi2}}, {{$CellContext`sigma1, \
$CellContext`sigma2}, {$CellContext`sigma1, $CellContext`sigma2}}, {{
         Susyno`LieGroups`conj[$CellContext`H1p], 
         Susyno`LieGroups`conj[$CellContext`H2p]}, {$CellContext`H1p, \
$CellContext`H2p}}, {{$CellContext`dL}, {
         Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
         Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
         Susyno`LieGroups`conj[$CellContext`eR]}}}], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculate mass matrices ", 
   Dynamic[
    SARAH`DynamicNrMass[{{{$CellContext`phi1, $CellContext`phi2}, \
{$CellContext`phi1, $CellContext`phi2}}, {{$CellContext`sigma1, \
$CellContext`sigma2}, {$CellContext`sigma1, $CellContext`sigma2}}, {{
        Susyno`LieGroups`conj[$CellContext`H1p], 
        Susyno`LieGroups`conj[$CellContext`H2p]}, {$CellContext`H1p, \
$CellContext`H2p}}, {{$CellContext`dL}, {
        Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
        Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
        Susyno`LieGroups`conj[$CellContext`eR]}}}]], "/", 6, " (", 
   Dynamic[
    SARAH`DynamicNameMass[{{{$CellContext`phi1, $CellContext`phi2}, \
{$CellContext`phi1, $CellContext`phi2}}, {{$CellContext`sigma1, \
$CellContext`sigma2}, {$CellContext`sigma1, $CellContext`sigma2}}, {{
        Susyno`LieGroups`conj[$CellContext`H1p], 
        Susyno`LieGroups`conj[$CellContext`H2p]}, {$CellContext`H1p, \
$CellContext`H2p}}, {{$CellContext`dL}, {
        Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
        Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
        Susyno`LieGroups`conj[$CellContext`eR]}}}]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837679752623*^9},ExpressionUUID->"3d745ce5-9e67-46a9-b2d2-\
e64e69794aba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTmatterMM[2]], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "33", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTmatterMM[2]], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTmatterMM[2]]], "/", 33, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTmatterMM[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376806195383`*^9},ExpressionUUID->"844363c5-e010-4238-8efa-\
85cf5520f99f"],

Cell[BoxData["\<\"Calculate Tadpole Equations\"\>"], "Print",
 CellChangeTimes->{
  3.743837680741353*^9},ExpressionUUID->"01c97a85-b83e-46ba-a5c8-\
1bae292d3db0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Save information (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicSaveInfo[SARAH`EWSB], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Save information (", 
   Dynamic[
    SARAH`DynamicSaveInfo[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376812284107`*^9},ExpressionUUID->"1245ebf7-719a-4081-b4c4-\
5b9fcf85408c"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837682110076*^9},ExpressionUUID->"cdea03ff-88a0-4863-8841-\
f56024227f47"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Finishing\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837682128633*^9},ExpressionUUID->"16486944-8b76-482e-8097-\
115c27bc0583"],

Cell[BoxData["\<\"Calculate final Lagrangian\"\>"], "Print",
 CellChangeTimes->{
  3.743837682129553*^9},ExpressionUUID->"c3da497c-2e36-4603-bff4-\
095fbbebe5aa"],

Cell[BoxData["\<\"Cleaning up\"\>"], "Print",
 CellChangeTimes->{
  3.7438376821343813`*^9},ExpressionUUID->"2b9862d2-6a5f-42c1-aae7-\
53be01063364"],

Cell[BoxData["\<\"   ... add matrix products\"\>"], "Print",
 CellChangeTimes->{
  3.743837682135335*^9},ExpressionUUID->"8cdc83f7-0c7c-4fea-80a5-\
b418745c139a"],

Cell[BoxData["\<\"   ... checking for massless particles\"\>"], "Print",
 CellChangeTimes->{
  3.743837682136095*^9},ExpressionUUID->"f18fd28b-fefd-4b78-8bc3-\
3c11d2dce1b5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... calculating tree level masses (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCalcTreeMasses, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   ... calculating tree level masses (", 
   Dynamic[SARAH`DynamicCalcTreeMasses], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.74383768268746*^9},ExpressionUUID->"fed6c500-dc4e-4463-98f7-2d0608e86399"],

Cell[BoxData["\<\"   ... simplify mass matrices\"\>"], "Print",
 CellChangeTimes->{
  3.743837682745175*^9},ExpressionUUID->"69c8b52e-c89e-40d1-99c6-\
27e83a16f891"],

Cell[BoxData["\<\"Numerical calculations (if necessary)\"\>"], "Print",
 CellChangeTimes->{
  3.743837682802885*^9},ExpressionUUID->"410d2547-6253-4318-8897-\
910c7783ca34"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... checking for spectrum file: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[SARAH`DynamicSpectrumFileInput, StandardForm],
    ImageSizeCache->{200., {3., 9.}}]}],
  SequenceForm["   ... checking for spectrum file: ", 
   Dynamic[SARAH`DynamicSpectrumFileInput]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837682804351*^9},ExpressionUUID->"27d28568-aa09-44a0-a41b-\
7ebf46330643"],

Cell[BoxData["\<\"   ... reading parameter values and dependences\"\>"], \
"Print",
 CellChangeTimes->{
  3.743837682805873*^9},ExpressionUUID->"c2d4e60c-e7b1-4463-8aba-\
9d2a9092b174"],

Cell[BoxData["\<\"   ... calculate mixing matrices\"\>"], "Print",
 CellChangeTimes->{
  3.74383768280682*^9},ExpressionUUID->"8519b4e7-c52b-44c3-a5dd-ea738c1b5c42"],

Cell[BoxData["\<\"Checking for CP even and odd scalars\"\>"], "Print",
 CellChangeTimes->{
  3.743837682807757*^9},ExpressionUUID->"a5da6476-404d-48d5-a970-\
87211d93eebd"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837682808671*^9},ExpressionUUID->"e68443f8-b5cb-44b6-9d11-\
899ec6897624"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"All Done. \"\>", "\[InvisibleSpace]", "\<\"THDM-IInoZ2\"\>", 
   "\[InvisibleSpace]", "\<\" is ready!\"\>"}],
  SequenceForm["All Done. ", "THDM-IInoZ2", " is ready!"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837682809553*^9},ExpressionUUID->"6b31aa69-8105-43dc-b0bd-\
8e7cba0a210d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"(Model initialized in \"\>", "\[InvisibleSpace]", 
   "4.998418000000001`", "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm["(Model initialized in ", 4.998418000000001, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376828105307`*^9},ExpressionUUID->"c4bc5df2-71c2-44e4-be76-\
6b3601df02d9"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837682811462*^9},ExpressionUUID->"b55e7b73-128d-4015-bb41-\
74b622071442"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837682812265*^9},ExpressionUUID->"3fedc440-fb1c-4f06-855f-\
043f29b0ff28"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Are you unfamiliar with SARAH? Use \"\>", "\[InvisibleSpace]", 
   
   TagBox[
    StyleBox["\<\"SARAH`FirstSteps\"\>", "Section",
     FontSize->12],
    StyleForm[#, "Section", FontSize -> 12]& ]}],
  SequenceForm["Are you unfamiliar with SARAH? Use ", 
   StyleForm["SARAH`FirstSteps", "Section", FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438376828130407`*^9},ExpressionUUID->"7246c9a8-cbd6-4f97-8afa-\
11e699e0d375"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MakeSPheno", "[", 
  RowBox[{
  "InputFile", "\[Rule]", "\"\<SPhenoEFT_MSSM_HighScaleSUSYlowMA.m\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.743837695639031*^9, 
  3.743837752505683*^9}},ExpressionUUID->"2d3af032-5c80-4cfe-9f3d-\
382f8c3ace02"],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Generate SPheno Source Code\"\>", "Section"],
  StyleForm[#, "Section"]& ]], "Print",
 CellChangeTimes->{
  3.743837754885295*^9},ExpressionUUID->"e9416b03-5549-4bf2-ad28-\
088d7016be6e"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Performing necessary calculations\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->{
  3.743837754892406*^9},ExpressionUUID->"6d13a896-0288-4459-a929-\
a562cfadceb2"],

Cell[BoxData["\<\"Checking model for missing definitions\"\>"], "Print",
 CellChangeTimes->{
  3.743837754945485*^9},ExpressionUUID->"aa16db5b-5da8-4909-ac5d-\
fb12497bb0c1"],

Cell[BoxData["\<\"Generate Directories\"\>"], "Print",
 CellChangeTimes->{
  3.74383775494662*^9},ExpressionUUID->"1526c630-1d80-4764-8bd0-b14b9815b12c"],

Cell[BoxData["\<\"Building Particle List\"\>"], "Print",
 CellChangeTimes->{
  3.74383775497985*^9},ExpressionUUID->"c06b06f1-4e7a-496e-aae4-254961c4b622"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate all vertices\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837755039405*^9},ExpressionUUID->"f40b1fe1-9f6d-41e2-b674-\
66a6e2cc1a01"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Three Scalar - Interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837755117873*^9},ExpressionUUID->"7e25b3d0-ca32-4b04-b7a8-\
67834f30e7ae"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "6", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`SSS], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"6", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`SSS], StandardForm],
    ImageSizeCache->{344., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 6, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`SSS]], "/", 6 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`SSS]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438377553029003`*^9},ExpressionUUID->"0841ece9-a19b-4d4b-b488-\
9c38c4714293"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Four Scalar - Interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438377582696133`*^9},ExpressionUUID->"d4293247-0ba2-4785-9864-\
3411d5c01164"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`SSSS], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"9", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`SSSS], StandardForm],
    ImageSizeCache->{344., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 9, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`SSSS]], "/", 9 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`SSSS]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438377584598837`*^9},ExpressionUUID->"0feabf72-bb5e-4369-9c74-\
9193011a7c6e"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Two Scalar - One Vector Boson - Interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837763252013*^9},ExpressionUUID->"fb68b497-a44b-4455-a8ea-\
6407484a4d13"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "32", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`SSV], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"32", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`SSV], StandardForm],
    ImageSizeCache->{344., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 32, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`SSV]], "/", 32 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`SSV]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837763475648*^9},ExpressionUUID->"2ecec667-a24e-436d-88c4-\
0c1f2a611885"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      One Scalar - Two Vector Boson - Interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438377682067127`*^9},ExpressionUUID->"5eba91e1-2c70-4bf0-ace3-\
50d9aa4bfc0a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "36", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`SVV], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"36", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`SVV], StandardForm],
    ImageSizeCache->{344., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 36, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`SVV]], "/", 36 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`SVV]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438377684424553`*^9},ExpressionUUID->"09404df7-a352-41e5-96fd-\
0dd2b3d331cd"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Two Scalar - Two Vector Boson - Interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837774420349*^9},ExpressionUUID->"6e6f0f53-84a8-4d13-89bb-\
7400ff7ea8ff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "80", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`SSVV], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"80", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`SSVV], StandardForm],
    ImageSizeCache->{350., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 80, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`SSVV]], "/", 80 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`SSVV]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837774643467*^9},ExpressionUUID->"98b85e76-f673-49bc-9885-\
1c170045af7f"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Three Vector Boson - Interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438377901556187`*^9},ExpressionUUID->"e4ec5d81-9451-4772-9898-\
f763a79c4af7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "21", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`VVV], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"21", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`VVV], StandardForm],
    ImageSizeCache->{344., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 21, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`VVV]], "/", 21 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`VVV]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.74383779021463*^9},ExpressionUUID->"88b2b806-f4c9-4945-9766-aa280cf939be"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Two Fermion - One Scalar - Interactions\"\>", "Section",
   
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837793138892*^9},ExpressionUUID->"d6c329f5-1b0f-4d91-8221-\
51c999c126d0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`FFS], StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"10", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`FFS], StandardForm],
    ImageSizeCache->{351., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 10, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`FFS]], "/", 10 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`FFS]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438377933967867`*^9},ExpressionUUID->"900f12d3-5922-4c21-8ddd-\
35b96db304a7"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Two Fermion - One Vector Boson - Interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837795864798*^9},ExpressionUUID->"434555ce-d379-43e6-80f6-\
ea571a524735"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "34", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`FFV], StandardForm],
    ImageSizeCache->{18., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"34", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`FFV], StandardForm],
    ImageSizeCache->{351., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 34, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`FFV]], "/", 34 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`FFV]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837795981226*^9},ExpressionUUID->"049013b0-2943-4c51-8ff4-\
d32259689250"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Four Vector Boson - Interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438378047361183`*^9},ExpressionUUID->"3fc12f3e-3ec2-4e08-acd7-\
4002b8bb6780"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "36", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`VVVV], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"36", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`VVVV], StandardForm],
    ImageSizeCache->{344., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 36, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`VVVV]], "/", 36 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`VVVV]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438378048048067`*^9},ExpressionUUID->"31def3b5-7e8d-4b63-9b17-\
6aea56b5141d"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Two Ghost - One Vector Boson - Interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438378145987253`*^9},ExpressionUUID->"e8824891-4697-4413-93e2-\
71526c5f9b90"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "65", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`GGV], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"65", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`GGV], StandardForm],
    ImageSizeCache->{352., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 65, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`GGV]], "/", 65 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`GGV]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837814676355*^9},ExpressionUUID->"061f7d0a-463a-47cc-80af-\
5ed69c141574"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Two Ghost - One Scalar - Interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837818033243*^9},ExpressionUUID->"beafabf2-9a06-4022-b4a6-\
909c7938255f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     Found \"\>", "\[InvisibleSpace]", "48", 
   "\[InvisibleSpace]", "\<\" potential vertices. Calculating \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressNrGV[SARAH`GGS], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"48", " ", "\<\". (\"\>"}], "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`progressCurrentGV[SARAH`GGS], StandardForm],
    ImageSizeCache->{351., {3., 14.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["     Found ", 48, " potential vertices. Calculating ", 
   Dynamic[
    SARAH`progressNrGV[SARAH`GGS]], "/", 48 ". (", 
   Dynamic[
    SARAH`progressCurrentGV[SARAH`GGS]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438378181264343`*^9},ExpressionUUID->"e29fc3dc-13d1-406a-8e2d-\
1b3cf89061e8"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"      Two Scalar - One Auxiliary - Interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837820689384*^9},ExpressionUUID->"b9fb4b8a-88f1-47a2-8edb-\
8b68d41663ff"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743837820691914*^9},ExpressionUUID->"0963993f-3c42-4946-8c35-\
73a8bb05b140"],

Cell[BoxData["\<\"Simplify Vertices\"\>"], "Print",
 CellChangeTimes->{
  3.743837820692462*^9},ExpressionUUID->"a437c01a-1d85-47fd-ac70-\
8003d2aad810"],

Cell[BoxData["\<\"Writing vertices to files\"\>"], "Print",
 CellChangeTimes->{
  3.743837823182267*^9},ExpressionUUID->"960bc1ec-191f-42e7-9bf0-\
53be863967f8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"All vertices calculated. (Time needed: \"\>", 
   "\[InvisibleSpace]", "68.549601`", "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm["All vertices calculated. (Time needed: ", 68.549601, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837823212282*^9},ExpressionUUID->"53968830-a663-4837-b9cb-\
5caa36cabbff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The vertices are saved in \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"/home/martin/FeynTools/sarah4/Output/THDM-IInoZ2/EWSB/\
Vertices/\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["The vertices are saved in ", 
   StyleForm[
   "/home/martin/FeynTools/sarah4/Output/THDM-IInoZ2/EWSB/Vertices/", 
    "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837823213327*^9},ExpressionUUID->"a0849657-ade1-424c-846d-\
d548211e9b54"],

Cell[BoxData["\<\"Generate interaction list\"\>"], "Print",
 CellChangeTimes->{
  3.743837823367313*^9},ExpressionUUID->"82cde76e-66db-4b56-9027-\
162cfab2e960"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate 1-loop corrections\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837823541904*^9},ExpressionUUID->"d175fefc-9d59-45f2-9a5e-\
92071436064f"],

Cell[BoxData["\<\"  For rotated fields\"\>"], "Print",
 CellChangeTimes->{
  3.743837823543045*^9},ExpressionUUID->"ffa1cf96-9f43-4d7d-99a0-\
fedd287a9cbd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... processing: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicOneLoopNameMM, StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicOneLoopNrMM, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... processing: ", 
   Dynamic[SARAH`DynamicOneLoopNameMM], "(", 
   Dynamic[SARAH`DynamicOneLoopNrMM], "/", 6, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837823543709*^9},ExpressionUUID->"946d9f13-e149-4996-8eee-\
dd67a96072f4"],

Cell[BoxData["\<\"  For tadpoles\"\>"], "Print",
 CellChangeTimes->{
  3.743837824501958*^9},ExpressionUUID->"9e297e0a-8dde-4c64-994f-\
28977be2bd83"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"    ... processing: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicOneLoopTadName, StandardForm],
    ImageSizeCache->{32., {3., 9.}}], "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicOneLoopTadNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicOneLoopTadNrAll, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["    ... processing: ", 
   Dynamic[SARAH`DynamicOneLoopTadName], "(", 
   Dynamic[SARAH`DynamicOneLoopTadNr], "/", 
   Dynamic[SARAH`DynamicOneLoopTadNrAll], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837824503105*^9},ExpressionUUID->"fb53512a-e157-44d6-9eb6-\
755eff98070b"],

Cell[BoxData["\<\"  For gauge eigenstates\"\>"], "Print",
 CellChangeTimes->{
  3.743837824545323*^9},ExpressionUUID->"5c934ab2-5ded-4120-ab17-\
dfee5ef9389c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"    ... processing: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicOneLoopNameNM, StandardForm],
    ImageSizeCache->{26., {0., 9.}}], "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicOneLoopNrNM, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["    ... processing: ", 
   Dynamic[SARAH`DynamicOneLoopNameNM], "(", 
   Dynamic[SARAH`DynamicOneLoopNrNM], "/", 5, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837824546686*^9},ExpressionUUID->"705afaed-e4d7-4ddf-883d-\
3f769974c498"],

Cell[BoxData["\<\"   Simplify expression\"\>"], "Print",
 CellChangeTimes->{
  3.743837825014494*^9},ExpressionUUID->"0f8b2109-cac4-4f1e-9440-\
569dd39118f0"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate non-supersymmetric RGEs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837825045587*^9},ExpressionUUID->"96052ad8-6b2a-4770-8908-\
48e52e0c025e"],

Cell[BoxData["\<\"Initializing Invariants... \"\>"], "Print",
 CellChangeTimes->{
  3.74383782505278*^9},ExpressionUUID->"5214f505-59ef-401e-af85-a3d2fb61e37e"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Fermion bilinear\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438378288318253`*^9},ExpressionUUID->"b71d7bce-db1a-4983-bf15-\
e3d60bb25bff"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"                      (Time needed so far: \"\>", 
   "\[InvisibleSpace]", "4.005893999999998`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "                      (Time needed so far: ", 4.005893999999998, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837829066516*^9},ExpressionUUID->"4614b53d-e7fa-47e3-a2ae-\
cf9c4b57d0d2"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Fermion chains\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.74383782906784*^9},ExpressionUUID->"0f704602-9458-4652-af8f-df997686939f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"                      (Time needed so far: \"\>", 
   "\[InvisibleSpace]", "12.024397000000008`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "                      (Time needed so far: ", 12.024397000000008`, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837837096261*^9},ExpressionUUID->"d21a4141-6040-4488-84c1-\
17aab2a88b88"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Scalar bilinear\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837837097651*^9},ExpressionUUID->"6f254b87-b584-4119-844b-\
6f283f919c84"],

Cell[BoxData["\<\"     ... 1-loop\"\>"], "Print",
 CellChangeTimes->{
  3.743837837098299*^9},ExpressionUUID->"38441386-8c28-4c01-9e75-\
7b0af2f6566c"],

Cell[BoxData["\<\"     ... 2-loop\"\>"], "Print",
 CellChangeTimes->{
  3.74383783918382*^9},ExpressionUUID->"1c8c5356-0441-4533-82a6-0a14740e2dc5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"                      (Time needed so far: \"\>", 
   "\[InvisibleSpace]", "46.225089999999994`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "                      (Time needed so far: ", 46.225089999999994`, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743837871335203*^9},ExpressionUUID->"21d49a8f-9ae9-4095-936d-\
f08242c53edb"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Scalar quartic\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743837871336555*^9},ExpressionUUID->"7ea2d369-0ebf-4090-87d5-\
4f5e902fe3be"],

Cell[BoxData["\<\"     ... 1-loop\"\>"], "Print",
 CellChangeTimes->{
  3.7438378713374577`*^9},ExpressionUUID->"a5a8b96b-e64c-46b1-94fc-\
1332a8c8fd9e"],

Cell[BoxData["\<\"     ... 2-loop\"\>"], "Print",
 CellChangeTimes->{
  3.7438379405995817`*^9},ExpressionUUID->"18a9e045-100f-4e9c-b30b-\
cb84918656cc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"                      (Time needed so far: \"\>", 
   "\[InvisibleSpace]", "309.40837899999997`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "                      (Time needed so far: ", 309.40837899999997`, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838134784289*^9},ExpressionUUID->"4b067f88-c5f4-479d-93aa-\
8e7ab08c6953"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Scalar cubic\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838134785627*^9},ExpressionUUID->"aff3a3ae-a9d9-4432-bc46-\
e4df1a391441"],

Cell[BoxData["\<\"     ... 1-loop\"\>"], "Print",
 CellChangeTimes->{
  3.743838134786618*^9},ExpressionUUID->"54f42ae2-b05f-4d9f-830c-\
8d66b8e8e4d6"],

Cell[BoxData["\<\"     ... 2-loop\"\>"], "Print",
 CellChangeTimes->{
  3.743838134787216*^9},ExpressionUUID->"062f6c0e-72e3-40ba-9d68-\
52557d3f00fb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"                      (Time needed so far: \"\>", 
   "\[InvisibleSpace]", "309.40850599999993`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "                      (Time needed so far: ", 309.40850599999993`, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438381347877893`*^9},ExpressionUUID->"8d6f684c-3e9f-42b8-8b3f-\
be5002272cfd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"All necessary invariants are ready (Time needed: \"\>", 
   "\[InvisibleSpace]", "309.40852299999995`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "All necessary invariants are ready (Time needed: ", 309.40852299999995`, 
   "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438381347885113`*^9},ExpressionUUID->"65f1aaad-0319-4347-96f0-\
1bf5fc3c4497"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743838134789171*^9},ExpressionUUID->"3103e808-196d-4e67-826b-\
5c8c39efcb2a"],

Cell[BoxData["\<\"Calculation of beta functions... \"\>"], "Print",
 CellChangeTimes->{
  3.743838134789723*^9},ExpressionUUID->"1593a4a5-696a-410d-8300-\
e2827270aaed"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for Gauge Couplings\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.74383813479033*^9},ExpressionUUID->"1b7c2ed8-6601-40ac-9126-4a1f42bc1e63"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GAUGE], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GAUGE], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GAUGE]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GAUGE]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838134791013*^9},ExpressionUUID->"b61e2bce-d8b5-4412-9b33-\
c1ba968fe532"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate anomalous dimensions of scalars\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.74383813496497*^9},ExpressionUUID->"26c78fe1-f5b5-4454-9f1c-5587d36b249a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GSIJ], StandardForm],
    ImageSizeCache->{10., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GSIJ], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GSIJ]], "/", 4, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GSIJ]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438381349663353`*^9},ExpressionUUID->"fb164495-f2ef-454b-8262-\
3db029ad042f"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate hat(gamma) for running VEVs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438381352226963`*^9},ExpressionUUID->"7bb8ee52-4129-4a2f-bd82-\
ce25c9dc1c15"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GSijHat], StandardForm],
    ImageSizeCache->{10., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GSijHat], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GSijHat]], "/", 4, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GSijHat]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838135224839*^9},ExpressionUUID->"cd5e8293-f8dd-4848-a7b0-\
478b0fb70dc2"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate anomalous dimensions of fermions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438381354234056`*^9},ExpressionUUID->"34bcf374-25d1-4506-8078-\
5446b7cbf8bb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GFIJ], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GFIJ], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GFIJ]], "/", 5, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GFIJ]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438381354252033`*^9},ExpressionUUID->"90ef36c6-fd23-4d4c-8a7b-\
96f9bfdb3b7b"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for Yukawa-like interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838137149548*^9},ExpressionUUID->"c8924eb9-4c33-4910-9635-\
0962c710090a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`YIJK], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`YIJK], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`YIJK]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`YIJK]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838137151318*^9},ExpressionUUID->"7cf17c65-5cda-4362-9602-\
fa0cb728fe06"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for bilinear Fermion \
interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838140680347*^9},ExpressionUUID->"9674c1b0-b117-4450-9527-\
e3a379c7d50a"],

Cell[BoxData["\<\"   Nothing to do.\"\>"], "Print",
 CellChangeTimes->{
  3.7438381406818542`*^9},ExpressionUUID->"07a0a187-652c-4996-9728-\
b63180fbf124"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for scalar 4-point interactions\"\>",
    "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838140682534*^9},ExpressionUUID->"01259632-f0ff-4403-8245-\
d394e06b1aef"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`LIJKL], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`LIJKL], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`LIJKL]], "/", 7, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`LIJKL]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838140683303*^9},ExpressionUUID->"9e2646b5-71fc-43b7-b675-\
042ec152e823"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for scalar 3-point interactions\"\>",
    "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838573966363*^9},ExpressionUUID->"35c99183-14c3-4eca-90f1-\
15fff834760d"],

Cell[BoxData["\<\"   Nothing to do.\"\>"], "Print",
 CellChangeTimes->{
  3.743838573968379*^9},ExpressionUUID->"32735b9d-717b-4d58-9990-\
9abbce657ee8"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for bilinear scalar \
interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838573969037*^9},ExpressionUUID->"bd9e3ee7-265b-4afc-bd48-\
ca08d84fb799"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`MSIJ], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`MSIJ], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`MSIJ]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`MSIJ]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838573969736*^9},ExpressionUUID->"7826fffe-b5b6-46d7-b6d2-\
85bf48763947"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for VEVs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838578413782*^9},ExpressionUUID->"17e4e24c-fda7-4623-8c6c-\
d5469aa6daca"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`VEVI], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "2", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`VEVI], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`VEVI]], "/", 2, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`VEVI]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838578415945*^9},ExpressionUUID->"e3f7b387-1abf-4488-a78f-\
e8a91e97aabb"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.7438385799508543`*^9},ExpressionUUID->"76f1d85a-5387-47ea-b89b-\
ea18ad105dfb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Finished with the calculation of the RGEs. Time needed: \"\>", 
   "\[InvisibleSpace]", "754.687179`", "\[InvisibleSpace]", "\<\"s\"\>"}],
  SequenceForm[
  "Finished with the calculation of the RGEs. Time needed: ", 754.687179, "s"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838579952792*^9},ExpressionUUID->"4bacf9b2-6144-49f7-b7b7-\
00eef5c0cef4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The results are saved in \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"/home/martin/FeynTools/sarah4/Output/THDM-IInoZ2/RGEs/\"\>",
      "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["The results are saved in ", 
   StyleForm[
   "/home/martin/FeynTools/sarah4/Output/THDM-IInoZ2/RGEs/", "Section", 
    FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838579953733*^9},ExpressionUUID->"79174a6f-7534-4402-bcd2-\
4153bd02e644"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743838579965005*^9},ExpressionUUID->"77b9bc70-cb34-406b-815a-\
711b1ea6bb3b"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Preparing SPheno code\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838579966137*^9},ExpressionUUID->"80fd1f84-171f-4373-a3be-\
ad4391e5d1ba"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Solve tadpole equations for: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"M112", ",", "M222"}], "}"}], "\[InvisibleSpace]", "\<\"  (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicStatusSPhenoTad[{$CellContext`M112, $CellContext`M222}], 
     StandardForm],
    ImageSizeCache->{148., {3., 9.}}], "\[InvisibleSpace]", "\<\") \"\>"}],
  SequenceForm[
  "  Solve tadpole equations for: ", {$CellContext`M112, $CellContext`M222}, 
   "  (", 
   Dynamic[
    SARAH`DynamicStatusSPhenoTad[{$CellContext`M112, $CellContext`M222}]], 
   ") "],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385799671288`*^9},ExpressionUUID->"5ba255d2-8e41-453d-b620-\
3a228b688b14"],

Cell[BoxData["\<\"  Build parameter lists\"\>"], "Print",
 CellChangeTimes->{
  3.743838580337984*^9},ExpressionUUID->"c1018525-ec01-43a4-8968-\
bbd86cdfecf4"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write RGEs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838580431759*^9},ExpressionUUID->"d0f4825f-994d-42c4-9da4-\
ae2a3c54506b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing RGEs running up: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicRGEup, StandardForm],
    ImageSizeCache->{179., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRGEbeta[SARAH`numberLow], StandardForm],
    ImageSizeCache->{83., {3., 9.}}]}],
  SequenceForm["  Processing RGEs running up: ", 
   Dynamic[SARAH`DynamicRGEup], " ", 
   Dynamic[
    SARAH`DynamicRGEbeta[SARAH`numberLow]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838580433839*^9},ExpressionUUID->"8a5591e9-ff6c-491e-9e0c-\
55757313f0ec"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing RGEs running including VEVs: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicRGEall, StandardForm],
    ImageSizeCache->{179., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRGEbeta[SARAH`numberAllwithVEVs], StandardForm],
    ImageSizeCache->{83., {3., 9.}}]}],
  SequenceForm["  Processing RGEs running including VEVs: ", 
   Dynamic[SARAH`DynamicRGEall], " ", 
   Dynamic[
    SARAH`DynamicRGEbeta[SARAH`numberAllwithVEVs]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838580648891*^9},ExpressionUUID->"b1abb492-0672-4a08-a5f1-\
b63d88a61038"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write Tree Level-Masses\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838580915998*^9},ExpressionUUID->"00c7e5bf-92fb-4791-8c19-\
6436cff8ea94"],

Cell[BoxData["\<\"  Getting needed Information\"\>"], "Print",
 CellChangeTimes->{
  3.743838580917754*^9},ExpressionUUID->"dff0f0e3-6af0-45da-be8e-\
e8b6f6756d94"],

Cell[BoxData["\<\"  Writing header\"\>"], "Print",
 CellChangeTimes->{
  3.743838580937989*^9},ExpressionUUID->"5afab7d6-f405-48ff-9958-\
6b11ef0b955c"],

Cell[BoxData["\<\"  Writing routine for calculating all masses\"\>"], "Print",
 CellChangeTimes->{
  3.7438385809392433`*^9},ExpressionUUID->"d73706d9-a848-4c95-be28-\
c5bdf3e0229a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing all masses: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMassNr, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "11", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMassName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing all masses: ", 
   Dynamic[SARAH`DynamicMassNr], "/", 11, "(", 
   Dynamic[SARAH`DynamicMassName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385809494953`*^9},ExpressionUUID->"ca821413-1e7a-462d-99a8-\
cd34bc4c6dc0"],

Cell[BoxData["\<\"  Writing routine for calculating all masses\"\>"], "Print",
 CellChangeTimes->{
  3.7438385809676247`*^9},ExpressionUUID->"ff882de8-c56a-4bdb-acf5-\
7a0b6d603730"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing all masses: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMassNr, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "11", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMassName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing all masses: ", 
   Dynamic[SARAH`DynamicMassNr], "/", 11, "(", 
   Dynamic[SARAH`DynamicMassName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838580978949*^9},ExpressionUUID->"29504533-0ff5-4640-b94e-\
08b78dee074f"],

Cell[BoxData["\<\"  Writing routine for calculating SM masses\"\>"], "Print",
 CellChangeTimes->{
  3.7438385810721617`*^9},ExpressionUUID->"df761a01-7b42-44c1-a524-\
377df887cc99"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing SM Masses: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMassSMNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMassNameSM, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing SM Masses: ", 
   Dynamic[SARAH`DynamicMassSMNr], "/", 5, "(", 
   Dynamic[SARAH`DynamicMassNameSM], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838581082274*^9},ExpressionUUID->"89a2426c-d934-4a02-bf56-\
08bdb08b264f"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write Couplings\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438385810900784`*^9},ExpressionUUID->"a99a48c7-f692-4076-a19e-\
2b40e8b83764"],

Cell[BoxData["\<\"Writing Module Header\"\>"], "Print",
 CellChangeTimes->{
  3.743838581091116*^9},ExpressionUUID->"e061a3ab-af37-47d7-a661-\
d372b2b162d8"],

Cell[BoxData["\<\"Creating couplings for tree-level calculations\"\>"], \
"Print",
 CellChangeTimes->{
  3.743838581091959*^9},ExpressionUUID->"b0e16e56-b17b-49cd-9aab-\
8719300db400"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing couplings for all calculations: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplingsTreeAll, StandardForm],
    ImageSizeCache->{140., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCouplings["AllCouplingsReallyAll"], StandardForm],
    ImageSizeCache->{72., {3., 9.}}]}],
  SequenceForm["  Processing couplings for all calculations: ", 
   Dynamic[SARAH`DynamicCouplingsTreeAll], " ", 
   Dynamic[
    SARAH`DynamicCouplings["AllCouplingsReallyAll"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385810928173`*^9},ExpressionUUID->"a11ebc53-b144-4f21-a8c1-\
e3f2a17f0e79"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing couplings for tree-level calculations: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplingsTree, StandardForm],
    ImageSizeCache->{140., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCouplings["AllCouplings"], StandardForm],
    ImageSizeCache->{58., {3., 9.}}]}],
  SequenceForm["  Processing couplings for tree-level calculations: ", 
   Dynamic[SARAH`DynamicCouplingsTree], " ", 
   Dynamic[
    SARAH`DynamicCouplings["AllCouplings"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838581730661*^9},ExpressionUUID->"f947e30a-7040-472f-97a1-\
9c4196df236f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr["T"], StandardForm],
    ImageSizeCache->{24., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "100", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName["T"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr["T"]], "/", 100, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName["T"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838582252417*^9},ExpressionUUID->"fa99c783-8cbc-41b6-b744-\
25a3c7270222"],

Cell[BoxData["\<\"Creating couplings for 2-loop effective Potential\"\>"], \
"Print",
 CellChangeTimes->{
  3.7438385833256283`*^9},ExpressionUUID->"d7316357-486f-4845-b34c-\
73d55f6d9227"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing couplings for 2-loop effective potential: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplingsEffpot, StandardForm],
    ImageSizeCache->{133., {3., 9.}}]}],
  SequenceForm["  Processing couplings for 2-loop effective potential: ", 
   Dynamic[SARAH`DynamicCouplingsEffpot]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838583327676*^9},ExpressionUUID->"cb8f2954-bd90-4878-9c4c-\
86c2e2569443"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr["2L"], StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName["2L"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr["2L"]], "/", 6, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName["2L"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838583605563*^9},ExpressionUUID->"93585249-e157-4f5f-be39-\
0a4c59a32e40"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr["2L"], StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "19", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName["2L"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr["2L"]], "/", 19, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName["2L"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838583819368*^9},ExpressionUUID->"35e8287e-d24f-472f-adbb-\
93faaca73243"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Creating couplings for 2-loop pole mass: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplings2LPole, StandardForm],
    ImageSizeCache->{134., {3., 9.}}]}],
  SequenceForm["Creating couplings for 2-loop pole mass: ", 
   Dynamic[SARAH`DynamicCouplings2LPole]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838584137711*^9},ExpressionUUID->"7522795b-1cc4-45f9-8194-\
6bc278473539"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr["2LP"], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "19", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName["2LP"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr["2LP"]], "/", 19, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName["2LP"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838584244429*^9},ExpressionUUID->"4bc64674-3466-4024-936f-\
b3c7aea25ffe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Building Coupling List 4pt pole: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`fourptcouplingstatus, StandardForm],
    ImageSizeCache->{414., {3., 9.}}]}],
  SequenceForm["Building Coupling List 4pt pole: ", 
   Dynamic[SARAH`fourptcouplingstatus]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385846046543`*^9},ExpressionUUID->"68cc01f3-18bd-4bd8-bd70-\
5d1ef5125e40"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr["2LP"], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "9", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName["2LP"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr["2LP"]], "/", 9, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName["2LP"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385847519827`*^9},ExpressionUUID->"9946ddb1-ee8c-426b-a119-\
f41ceed508f0"],

Cell[BoxData["\<\"Creating couplings for loop calculations\"\>"], "Print",
 CellChangeTimes->{
  3.743838585050798*^9},ExpressionUUID->"437d55fe-4f3f-4148-8021-\
0d712d9a9d81"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing couplings for loop calculations: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplingsLoop, StandardForm],
    ImageSizeCache->{140., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCouplings["CouplingsForLoopMasses"], StandardForm],
    ImageSizeCache->{72., {3., 9.}}]}],
  SequenceForm["  Processing couplings for loop calculations: ", 
   Dynamic[SARAH`DynamicCouplingsLoop], " ", 
   Dynamic[
    SARAH`DynamicCouplings["CouplingsForLoopMasses"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838585052471*^9},ExpressionUUID->"7a2652f7-2922-40fe-9ab5-\
997a13267dfa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr["L"], StandardForm],
    ImageSizeCache->{24., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "125", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName["L"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr["L"]], "/", 125, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName["L"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385861604977`*^9},ExpressionUUID->"87b2b24e-e342-47f1-af5b-\
8f52bb25458c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing couplings for W/Z calculations: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplingsWZ, StandardForm],
    ImageSizeCache->{140., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCouplings["CouplingsForVectorBosons"], StandardForm],
    ImageSizeCache->{58., {3., 9.}}]}],
  SequenceForm["  Processing couplings for W/Z calculations: ", 
   Dynamic[SARAH`DynamicCouplingsWZ], " ", 
   Dynamic[
    SARAH`DynamicCouplings["CouplingsForVectorBosons"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838587555715*^9},ExpressionUUID->"3afa601b-565f-41c2-9d46-\
6a6854d8d43c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing couplings for SM-loop calculations: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplingsSM, StandardForm],
    ImageSizeCache->{140., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCouplings["CouplingsForSMfermions"], StandardForm],
    ImageSizeCache->{58., {3., 9.}}]}],
  SequenceForm["  Processing couplings for SM-loop calculations: ", 
   Dynamic[SARAH`DynamicCouplingsSM], " ", 
   Dynamic[
    SARAH`DynamicCouplings["CouplingsForSMfermions"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838587835802*^9},ExpressionUUID->"c187fd81-1a00-4d9d-bd3a-\
af2a2e7f3be4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Processing couplings for one-loop tadpoles: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCouplingsTad, StandardForm],
    ImageSizeCache->{140., {3., 9.}}], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCouplings["CouplingsForTadpoles"], StandardForm],
    ImageSizeCache->{56., {3., 9.}}]}],
  SequenceForm["  Processing couplings for one-loop tadpoles: ", 
   Dynamic[SARAH`DynamicCouplingsTad], " ", 
   Dynamic[
    SARAH`DynamicCouplings["CouplingsForTadpoles"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385881474247`*^9},ExpressionUUID->"df0c9ff6-fff6-4c1a-b77b-\
615e77b65527"],

Cell[BoxData["\<\"Creating special quartic functions\"\>"], "Print",
 CellChangeTimes->{
  3.743838588321189*^9},ExpressionUUID->"8efae122-683e-4d52-a082-\
42d15bcdb097"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr["Q"], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "30", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName["Q"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr["Q"]], "/", 30, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName["Q"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838588697837*^9},ExpressionUUID->"026a76a3-8304-46bc-994a-\
9cf22f6be70d"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write routine for loop couplings\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838589181321*^9},ExpressionUUID->"be192170-bece-4ecc-ad5c-\
5882187c92bd"],

Cell[BoxData["\<\"  Writing header\"\>"], "Print",
 CellChangeTimes->{
  3.743838591175188*^9},ExpressionUUID->"ab61a945-e04c-4737-af74-\
49975ab4aec7"],

Cell[BoxData["\<\"  Writing 'AlphaEwDR'\"\>"], "Print",
 CellChangeTimes->{
  3.74383859117689*^9},ExpressionUUID->"c283f33c-72cc-4cdb-9834-f582ed769391"],

Cell[BoxData["\<\"  Writing 'AlphaSdr'\"\>"], "Print",
 CellChangeTimes->{
  3.743838591187084*^9},ExpressionUUID->"10e12f2c-a4e5-4c19-8fe2-\
e3cbd1aa806e"],

Cell[BoxData["\<\"  Writing 'AlphaEW_Treshold'\"\>"], "Print",
 CellChangeTimes->{
  3.743838591192337*^9},ExpressionUUID->"39a30e13-9689-4260-9158-\
55c3849e388f"],

Cell[BoxData["\<\"  Writing 'AlphaS_T'\"\>"], "Print",
 CellChangeTimes->{
  3.7438385911936607`*^9},ExpressionUUID->"9d0a430f-453e-4953-b73d-\
e24d8797f734"],

Cell[BoxData["\<\"  Write 'DeltaVB'\"\>"], "Print",
 CellChangeTimes->{
  3.743838591198927*^9},ExpressionUUID->"50de9091-9b13-4a2d-8606-\
ae687d8f728f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  write loop induced couplings of Higgs to vector bosons \
(\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicHiggsLoopCnr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "8", "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  write loop induced couplings of Higgs to vector bosons (", 
   Dynamic[SARAH`DynamicHiggsLoopCnr], "/", 8, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385915184402`*^9},ExpressionUUID->"3cbba70b-dda4-490e-8574-\
8ddcca4607b4"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Writing SPheno two loop diagrammatic Higgs mass\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838591578377*^9},ExpressionUUID->"53c878dd-1a96-4292-9b0c-\
77d527d41ed1"],

Cell[BoxData["\<\"by Mark Goodsell (goodsell@lpthe.jussieu.fr), \
arxiv:1503.03098\"\>"], "Print",
 CellChangeTimes->{
  3.743838591580193*^9},ExpressionUUID->"9c26d93e-0cff-4c1c-a883-\
46caff422ef6"],

Cell[BoxData["\<\"Generating tadpole diagrams\"\>"], "Print",
 CellChangeTimes->{
  3.743838591623308*^9},ExpressionUUID->"f2c4b521-a136-4d1c-9a7c-\
24aaa6cc8350"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   DynamicBox[ToBoxes[SARAH`dynamictwolooptadpoletopology, StandardForm],
    ImageSizeCache->{207., {3., 9.}}], "\[InvisibleSpace]", "\<\": \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`dynamictwolooptadpolediagram, StandardForm],
    ImageSizeCache->{234., {3., 9.}}]}],
  SequenceForm[
   Dynamic[SARAH`dynamictwolooptadpoletopology], ": ", 
   Dynamic[SARAH`dynamictwolooptadpolediagram]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838591794971*^9},ExpressionUUID->"a7449b6f-3614-483d-a923-\
5cbe2c662f80"],

Cell[BoxData["\<\"Generating mass diagrams for hh states\"\>"], "Print",
 CellChangeTimes->{
  3.743838592025711*^9},ExpressionUUID->"2f6a9927-8ce1-4737-bba7-\
7a774c7faf18"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   DynamicBox[ToBoxes[SARAH`dynamictwolooppoletopology, StandardForm],
    ImageSizeCache->{66., {3., 9.}}], "\[InvisibleSpace]", "\<\": \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`dynamictwolooppolediagram, StandardForm],
    ImageSizeCache->{241., {3., 9.}}]}],
  SequenceForm[
   Dynamic[SARAH`dynamictwolooppoletopology], ": ", 
   Dynamic[SARAH`dynamictwolooppolediagram]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838592594027*^9},ExpressionUUID->"763195c7-b3f3-41ec-b32a-\
2f6faeae0d61"],

Cell[BoxData["\<\"Generating mass diagrams for Ah states\"\>"], "Print",
 CellChangeTimes->{
  3.743838593539494*^9},ExpressionUUID->"af143922-d848-4bd9-88da-\
6bea980d2bf8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   DynamicBox[ToBoxes[SARAH`dynamictwolooppoleAhtopology, StandardForm],
    ImageSizeCache->{66., {3., 9.}}], "\[InvisibleSpace]", "\<\": \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`dynamictwolooppoleAhdiagram, StandardForm],
    ImageSizeCache->{242., {3., 9.}}]}],
  SequenceForm[
   Dynamic[SARAH`dynamictwolooppoleAhtopology], ": ", 
   Dynamic[SARAH`dynamictwolooppoleAhdiagram]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838594124961*^9},ExpressionUUID->"082c0a97-0512-4ae8-8d64-\
8b51ade54862"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Writing 1L Gaugeless tadpoles: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`tot2L1dyn, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], 
   "\[InvisibleSpace]", "\<\" completed \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`tad2L1Ldyn, StandardForm],
    ImageSizeCache->{0., {0., 6.}}]}],
  SequenceForm["Writing 1L Gaugeless tadpoles: ", 
   Dynamic[SARAH`tot2L1dyn], " completed ", 
   Dynamic[SARAH`tad2L1Ldyn]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838595130478*^9},ExpressionUUID->"2a51dad4-3552-4f01-8b4b-\
d29b94959168"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculating shifts to tadpoles and masses due to \"\>", 
   "\[InvisibleSpace]", "\<\"hh, Ah, Hm\"\>"}],
  SequenceForm[
  "Calculating shifts to tadpoles and masses due to ", "hh, Ah, Hm"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385951466208`*^9},ExpressionUUID->"303ea361-90f0-4d07-933d-\
e80add550e4c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Writing Tadpoles: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`tad2Ldyn, StandardForm],
    ImageSizeCache->{242., {3., 9.}}]}],
  SequenceForm["Writing Tadpoles: ", 
   Dynamic[SARAH`tad2Ldyn]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838595190939*^9},ExpressionUUID->"415b6115-88a1-4a95-b1ca-\
71dd926d46cb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Writing CP-even masses: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`hh2Ldyn, StandardForm],
    ImageSizeCache->{258., {3., 9.}}]}],
  SequenceForm["Writing CP-even masses: ", 
   Dynamic[SARAH`hh2Ldyn]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385956003*^9},ExpressionUUID->"e28415ad-9234-413d-9102-33f38fda1f51"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Writing CP-odd masses: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`Ah2Ldyn, StandardForm],
    ImageSizeCache->{258., {3., 9.}}]}],
  SequenceForm["Writing CP-odd masses: ", 
   Dynamic[SARAH`Ah2Ldyn]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838597239792*^9},ExpressionUUID->"7a7eb572-e9a5-4efb-a8c2-\
e9be3e3e1f72"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write loop masses\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838598703764*^9},ExpressionUUID->"50184e73-805a-403d-aec7-\
ca1faf697fd6"],

Cell[BoxData["\<\"  Getting needed information\"\>"], "Print",
 CellChangeTimes->{
  3.7438385987051287`*^9},ExpressionUUID->"99a19f85-5bc1-4d48-a64d-\
17301e6031aa"],

Cell[BoxData["\<\"  Writing routine for all loop corrections\"\>"], "Print",
 CellChangeTimes->{
  3.743838598921866*^9},ExpressionUUID->"a4ba7659-d722-4ee2-920b-\
f481b35c2767"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing one-loop tadpoles: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicTad1LoopNr, StandardForm],
    ImageSizeCache->{8., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "1", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicTad1LoopName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing one-loop tadpoles: ", 
   Dynamic[SARAH`DynamicTad1LoopNr], "/", 1, "(", 
   Dynamic[SARAH`DynamicTad1LoopName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438385990484867`*^9},ExpressionUUID->"b032e59e-3a7e-45a6-a828-\
e098a94b967d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing one-loop masses: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMass1LoopNr, StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "11", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicMass1LoopName, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing one-loop masses: ", 
   Dynamic[SARAH`DynamicMass1LoopNr], "/", 11, "(", 
   Dynamic[SARAH`DynamicMass1LoopName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.74383859909945*^9},ExpressionUUID->"51d334ba-4c97-40e6-8930-30279f52571c"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write tree-level decays\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838601542635*^9},ExpressionUUID->"e4566e18-0b42-460e-a7a0-\
5d00ab9ee286"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing two-body decay: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicTBDnr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicTBDpart, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing two-body decay: ", 
   Dynamic[SARAH`DynamicTBDnr], "/", 6, "(", 
   Dynamic[SARAH`DynamicTBDpart], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838601741561*^9},ExpressionUUID->"93ef7db6-9008-4e4f-ac93-\
05226fb15031"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing three-body decay: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`Dynamic3BDnr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`Dynamic3BDpart, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing three-body decay: ", 
   Dynamic[SARAH`Dynamic3BDnr], "/", 3, "(", 
   Dynamic[SARAH`Dynamic3BDpart], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438386038880377`*^9},ExpressionUUID->"2313d741-8ab9-49cf-8122-\
b4ee786d465b"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Writing Routines for 1-Loop Decays\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838611614068*^9},ExpressionUUID->"94a0b39c-92e7-4ddc-99b7-\
6c8180680fc7"],

Cell[BoxData["\<\"   Writing Counter-Terms for Couplings\"\>"], "Print",
 CellChangeTimes->{
  3.743838611649577*^9},ExpressionUUID->"3da17778-69a6-4afc-a477-\
9e36e8340cef"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing routine for each coupling: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingNr[""], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "45", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCurrentCouplingName[""], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing routine for each coupling: ", 
   Dynamic[
    SARAH`DynamicCurrentCouplingNr[""]], "/", 45, " (", 
   Dynamic[
    SARAH`DynamicCurrentCouplingName[""]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.74383861230914*^9},ExpressionUUID->"8e6556d9-0364-4763-b5ca-acb5c6253185"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing loop decays for \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicLoopDecayParticle, StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicLoopDecayParticleNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicLoopDecayNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicLoopDecayTotal, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicLoopDecay, StandardForm],
    ImageSizeCache->{64., {3., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing loop decays for ", 
   Dynamic[SARAH`DynamicLoopDecayParticle], "(", 
   Dynamic[SARAH`DynamicLoopDecayParticleNr], "/", 6, "): ", 
   Dynamic[SARAH`DynamicLoopDecayNr], "/", 
   Dynamic[SARAH`DynamicLoopDecayTotal], "(", 
   Dynamic[SARAH`DynamicLoopDecay], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838613546361*^9},ExpressionUUID->"e43f8d80-fbb7-42da-ae4f-\
ea5478b5a513"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Writing wrapper code for \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicWrapperParticle, StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicWrapperParticleNr, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  Writing wrapper code for ", 
   Dynamic[SARAH`DynamicWrapperParticle], "(", 
   Dynamic[SARAH`DynamicWrapperParticleNr], "/", 6, ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838684231681*^9},ExpressionUUID->"a4af3cef-9fbc-4616-b31b-\
a4bbaa6e6eb6"],

Cell[BoxData["\<\"  Writing main function\"\>"], "Print",
 CellChangeTimes->{
  3.74383868896067*^9},ExpressionUUID->"03a1a5a0-0b6e-4fc0-9ed6-932aa7941c3d"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write Branching Ratios\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.7438386893646307`*^9},ExpressionUUID->"d4105ae6-c6fb-4bfa-9796-\
48ed70aed616"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write CP even Higgs cross sections\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838689460483*^9},ExpressionUUID->"343ccb20-8106-4854-b48b-\
4ce9e7d11e54"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write 'ModelData'\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838689477193*^9},ExpressionUUID->"39a60fcf-d1c5-482f-a2a2-\
2942307ac4bb"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write 'Boundaries and Running'\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.74383868969598*^9},ExpressionUUID->"fb83a4e8-3377-4fe9-8692-2a7fcc0072a3"],

Cell[BoxData["\<\"  Write 'BoundarySUSY'\"\>"], "Print",
 CellChangeTimes->{
  3.743838689697241*^9},ExpressionUUID->"f7f63ba7-b37e-427d-a1e7-\
f2a4e7b3eecd"],

Cell[BoxData["\<\"  Write 'BoundaryHS'\"\>"], "Print",
 CellChangeTimes->{
  3.743838689726136*^9},ExpressionUUID->"f25b686c-6cfb-4055-93ee-\
74d9be97edbc"],

Cell[BoxData["\<\"  Write 'BoundarySM'\"\>"], "Print",
 CellChangeTimes->{
  3.7438386897479267`*^9},ExpressionUUID->"a8e62049-9c5a-45ee-ad0e-\
15524b873e16"],

Cell[BoxData["\<\"  Write 'BoundaryBSM'\"\>"], "Print",
 CellChangeTimes->{
  3.743838689758954*^9},ExpressionUUID->"0fa50c20-b07f-434d-bc87-\
a714c51326e7"],

Cell[BoxData["\<\"  Write 'RunRGE'\"\>"], "Print",
 CellChangeTimes->{
  3.743838689897653*^9},ExpressionUUID->"f1a35fba-c5a1-41dc-9614-\
c4f8c10a29d8"],

Cell[BoxData["\<\"  Write 'Match_and_Run'\"\>"], "Print",
 CellChangeTimes->{
  3.743838689899016*^9},ExpressionUUID->"d42ef90b-1e67-48bb-afe9-\
8658f8554cd7"],

Cell[BoxData["\<\"  Write new 'RunRGE'\"\>"], "Print",
 CellChangeTimes->{
  3.7438386899601107`*^9},ExpressionUUID->"0781711f-aafb-4e7b-8ffa-\
aadffaa31540"],

Cell[BoxData["\<\"  Write 'FirstGuess'\"\>"], "Print",
 CellChangeTimes->{
  3.743838689972705*^9},ExpressionUUID->"4453fc14-41c4-490b-8129-\
2e5057bbabdf"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write routine for precision observables\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838690025715*^9},ExpressionUUID->"f7e72dd2-e21e-4a1b-8343-\
08b4db227efc"],

Cell[BoxData["\<\"(in collaboration with K. Nickel, W. Porod, A. \
Vicente)\"\>"], "Print",
 CellChangeTimes->{
  3.7438386900266523`*^9},ExpressionUUID->"4ecb8ae3-8991-47af-a061-\
2d3abac17a6a"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Checking for FlavorKit input files\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->{
  3.743838690035321*^9},ExpressionUUID->"eac6f8fe-8445-41db-ad8b-\
2f46f4771a30"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Reference: 'A Flavor Kit for BSM models' by W. Porod, F. \
Staub, A.Vicente; 1405.1434\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->{
  3.7438386900367193`*^9},ExpressionUUID->"e1fe4019-70d2-48bb-9d78-\
cf3a0772831a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading files for FlavorKit \"\>", 
   "\[InvisibleSpace]", "\<\"LFV\"\>", 
   "\[InvisibleSpace]", "\<\" operators: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicListOperators["LFV"], StandardForm],
    ImageSizeCache->{1189.5, {25., 14.}}]}],
  SequenceForm["Reading files for FlavorKit ", "LFV", " operators: ", 
   Dynamic[
    $CellContext`DynamicListOperators["LFV"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838690037751*^9},ExpressionUUID->"36c438ac-f310-4c8b-b2a7-\
a240a4ae7157"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... \"\>", "\[InvisibleSpace]", "Gamma2l"}],
  SequenceForm["   ... ", $CellContext`Gamma2l],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438386902675047`*^9},ExpressionUUID->"dbf3d819-eb41-454c-b45e-\
77a1e8a0667b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... \"\>", "\[InvisibleSpace]", "H2l"}],
  SequenceForm["   ... ", $CellContext`H2l],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838690269487*^9},ExpressionUUID->"671097ef-976e-4ba5-8377-\
fb98b773de83"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... \"\>", "\[InvisibleSpace]", "Z2l"}],
  SequenceForm["   ... ", $CellContext`Z2l],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838690302607*^9},ExpressionUUID->"ec804159-2c21-47da-a884-\
fae2023be030"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading files for definition of FlavorKit \"\>", 
   "\[InvisibleSpace]", "\<\"LFV\"\>", 
   "\[InvisibleSpace]", "\<\" observables: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicListObservables["LFV"], StandardForm],
    ImageSizeCache->{1361.5, {25., 14.}}]}],
  SequenceForm[
  "Reading files for definition of FlavorKit ", "LFV", " observables: ", 
   Dynamic[
    $CellContext`DynamicListObservables["LFV"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438386907173443`*^9},ExpressionUUID->"a9d1ac25-9ef1-4b15-8f56-\
7201482123c9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading files for FlavorKit \"\>", 
   "\[InvisibleSpace]", "\<\"QFV\"\>", 
   "\[InvisibleSpace]", "\<\" operators: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicListOperators["QFV"], StandardForm],
    ImageSizeCache->{1779., {3., 9.}}]}],
  SequenceForm["Reading files for FlavorKit ", "QFV", " operators: ", 
   Dynamic[
    $CellContext`DynamicListOperators["QFV"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838690724557*^9},ExpressionUUID->"4bb487d7-14da-4ca3-99bc-\
abbfeefd2cea"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... \"\>", "\[InvisibleSpace]", "Gamma2Q"}],
  SequenceForm["   ... ", $CellContext`Gamma2Q],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838690887882*^9},ExpressionUUID->"3838ff50-3cb8-492d-883c-\
2f563f33afd1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... \"\>", "\[InvisibleSpace]", "Gluon2Q"}],
  SequenceForm["   ... ", $CellContext`Gluon2Q],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838690890106*^9},ExpressionUUID->"55994eb8-8ffd-4d4b-a168-\
7a0796c6ea8c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... \"\>", "\[InvisibleSpace]", "H2q"}],
  SequenceForm["   ... ", $CellContext`H2q],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438386909207373`*^9},ExpressionUUID->"46718292-e075-47c0-ae36-\
5ce5581eea3a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Reading files for definition of FlavorKit \"\>", 
   "\[InvisibleSpace]", "\<\"QFV\"\>", 
   "\[InvisibleSpace]", "\<\" observables: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicListObservables["QFV"], StandardForm],
    ImageSizeCache->{1459.5, {69., 14.}}]}],
  SequenceForm[
  "Reading files for definition of FlavorKit ", "QFV", " observables: ", 
   Dynamic[
    $CellContext`DynamicListObservables["QFV"]]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838691873192*^9},ExpressionUUID->"2d3efee7-34b6-45d4-a384-\
1fe63495e40e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Generating code for FlavorKit \"\>", 
   "\[InvisibleSpace]", "\<\"LFV\"\>", 
   "\[InvisibleSpace]", "\<\" observables: \"\>"}],
  SequenceForm["Generating code for FlavorKit ", "LFV", " observables: "],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438386919379787`*^9},ExpressionUUID->"e6d3a6fa-8e45-45ad-8671-\
60828e71d0d7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... processing: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNrPS["LFV"], StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "23", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNamePS["LFV"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], 
   "\[InvisibleSpace]", "\<\" [Diagrams: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNumberDiagram[$CellContext`currentNameOp], 
     StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNumberTotalDiagram[$CellContext`currentNameOp], 
     StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"])\"\>"}],
  SequenceForm["  ... processing: ", 
   Dynamic[
    $CellContext`DynamicNrPS["LFV"]], "/", 23, " (", 
   Dynamic[
    $CellContext`DynamicNamePS["LFV"]], " [Diagrams: ", 
   Dynamic[
    $CellContext`DynamicNumberDiagram[$CellContext`currentNameOp]], " of ", 
   Dynamic[
    $CellContext`DynamicNumberTotalDiagram[$CellContext`currentNameOp]], "])"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838691940528*^9},ExpressionUUID->"31296f4e-b4c1-429e-acd7-\
da7198e37233"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     writing SPheno code for \"\>", "\[InvisibleSpace]", 
   "Gamma2l"}],
  SequenceForm["     writing SPheno code for ", $CellContext`Gamma2l],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838733125358*^9},ExpressionUUID->"4f6d5ad5-728d-4027-93da-\
8993cae7bf10"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     writing SPheno code for \"\>", "\[InvisibleSpace]", 
   "H2l"}],
  SequenceForm["     writing SPheno code for ", $CellContext`H2l],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838733653013*^9},ExpressionUUID->"97154fc5-a529-4e01-a778-\
7f2518972326"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     writing SPheno code for \"\>", "\[InvisibleSpace]", 
   "Z2l"}],
  SequenceForm["     writing SPheno code for ", $CellContext`Z2l],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438387343504457`*^9},ExpressionUUID->"7fc519d9-7f90-4918-86cf-\
09dd7d94e95d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Write Routines to calculate observables: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicObsNr["LFV"], StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "7", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicObsName["LFV"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Write Routines to calculate observables: ", 
   Dynamic[
    $CellContext`DynamicObsNr["LFV"]], "/", 7, " (", 
   Dynamic[
    $CellContext`DynamicObsName["LFV"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838734984789*^9},ExpressionUUID->"dfd9747f-cb2a-48d2-8853-\
e7df402911f0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Generating code for FlavorKit \"\>", 
   "\[InvisibleSpace]", "\<\"QFV\"\>", 
   "\[InvisibleSpace]", "\<\" observables: \"\>"}],
  SequenceForm["Generating code for FlavorKit ", "QFV", " observables: "],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838735096192*^9},ExpressionUUID->"ac217b10-2696-408d-8051-\
3ca32d987441"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... processing: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNrPS["QFV"], StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "19", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNamePS["QFV"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], 
   "\[InvisibleSpace]", "\<\" [Diagrams: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNumberDiagram[$CellContext`currentNameOp], 
     StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\" of \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicNumberTotalDiagram[$CellContext`currentNameOp], 
     StandardForm],
    ImageSizeCache->{17., {0., 8.}}], "\[InvisibleSpace]", "\<\"])\"\>"}],
  SequenceForm["  ... processing: ", 
   Dynamic[
    $CellContext`DynamicNrPS["QFV"]], "/", 19, " (", 
   Dynamic[
    $CellContext`DynamicNamePS["QFV"]], " [Diagrams: ", 
   Dynamic[
    $CellContext`DynamicNumberDiagram[$CellContext`currentNameOp]], " of ", 
   Dynamic[
    $CellContext`DynamicNumberTotalDiagram[$CellContext`currentNameOp]], "])"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438387350989857`*^9},ExpressionUUID->"0e3f16f0-aaf5-46a3-995a-\
bbb2bef2d5b3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     writing SPheno code for \"\>", "\[InvisibleSpace]", 
   "Gamma2Q"}],
  SequenceForm["     writing SPheno code for ", $CellContext`Gamma2Q],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438387571232224`*^9},ExpressionUUID->"ef73bc96-64f8-470f-8891-\
bd530e0bdce8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     writing SPheno code for \"\>", "\[InvisibleSpace]", 
   "Gluon2Q"}],
  SequenceForm["     writing SPheno code for ", $CellContext`Gluon2Q],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838757902495*^9},ExpressionUUID->"7c69470b-492a-4ca6-808c-\
2f822f02e20c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"     writing SPheno code for \"\>", "\[InvisibleSpace]", 
   "H2q"}],
  SequenceForm["     writing SPheno code for ", $CellContext`H2q],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838758524932*^9},ExpressionUUID->"87ce0e0c-54d0-4363-8431-\
eeba0fc671f2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Write Routines to calculate observables: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicObsNr["QFV"], StandardForm],
    ImageSizeCache->{16., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "10", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     $CellContext`DynamicObsName["QFV"], StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Write Routines to calculate observables: ", 
   Dynamic[
    $CellContext`DynamicObsNr["QFV"]], "/", 10, " (", 
   Dynamic[
    $CellContext`DynamicObsName["QFV"]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838759542247*^9},ExpressionUUID->"39a60ea1-9191-4354-ac43-\
5ad0bad2cbc2"],

Cell[BoxData["\<\"Write Function for g-2\"\>"], "Print",
 CellChangeTimes->{
  3.743838759711913*^9},ExpressionUUID->"db0497f8-eece-42bb-a983-\
77d0bd473ce7"],

Cell[BoxData["\<\"Write Function EDM of Leptons\"\>"], "Print",
 CellChangeTimes->{
  3.7438387598743267`*^9},ExpressionUUID->"edc3e37b-fb16-4fd9-922d-\
c68adc75730a"],

Cell[BoxData["\<\"  Write 'CalculateLowEnergy'\"\>"], "Print",
 CellChangeTimes->{
  3.743838760159487*^9},ExpressionUUID->"de9ce8ba-5908-46f3-8a5f-\
5e47146b084b"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write I/O routines\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838762043954*^9},ExpressionUUID->"75093940-dee2-46b6-b8f8-\
5b385ee0cdd7"],

Cell[BoxData["\<\"  Writing input routines\"\>"], "Print",
 CellChangeTimes->{
  3.743838762053525*^9},ExpressionUUID->"1be434fb-a1f4-40f4-b957-\
5a45f6134240"],

Cell[BoxData["\<\"  Writing output routines\"\>"], "Print",
 CellChangeTimes->{
  3.7438387620716467`*^9},ExpressionUUID->"b913aec3-aa20-46a8-b801-\
bdc76cbba321"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write routine for tadpole equations\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838763121552*^9},ExpressionUUID->"a128c509-252c-4c18-b094-\
06d4d1a69db1"],

Cell[BoxData["\<\"  Writing solver for tadpole equations \"\>"], "Print",
 CellChangeTimes->{
  3.7438387631231728`*^9},ExpressionUUID->"c38035fc-799b-4be7-8994-\
bf14fe2bfe41"],

Cell[BoxData["\<\"  Writing tadpole equations \"\>"], "Print",
 CellChangeTimes->{
  3.743838763152144*^9},ExpressionUUID->"e22e003a-0592-4be9-bd89-\
ddc631c2a95a"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write SPheno main file\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838763176497*^9},ExpressionUUID->"50c47664-7ae2-44ca-bba4-\
d06f12d640a2"],

Cell[BoxData["\<\"  Write 'CalculateSpectrum'\"\>"], "Print",
 CellChangeTimes->{
  3.743838763295808*^9},ExpressionUUID->"8f44f9e0-f958-4403-a4dc-\
f558e1ad3aa3"],

Cell[BoxData["\<\"  Write 'ReadingData'\"\>"], "Print",
 CellChangeTimes->{
  3.743838763352787*^9},ExpressionUUID->"639bd037-8a59-40ef-b670-\
7a9fd6b5ab66"],

Cell[BoxData["\<\"  Write 'ScaleUncertainty'\"\>"], "Print",
 CellChangeTimes->{
  3.7438387633541527`*^9},ExpressionUUID->"f0f942e0-5799-440d-88a8-\
698919d3ca64"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write SM RGEs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838763465817*^9},ExpressionUUID->"da4f129c-8849-4f83-8670-\
ef128bb5aae8"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write routine for running couplings in decays\"\>", "Section",
   
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838763512628*^9},ExpressionUUID->"e257b55f-dad3-467d-9705-\
80e4e75528df"],

Cell[BoxData["\<\"  Writing module header\"\>"], "Print",
 CellChangeTimes->{
  3.743838763513976*^9},ExpressionUUID->"7c484eea-9acc-4128-bc68-\
87f3188ee57f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing running couplings for 2-body decays: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicRunCoupD2B, StandardForm],
    ImageSizeCache->{9., {0., 8.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicRunCoupNameD2B, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing running couplings for 2-body decays: ", 
   Dynamic[SARAH`DynamicRunCoupD2B], "/", 6, " (", 
   Dynamic[SARAH`DynamicRunCoupNameD2B], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838763514797*^9},ExpressionUUID->"3bd310e7-ffcc-4555-a3b8-\
a4dfe3c5fed5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  writing running couplings for 3-body decays: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicRunCoupD3B, StandardForm],
    ImageSizeCache->{137., {3., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicRunCoupNameD3B, StandardForm],
    ImageSizeCache->{67., {0., 9.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  writing running couplings for 3-body decays: ", 
   Dynamic[SARAH`DynamicRunCoupD3B], "/", 3, " (", 
   Dynamic[SARAH`DynamicRunCoupNameD3B], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838765071744*^9},ExpressionUUID->"9567be81-db46-4d7c-a286-\
5358bc9ee589"],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Write templates for input files\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.743838766079549*^9},ExpressionUUID->"b5d44f14-06af-4940-aa0e-\
58c10f793f74"],

Cell[BoxData["\<\"  Writing LesHouches input file\"\>"], "Print",
 CellChangeTimes->{
  3.7438387660815287`*^9},ExpressionUUID->"2444e9e9-467f-4918-9f80-\
e90d8f682f33"],

Cell[BoxData["\<\"  Writing SSP templates\"\>"], "Print",
 CellChangeTimes->{
  3.7438387661098223`*^9},ExpressionUUID->"3265704a-88d4-47a2-919a-\
c5fe8555ffe3"],

Cell[BoxData["\<\"  Writing Makefile\"\>"], "Print",
 CellChangeTimes->{
  3.743838766116025*^9},ExpressionUUID->"89070d4a-6b70-4b80-816f-\
d6438db101fe"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743838766116984*^9},ExpressionUUID->"df114b94-bcb6-4175-a432-\
e1b8a20b3d6b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Finished! SPheno code generated in \"\>", "\[InvisibleSpace]", 
   "1010.932363`", "\[InvisibleSpace]", "\<\"s\"\>"}],
  SequenceForm["Finished! SPheno code generated in ", 1010.932363, "s"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838766117627*^9},ExpressionUUID->"9103c10d-7612-4187-975f-\
24e5dd86853b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Output saved in \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"/home/martin/FeynTools/sarah4/Output/THDM-IInoZ2/EWSB/\
SPheno/\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["Output saved in ", 
   StyleForm[
   "/home/martin/FeynTools/sarah4/Output/THDM-IInoZ2/EWSB/SPheno/", "Section",
     FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838766118421*^9},ExpressionUUID->"0ec90d5a-d3e9-4afd-bd35-\
c074962d28d4"],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.743838766119231*^9},ExpressionUUID->"9bff12cb-bc6a-4ec6-bb09-\
31da1fe14fc3"],

Cell[BoxData["\<\"The following steps are now necessary to implement the \
model in SPheno: \"\>"], "Print",
 CellChangeTimes->{
  3.743838766119795*^9},ExpressionUUID->"df6de3a1-114c-4e94-84d0-\
75cad6441e77"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  1. Copy the created files to a new subdirectory \\\"/\"\>", 
   "\[InvisibleSpace]", "\<\"HighScaleSUSYlowMA\"\>", 
   "\[InvisibleSpace]", "\<\"\\\" of your SPheno 3.3.8 (or later) \
installation\"\>"}],
  SequenceForm[
  "  1. Copy the created files to a new subdirectory \"/", 
   "HighScaleSUSYlowMA", "\" of your SPheno 3.3.8 (or later) installation"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.7438387661204977`*^9},ExpressionUUID->"c029a3a5-a10a-406c-a7bd-\
68cf3b0c4fa2"],

Cell[BoxData["\<\"  2. Compile the model by using \"\>"], "Print",
 CellChangeTimes->{
  3.743838766121293*^9},ExpressionUUID->"b0c0e772-d0d2-4a52-a034-\
696fcbcb95c0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"        make Model=\"\>", 
   "\[InvisibleSpace]", "\<\"HighScaleSUSYlowMA\"\>"}],
  SequenceForm["        make Model=", "HighScaleSUSYlowMA"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.743838766121949*^9},ExpressionUUID->"06cf69fd-b720-4e01-85d5-\
df1e466f6565"],

Cell[BoxData["\<\"     in the main directory of SPheno\"\>"], "Print",
 CellChangeTimes->{
  3.743838766122554*^9},ExpressionUUID->"c4bca2e2-7201-4468-b78e-\
6717c9baee95"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
Evaluator->"Local",
WindowSize->{964, 533},
WindowMargins->{{Automatic, 956}, {Automatic, 15}},
FrontEndVersion->"11.1 for Linux x86 (64-bit) (April 18, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info33743846803-5032045"->{
  Cell[44014, 1133, 1191, 18, 
  322, "Print", "ExpressionUUID" -> "afd0dbdd-f676-4da6-9f3e-260c86e2fca2",
   CellTags->"Info33743846803-5032045"]},
 "Info83743846814-5032045"->{
  Cell[70276, 1806, 2256, 33, 
  415, "Print", "ExpressionUUID" -> "9d653c33-b0ad-4c97-8ffd-73317b12331f",
   CellTags->"Info83743846814-5032045"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info33743846803-5032045", 277263, 7417},
 {"Info83743846814-5032045", 277442, 7421}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 381, 11, 94, "Title", "ExpressionUUID" -> \
"d7e7dfb5-e4b1-4a79-af36-6894dd6f4f47"],
Cell[CellGroupData[{
Cell[986, 37, 180, 3, 67, "Section", "ExpressionUUID" -> \
"ddda01c4-9fb7-4485-8dfc-aeba3e4545a5"],
Cell[CellGroupData[{
Cell[1191, 44, 490, 8, 57, "Input", "ExpressionUUID" -> \
"d5b054a6-9a5d-4726-8dcf-274e8bc3a1d1"],
Cell[CellGroupData[{
Cell[1706, 56, 606, 17, 27, "Print", "ExpressionUUID" -> \
"09de78d6-e9df-429d-b1a6-c2ca425fe999"],
Cell[2315, 75, 182, 3, 25, "Print", "ExpressionUUID" -> \
"5e841448-30fd-4e5c-9fd7-beca92d1be7c"],
Cell[2500, 80, 292, 8, 26, "Print", "ExpressionUUID" -> \
"1aee28cc-6032-49c3-8369-873d302895cd"],
Cell[2795, 90, 155, 2, 25, "Print", "ExpressionUUID" -> \
"be8a2e2b-5558-4023-a718-30f212ed2176"],
Cell[2953, 94, 265, 7, 27, "Print", "ExpressionUUID" -> \
"5b0ab4ae-7514-4968-b73a-37a4b304ac8c"],
Cell[3221, 103, 230, 4, 25, "Print", "ExpressionUUID" -> \
"2bc8ba19-95d1-4f71-8baf-25d3c9aa5873"],
Cell[3454, 109, 226, 4, 25, "Print", "ExpressionUUID" -> \
"d6bf4485-28c4-40d9-9d08-499500d93a16"],
Cell[3683, 115, 230, 4, 25, "Print", "ExpressionUUID" -> \
"66fe417d-583b-44e1-82bd-9aa9a4b10907"],
Cell[3916, 121, 228, 4, 25, "Print", "ExpressionUUID" -> \
"6c4348b2-ff22-458d-b7bb-e6d88126e405"],
Cell[4147, 127, 281, 7, 27, "Print", "ExpressionUUID" -> \
"eca83252-a47f-4f35-9ff3-644f1b8d1ce5"],
Cell[4431, 136, 185, 3, 25, "Print", "ExpressionUUID" -> \
"5d510ee9-3de6-4dd1-8295-9d4fa324bd7d"],
Cell[4619, 141, 160, 3, 25, "Print", "ExpressionUUID" -> \
"9d0ad96e-1f4b-454f-83ff-7f821dc3c75c"],
Cell[4782, 146, 191, 3, 25, "Print", "ExpressionUUID" -> \
"f48ee19d-ab66-4440-b133-ac4e6a234aa6"],
Cell[4976, 151, 285, 7, 26, "Print", "ExpressionUUID" -> \
"02df15d2-d312-4f3d-8f65-6cbd6dc73238"],
Cell[5264, 160, 222, 4, 25, "Print", "ExpressionUUID" -> \
"b7f0eee9-2eac-400d-a9e7-0d704e1dfeb4"],
Cell[5489, 166, 528, 13, 25, "Print", "ExpressionUUID" -> \
"8d874463-a146-47f0-a258-693cb6b85987"],
Cell[6020, 181, 174, 3, 25, "Print", "ExpressionUUID" -> \
"bf92d024-1074-46ed-8eb1-976c451e8bee"],
Cell[6197, 186, 399, 9, 25, "Print", "ExpressionUUID" -> \
"43aba953-6c8c-4086-be1a-aacc4dd89b95"],
Cell[6599, 197, 275, 7, 26, "Print", "ExpressionUUID" -> \
"992fe566-17fa-4ca3-9f0f-f1230dd6df69"],
Cell[6877, 206, 448, 12, 25, "Print", "ExpressionUUID" -> \
"6b382730-ad0d-44c9-8c03-af2c16a9258e"],
Cell[7328, 220, 456, 12, 25, "Print", "ExpressionUUID" -> \
"a1134073-4b7c-43db-851d-dc493b5dd972"],
Cell[7787, 234, 460, 12, 25, "Print", "ExpressionUUID" -> \
"94606e59-5144-43c8-aa38-cda743861aeb"],
Cell[8250, 248, 218, 4, 25, "Print", "ExpressionUUID" -> \
"ad6bb6d7-9576-4776-8181-c9f295f1b86e"],
Cell[8471, 254, 571, 14, 25, "Print", "ExpressionUUID" -> \
"aab75341-9ff9-44c1-af3b-3f3b7a388089"],
Cell[9045, 270, 213, 4, 25, "Print", "ExpressionUUID" -> \
"5f03ee2b-3561-4c01-a103-ca951b0e04cb"],
Cell[9261, 276, 520, 13, 25, "Print", "ExpressionUUID" -> \
"6d8fd1c3-a299-4202-b517-4012b96a61cc"],
Cell[9784, 291, 213, 3, 25, "Print", "ExpressionUUID" -> \
"9f2bd588-1b99-4159-9120-9766b6351c35"],
Cell[10000, 296, 268, 7, 26, "Print", "ExpressionUUID" -> \
"dbadcff5-fb94-41bf-a722-49934da8faef"],
Cell[10271, 305, 446, 10, 25, "Print", "ExpressionUUID" -> \
"0071bb00-2b11-41fe-8c8f-c800af72cbe0"],
Cell[10720, 317, 443, 10, 25, "Print", "ExpressionUUID" -> \
"38ef5333-8b41-4c21-96e0-1ea2304d8e5e"],
Cell[11166, 329, 427, 10, 25, "Print", "ExpressionUUID" -> \
"ca2f8398-ca9c-4c0c-8ab0-5dfd1dcfba56"],
Cell[11596, 341, 465, 11, 25, "Print", "ExpressionUUID" -> \
"3cfdefe5-1031-4c2c-b528-be926e9e2e8c"],
Cell[12064, 354, 449, 10, 25, "Print", "ExpressionUUID" -> \
"beaece68-eca0-4e4d-a27e-6f2ff3cf6640"],
Cell[12516, 366, 271, 7, 26, "Print", "ExpressionUUID" -> \
"f9185bea-e3fe-45c2-8879-b6a6f63d3962"],
Cell[12790, 375, 792, 15, 25, "Print", "ExpressionUUID" -> \
"93976dbb-c74a-418a-ba15-69649f56606b"],
Cell[13585, 392, 462, 10, 25, "Print", "ExpressionUUID" -> \
"89875da3-fb39-42b1-bd03-12d1ac47e976"],
Cell[14050, 404, 741, 15, 25, "Print", "ExpressionUUID" -> \
"9aad4178-c043-4cc5-8a8f-3b31cc3587ad"],
Cell[14794, 421, 766, 14, 25, "Print", "ExpressionUUID" -> \
"5a96a864-97cd-4dae-8aeb-b63511e9f2d6"],
Cell[15563, 437, 465, 10, 25, "Print", "ExpressionUUID" -> \
"fe5291fa-8fa2-4da9-933e-d8e48330c525"],
Cell[16031, 449, 183, 3, 25, "Print", "ExpressionUUID" -> \
"782f9b1a-00eb-4b7b-bd7b-26dc22508ccd"],
Cell[16217, 454, 768, 15, 25, "Print", "ExpressionUUID" -> \
"a5475788-c06a-4d9d-b519-f70090b6cd0b"],
Cell[16988, 471, 774, 15, 25, "Print", "ExpressionUUID" -> \
"4617a692-cee7-4a9a-a616-131c7b54803d"],
Cell[17765, 488, 740, 14, 25, "Print", "ExpressionUUID" -> \
"8c5a280b-d184-4dea-b719-a6c95a8ccd4c"],
Cell[18508, 504, 793, 15, 25, "Print", "ExpressionUUID" -> \
"7b7e9601-ca0f-441f-a714-696508358e4f"],
Cell[19304, 521, 808, 16, 25, "Print", "ExpressionUUID" -> \
"6f0f1f53-a9fb-4e33-acce-fc860f680966"],
Cell[20115, 539, 775, 15, 25, "Print", "ExpressionUUID" -> \
"5502f22c-9237-46f9-9b14-9f7e811562f8"],
Cell[20893, 556, 773, 15, 25, "Print", "ExpressionUUID" -> \
"efaf9306-6682-4148-9910-6e58f2ae0541"],
Cell[21669, 573, 172, 3, 25, "Print", "ExpressionUUID" -> \
"cb108596-1fdf-4405-b060-37d6eb470e44"],
Cell[21844, 578, 182, 3, 25, "Print", "ExpressionUUID" -> \
"e1114acc-cfc8-4180-8c70-f43d0f6c54d7"],
Cell[22029, 583, 158, 3, 25, "Print", "ExpressionUUID" -> \
"5a67037b-8755-486d-a95a-918b3c38ff49"],
Cell[22190, 588, 276, 7, 26, "Print", "ExpressionUUID" -> \
"5fae47c6-279f-43c4-9078-dbcfa62d8798"],
Cell[22469, 597, 520, 13, 25, "Print", "ExpressionUUID" -> \
"52530387-939d-42cb-9b05-54dc9cd2e518"],
Cell[22992, 612, 180, 3, 25, "Print", "ExpressionUUID" -> \
"0c16e1bd-e5c8-4438-95b1-8a396f44decc"],
Cell[23175, 617, 839, 19, 25, "Print", "ExpressionUUID" -> \
"a98a04ce-eff3-496e-a056-f1fe10ab0ae1"],
Cell[24017, 638, 194, 3, 25, "Print", "ExpressionUUID" -> \
"1ce07959-b58e-4bea-ab91-5659d37d71d8"],
Cell[24214, 643, 187, 3, 25, "Print", "ExpressionUUID" -> \
"0d4b5272-9c0d-4f6a-809f-822deef16592"],
Cell[24404, 648, 505, 12, 25, "Print", "ExpressionUUID" -> \
"1ad8dda0-6d34-4e62-9a55-a14f39d7a7bc"],
Cell[24912, 662, 155, 2, 25, "Print", "ExpressionUUID" -> \
"4b146f9c-3779-45b9-94ec-34265f2a7ba9"],
Cell[25070, 666, 273, 7, 26, "Print", "ExpressionUUID" -> \
"85b2b716-a238-48a3-87f7-88d63fc31a6c"],
Cell[25346, 675, 182, 3, 25, "Print", "ExpressionUUID" -> \
"e46fe90d-9554-4494-9a94-02f5229e5a98"],
Cell[25531, 680, 870, 23, 25, "Print", "ExpressionUUID" -> \
"b3a8ee41-aa21-449f-8d3b-72faf8a75424"],
Cell[26404, 705, 842, 19, 25, "Print", "ExpressionUUID" -> \
"450d3dc1-7509-4d74-88b4-5f119f9ebaeb"],
Cell[27249, 726, 887, 23, 25, "Print", "ExpressionUUID" -> \
"974e7507-6f30-434f-8240-3276b1327cf8"],
Cell[28139, 751, 168, 3, 25, "Print", "ExpressionUUID" -> \
"9d970352-beb3-4a7d-b06e-5aab75ed779c"],
Cell[28310, 756, 893, 23, 25, "Print", "ExpressionUUID" -> \
"27fc88ca-ba51-4b77-b862-8c94bbcb0b1e"],
Cell[29206, 781, 520, 13, 25, "Print", "ExpressionUUID" -> \
"00330446-a247-4932-9479-920a2aaa1967"],
Cell[29729, 796, 178, 3, 25, "Print", "ExpressionUUID" -> \
"3ce37472-22d8-4f78-8ff0-a7c6b898847b"],
Cell[29910, 801, 831, 20, 25, "Print", "ExpressionUUID" -> \
"94742389-b75e-402d-8698-56e0fb77ea1d"],
Cell[30744, 823, 192, 3, 25, "Print", "ExpressionUUID" -> \
"99d2fdee-4b08-4553-9773-048df1097f26"],
Cell[30939, 828, 184, 2, 25, "Print", "ExpressionUUID" -> \
"20569103-3844-4813-bfef-ae02e0eee2d3"],
Cell[31126, 832, 5965, 103, 25, "Print", "ExpressionUUID" -> \
"70df9a49-6090-4313-b512-25999edb160b"],
Cell[37094, 937, 891, 23, 25, "Print", "ExpressionUUID" -> \
"1ec9664a-a2eb-495d-9b92-68a8ac057635"],
Cell[37988, 962, 185, 3, 25, "Print", "ExpressionUUID" -> \
"a406d723-3585-4e5d-aa6c-9666db123a3f"],
Cell[38176, 967, 499, 12, 25, "Print", "ExpressionUUID" -> \
"fbe91aec-3130-4adf-be35-de028adc2bfe"],
Cell[38678, 981, 158, 3, 25, "Print", "ExpressionUUID" -> \
"2ba98512-196d-47f9-98ff-30c7d3a55a58"],
Cell[38839, 986, 263, 7, 26, "Print", "ExpressionUUID" -> \
"cc610956-ba8b-4321-a05b-3d8ea0e85cf5"],
Cell[39105, 995, 184, 3, 25, "Print", "ExpressionUUID" -> \
"d5078700-8f2f-46f2-9305-26a5be36b901"],
Cell[39292, 1000, 171, 3, 25, "Print", "ExpressionUUID" -> \
"e24b3375-80a3-47da-af50-da6f11219f54"],
Cell[39466, 1005, 186, 3, 25, "Print", "ExpressionUUID" -> \
"45a9598f-780e-4e39-b327-081ad30ea2cf"],
Cell[39655, 1010, 198, 3, 25, "Print", "ExpressionUUID" -> \
"27c9035c-ed66-40f7-9292-7b4c2261103f"],
Cell[39856, 1015, 515, 10, 25, "Print", "ExpressionUUID" -> \
"0d6bf3d4-129e-4580-981b-624e5dc852ad"],
Cell[40374, 1027, 187, 3, 25, "Print", "ExpressionUUID" -> \
"05d5360e-5aec-4e38-8e0d-4e1226bff5d8"],
Cell[40564, 1032, 195, 3, 25, "Print", "ExpressionUUID" -> \
"ebc30e50-fb6e-4667-92d8-ed259bcc4af2"],
Cell[40762, 1037, 482, 11, 25, "Print", "ExpressionUUID" -> \
"d3eade49-1c4f-40f9-a425-9c7a288b9690"],
Cell[41247, 1050, 209, 4, 25, "Print", "ExpressionUUID" -> \
"002ea213-c69d-4b6e-aaee-018981a87dbf"],
Cell[41459, 1056, 186, 2, 25, "Print", "ExpressionUUID" -> \
"ab839d7f-2107-4dfe-a71a-9eb82e9442b8"],
Cell[41648, 1060, 194, 3, 25, "Print", "ExpressionUUID" -> \
"151d80e0-7c46-4a02-aaea-fa33b6233fdd"],
Cell[41845, 1065, 158, 3, 25, "Print", "ExpressionUUID" -> \
"9c724208-9291-48d8-8646-1a89c7eb69c6"],
Cell[42006, 1070, 357, 8, 25, "Print", "ExpressionUUID" -> \
"756087ed-ccd5-4653-a6ac-1c0e7fd991b5"],
Cell[42366, 1080, 366, 8, 25, "Print", "ExpressionUUID" -> \
"77852f73-4953-4814-921b-7c654622b379"],
Cell[42735, 1090, 158, 3, 25, "Print", "ExpressionUUID" -> \
"f8503093-b8f5-4b1d-8f6f-b9c8badd897b"],
Cell[42896, 1095, 158, 3, 25, "Print", "ExpressionUUID" -> \
"58ecbd7a-11cc-479b-8cc9-02567ffaa4e5"],
Cell[43057, 1100, 522, 13, 25, "Print", "ExpressionUUID" -> \
"8fc80a81-f339-4f9e-89ec-6b0013d05140"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43640, 1120, 165, 3, 67, "Section", "ExpressionUUID" -> \
"6358cc17-f986-43fb-acf2-42791ad37c01"],
Cell[CellGroupData[{
Cell[43830, 1127, 181, 4, 33, "Input", "ExpressionUUID" -> \
"7d3851c7-34e5-4dbe-8942-6b096624f5e7"],
Cell[44014, 1133, 1191, 18, 322, "Print", "ExpressionUUID" -> \
"afd0dbdd-f676-4da6-9f3e-260c86e2fca2",
 CellTags->"Info33743846803-5032045"]
}, Open  ]],
Cell[45220, 1154, 6917, 157, 720, "Input", "ExpressionUUID" -> \
"5fff58f4-2813-47e9-bb83-2997d951a2eb"],
Cell[CellGroupData[{
Cell[52162, 1315, 1215, 28, 58, "Input", "ExpressionUUID" -> \
"72e39a0b-a1ae-4326-8759-bd77543939ad"],
Cell[CellGroupData[{
Cell[53402, 1347, 493, 10, 26, "Print", "ExpressionUUID" -> \
"3679f14c-365c-4654-83c5-d4c80302ac25"],
Cell[53898, 1359, 407, 6, 25, "Print", "ExpressionUUID" -> \
"f0bc0a20-4e72-468d-b034-0a2e2422bc46"],
Cell[54308, 1367, 391, 6, 25, "Print", "ExpressionUUID" -> \
"6fa33ee9-06b5-4d0f-95b9-4d5570e62586"],
Cell[54702, 1375, 391, 6, 25, "Print", "ExpressionUUID" -> \
"314b2c62-b885-481c-a925-fe801f879d9b"],
Cell[55096, 1383, 386, 6, 25, "Print", "ExpressionUUID" -> \
"52cc4830-194b-4340-9824-62050a3dab0a"],
Cell[55485, 1391, 425, 7, 25, "Print", "ExpressionUUID" -> \
"88aff5db-e9d2-456d-97f5-e54639e0da72"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55959, 1404, 825, 16, 80, "Input", "ExpressionUUID" -> \
"ab31a42b-2f12-48cf-9c71-3f674a5ad76a"],
Cell[56787, 1422, 4409, 123, 83, "Output", "ExpressionUUID" -> \
"49bac79f-78fa-4786-b5ab-ce13e85152dc"],
Cell[61199, 1547, 8357, 238, 189, "Output", "ExpressionUUID" -> \
"fe7784df-a9a8-4a5c-947d-978494dc7203"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69593, 1790, 680, 14, 103, "Input", "ExpressionUUID" -> \
"e3f7ff04-9706-4e62-b4ac-5f9e683087b3"],
Cell[70276, 1806, 2256, 33, 415, "Print", "ExpressionUUID" -> \
"9d653c33-b0ad-4c97-8ffd-73317b12331f",
 CellTags->"Info83743846814-5032045"],
Cell[72535, 1841, 495, 11, 35, "Output", "ExpressionUUID" -> \
"fe830814-1d09-4e6b-8215-80eae73ff216"],
Cell[73033, 1854, 1207, 27, 81, "Output", "ExpressionUUID" -> \
"c652a2b6-8f67-48db-b11a-38a18cab4411"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74277, 1886, 785, 20, 58, "Input", "ExpressionUUID" -> \
"2ef77aff-afca-4328-bb0d-fe48448c7e82"],
Cell[75065, 1908, 1251, 22, 50, "Output", "ExpressionUUID" -> \
"edb1c05d-4ee6-4e0d-987c-4eae4e8ca9cf"]
}, Open  ]],
Cell[76331, 1933, 744, 14, 33, "Input", "ExpressionUUID" -> \
"0fa583af-f4d5-48d8-b6db-8a7615899bb0"],
Cell[CellGroupData[{
Cell[77100, 1951, 859, 20, 35, "Input", "ExpressionUUID" -> \
"689149f7-661a-4d4a-bdac-3965356d8658"],
Cell[77962, 1973, 1377, 40, 57, "Output", "ExpressionUUID" -> \
"b242fda5-87d3-4244-afc0-0c38029cd3f4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79376, 2018, 374, 9, 57, "Input", "ExpressionUUID" -> \
"4444173e-9188-40d0-9a8e-076356f855ca"],
Cell[79753, 2029, 6346, 203, 520, "Output", "ExpressionUUID" -> \
"701ec3f1-3e0b-462d-a19f-32f281b54e2c"]
}, Open  ]],
Cell[86114, 2235, 586, 13, 33, "Input", "ExpressionUUID" -> \
"76ec9090-a4c9-431d-99a1-fb47fe2bd0d0"],
Cell[CellGroupData[{
Cell[86725, 2252, 1399, 28, 35, "Input", "ExpressionUUID" -> \
"2af0303a-c009-4399-abf7-79d4b3fbe6f1"],
Cell[88127, 2282, 6443, 165, 107, "Output", "ExpressionUUID" -> \
"d7c1a841-1a44-4de9-96e5-028713124c6f"]
}, Open  ]],
Cell[94585, 2450, 274, 7, 33, "Input", "ExpressionUUID" -> \
"b7901eb4-6d13-4871-9cb5-f064894d3f30"],
Cell[CellGroupData[{
Cell[94884, 2461, 607, 18, 35, "Input", "ExpressionUUID" -> \
"ed56221f-73a6-4b3f-876a-96d4de7c08ea"],
Cell[95494, 2481, 4385, 122, 109, "Output", "ExpressionUUID" -> \
"861a0e65-c6a8-4acc-9fb1-f5af546c40d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99916, 2608, 1090, 26, 58, "Input", "ExpressionUUID" -> \
"ca3446cf-1b3f-4e72-9fa7-571933aee187"],
Cell[101009, 2636, 3140, 85, 80, "Output", "ExpressionUUID" -> \
"c7b7400a-38a2-404e-aee7-f56fe8a76506"]
}, Open  ]],
Cell[CellGroupData[{
Cell[104186, 2726, 1790, 41, 127, "Input", "ExpressionUUID" -> \
"52352761-c517-4484-9e71-5ec01ee8836e"],
Cell[105979, 2769, 2470, 69, 80, "Output", "ExpressionUUID" -> \
"7f4bd063-33d7-47e4-ba55-e44136f44608"]
}, Open  ]],
Cell[108464, 2841, 426, 11, 33, "Input", "ExpressionUUID" -> \
"61e95976-e2c3-4d01-8d29-da3532b672fb"],
Cell[CellGroupData[{
Cell[108915, 2856, 531, 15, 35, "Input", "ExpressionUUID" -> \
"152c0a30-34bf-474b-82d3-60ae845af6d7"],
Cell[109449, 2873, 5044, 141, 162, "Output", "ExpressionUUID" -> \
"94e3390b-beaa-40d5-bba8-4d157e8fd4bc"]
}, Open  ]],
Cell[114508, 3017, 484, 9, 33, "Input", "ExpressionUUID" -> \
"8b7557be-b17f-44e4-b602-96a9c1cbe584"],
Cell[CellGroupData[{
Cell[115017, 3030, 897, 22, 35, "Input", "ExpressionUUID" -> \
"6b7dca99-9ae3-40bb-9994-f788fff8dd2e"],
Cell[115917, 3054, 2143, 41, 498, "Output", "ExpressionUUID" -> \
"e8b59492-01b8-4e68-b06d-61be9b6cbec7"]
}, Open  ]],
Cell[118075, 3098, 298, 7, 35, "Input", "ExpressionUUID" -> \
"e943c0e4-fc5e-48bf-9218-28158a87201f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118410, 3110, 226, 4, 67, "Section", "ExpressionUUID" -> \
"56d08292-3e27-4e62-b216-1f5787fb5717"],
Cell[CellGroupData[{
Cell[118661, 3118, 1158, 25, 150, "Input", "ExpressionUUID" -> \
"25c1c85b-f74d-4dbf-8cec-77def7bd106d"],
Cell[CellGroupData[{
Cell[119844, 3147, 674, 14, 26, "Print", "ExpressionUUID" -> \
"dafd5cde-00c3-4d55-ad07-e5dc6ba0c7ee"],
Cell[120521, 3163, 588, 10, 25, "Print", "ExpressionUUID" -> \
"0bb9ae12-066c-49e5-8231-52804a2a9b22"],
Cell[121112, 3175, 574, 10, 25, "Print", "ExpressionUUID" -> \
"af8f1c1c-ca66-4f47-8a4f-eb51ca6386b8"],
Cell[121689, 3187, 576, 10, 25, "Print", "ExpressionUUID" -> \
"332313af-3f36-4703-b08f-79ff18d115f4"],
Cell[122268, 3199, 571, 10, 25, "Print", "ExpressionUUID" -> \
"2aa72528-fc82-4743-9a40-7fc21c713592"],
Cell[122842, 3211, 610, 11, 25, "Print", "ExpressionUUID" -> \
"f06a96b6-2d24-4084-b217-680d78903b13"],
Cell[123455, 3224, 662, 14, 26, "Print", "ExpressionUUID" -> \
"62f77928-fdb5-479b-af5d-2385417db337"],
Cell[124120, 3240, 1126, 22, 25, "Print", "ExpressionUUID" -> \
"2f07bd06-7156-4cd0-88c4-df4e9b29d057"],
Cell[125249, 3264, 1124, 22, 25, "Print", "ExpressionUUID" -> \
"1bad9497-3899-4f84-b920-9fb9f756efe7"],
Cell[126376, 3288, 662, 14, 26, "Print", "ExpressionUUID" -> \
"18b55a79-4d34-493b-afca-bbabe955bb16"],
Cell[127041, 3304, 576, 10, 25, "Print", "ExpressionUUID" -> \
"de382e85-17c2-431f-a784-7d853a64af39"],
Cell[127620, 3316, 577, 10, 25, "Print", "ExpressionUUID" -> \
"8fcb01b6-96fa-4fae-bad5-a32d09c45799"],
Cell[128200, 3328, 889, 20, 25, "Print", "ExpressionUUID" -> \
"b4917ba6-b902-400f-a5f9-e2bf12880e67"]
}, Open  ]]
}, Open  ]],
Cell[129116, 3352, 565, 13, 33, "Input", "ExpressionUUID" -> \
"2f68ede2-88fc-40c1-85bf-308a2aebac23"],
Cell[CellGroupData[{
Cell[129706, 3369, 2066, 52, 82, "Input", "ExpressionUUID" -> \
"486c8105-939d-4bb9-8faa-337b576b497d"],
Cell[CellGroupData[{
Cell[131797, 3425, 869, 22, 43, "Print", "ExpressionUUID" -> \
"0e271a2d-d1f2-48b4-92ef-c3ce12666d9c"],
Cell[132669, 3449, 988, 25, 40, "Print", "ExpressionUUID" -> \
"1e4a1761-5cd5-4f67-99c3-c4134008fc8a"],
Cell[133660, 3476, 1037, 27, 46, "Print", "ExpressionUUID" -> \
"a4ddb785-39a5-408e-9428-118e2d051849"],
Cell[134700, 3505, 1037, 27, 46, "Print", "ExpressionUUID" -> \
"cb221fd1-7531-4ea4-b9c9-69e9c7253e54"],
Cell[135740, 3534, 949, 24, 43, "Print", "ExpressionUUID" -> \
"c79d1790-3ba7-4416-b5ac-9911289750ed"],
Cell[136692, 3560, 910, 23, 43, "Print", "ExpressionUUID" -> \
"f28ec119-26d8-4c3e-a8ce-bd14ff0c5175"],
Cell[137605, 3585, 1018, 26, 46, "Print", "ExpressionUUID" -> \
"a4a6c3fb-b0d6-4e71-ba5d-a31af27cac1b"]
}, Open  ]]
}, Open  ]],
Cell[138650, 3615, 253, 6, 33, "Input", "ExpressionUUID" -> \
"b427b0d8-c18f-4736-87e4-febc32151f52"],
Cell[CellGroupData[{
Cell[138928, 3625, 434, 9, 57, "Input", "ExpressionUUID" -> \
"c316b1b3-eab2-4cd9-a3b7-d31142249e57"],
Cell[139365, 3636, 339, 6, 33, "Output", "ExpressionUUID" -> \
"b6d20c4b-628f-4a25-afc4-0bf3d4e70df1"],
Cell[139707, 3644, 1450, 32, 206, "Output", "ExpressionUUID" -> \
"e218b64b-c218-4862-aac4-981ec533bde5"]
}, Open  ]],
Cell[141172, 3679, 462, 11, 33, "Input", "ExpressionUUID" -> \
"0a194177-a9ba-4491-8f2a-13490f1f5687"],
Cell[CellGroupData[{
Cell[141659, 3694, 247, 5, 33, "Input", "ExpressionUUID" -> \
"09ce80fb-d189-423e-a5cf-c2d8c7eaddc4"],
Cell[141909, 3701, 209, 4, 33, "Output", "ExpressionUUID" -> \
"f1b8d9cd-c32c-4719-a6cd-cc9b616a7115"]
}, Open  ]],
Cell[142133, 3708, 309, 7, 33, "Input", "ExpressionUUID" -> \
"031a9b69-1601-4493-86b3-5cba1b039c0c"],
Cell[CellGroupData[{
Cell[142467, 3719, 234, 5, 35, "Input", "ExpressionUUID" -> \
"003d93be-f0ec-4ca4-8a6a-6e7680e69242"],
Cell[142704, 3726, 2539, 35, 1235, "Output", "ExpressionUUID" -> \
"efc0d332-eb56-49e0-8555-35cc19c71363"]
}, Open  ]],
Cell[145258, 3764, 601, 12, 35, "Input", "ExpressionUUID" -> \
"1a800630-6bb5-479e-ae6c-9393056958d2"],
Cell[145862, 3778, 178, 4, 33, "Input", "ExpressionUUID" -> \
"85a2d5a6-c0fb-42b0-a31b-89df98ddfdce"],
Cell[CellGroupData[{
Cell[146065, 3786, 176, 4, 33, "Input", "ExpressionUUID" -> \
"e9f6a12c-3a4e-4dc3-8a8e-5189143cbb89"],
Cell[CellGroupData[{
Cell[146266, 3794, 586, 17, 27, "Print", "ExpressionUUID" -> \
"7c210c88-cdca-4703-8303-f0598b36eb77"],
Cell[146855, 3813, 160, 3, 25, "Print", "ExpressionUUID" -> \
"ef33ffab-eded-43fe-9de9-411d6bf6f98c"],
Cell[147018, 3818, 272, 8, 26, "Print", "ExpressionUUID" -> \
"96a9b2a3-6409-421d-804e-95a5c3a33c20"],
Cell[147293, 3828, 136, 3, 25, "Print", "ExpressionUUID" -> \
"b2c24a80-7501-418e-8460-198234055dbf"],
Cell[147432, 3833, 240, 6, 27, "Print", "ExpressionUUID" -> \
"979a641b-d6f6-4cdd-9d53-4c3617a45fc0"],
Cell[147675, 3841, 206, 4, 25, "Print", "ExpressionUUID" -> \
"89f767bf-aae9-4b6e-b2c4-49883d9316c4"],
Cell[147884, 3847, 206, 4, 25, "Print", "ExpressionUUID" -> \
"993614ba-8902-428f-b59b-6633fbfe3fa6"],
Cell[148093, 3853, 206, 4, 25, "Print", "ExpressionUUID" -> \
"0d78a8a5-7b4b-469e-8d8b-a044d76ef9cd"],
Cell[148302, 3859, 208, 4, 25, "Print", "ExpressionUUID" -> \
"cb2af851-e811-4ebd-b0ae-fe1480f56541"],
Cell[148513, 3865, 259, 7, 27, "Print", "ExpressionUUID" -> \
"ce086031-0927-4588-b384-af0d86da1c50"],
Cell[148775, 3874, 163, 3, 25, "Print", "ExpressionUUID" -> \
"15242391-231e-4911-b10e-3159be0baabf"],
Cell[148941, 3879, 136, 3, 25, "Print", "ExpressionUUID" -> \
"d51e5c3f-377b-4766-b649-32428d4498ab"],
Cell[149080, 3884, 166, 2, 25, "Print", "ExpressionUUID" -> \
"8507af8a-8bf3-4577-bdfb-f0ae44f15352"],
Cell[149249, 3888, 263, 7, 26, "Print", "ExpressionUUID" -> \
"63ab3779-fa98-426f-a689-1ece86c5d22b"],
Cell[149515, 3897, 198, 4, 25, "Print", "ExpressionUUID" -> \
"d8d66bb5-8c6b-4955-8828-1c6c8b9d46d3"],
Cell[149716, 3903, 506, 13, 25, "Print", "ExpressionUUID" -> \
"4e7ead96-fa52-422b-a5a2-779987ce9de5"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[150271, 3922, 202, 4, 33, "Input", "ExpressionUUID" -> \
"c52be6ab-47ba-4d2a-bf0f-90795b3cec50"],
Cell[CellGroupData[{
Cell[150498, 3930, 152, 3, 25, "Print", "ExpressionUUID" -> \
"7178fafd-9350-481c-88b7-2b7f41e050c9"],
Cell[150653, 3935, 377, 9, 25, "Print", "ExpressionUUID" -> \
"80c38cff-7754-40e2-8f26-c69f3de4e1db"],
Cell[151033, 3946, 253, 7, 26, "Print", "ExpressionUUID" -> \
"333d2c5f-8ab3-4ee8-a764-0fe6907a5fba"],
Cell[151289, 3955, 438, 12, 25, "Print", "ExpressionUUID" -> \
"343e6587-7f79-43ac-aea3-c3e50d40581b"],
Cell[151730, 3969, 432, 12, 25, "Print", "ExpressionUUID" -> \
"4c5c5c83-1144-4cf6-9aa8-2aca3f81dac6"],
Cell[152165, 3983, 438, 12, 25, "Print", "ExpressionUUID" -> \
"7ba6ff07-b9f2-4a04-bb8b-8451ab27fa13"],
Cell[152606, 3997, 191, 3, 25, "Print", "ExpressionUUID" -> \
"9ea9632b-7f0c-4922-ae6a-45dd75b70c5e"],
Cell[152800, 4002, 551, 14, 25, "Print", "ExpressionUUID" -> \
"c873712b-6d36-4864-ae95-459633507a57"],
Cell[153354, 4018, 189, 4, 25, "Print", "ExpressionUUID" -> \
"42d5db21-f622-4a20-af64-5d1f2eff7b67"],
Cell[153546, 4024, 496, 13, 25, "Print", "ExpressionUUID" -> \
"a43f0884-47e2-493d-aa16-83a82d8abb4b"],
Cell[154045, 4039, 194, 4, 25, "Print", "ExpressionUUID" -> \
"cac8852e-9d17-4f1b-9853-5fd876ab5619"],
Cell[154242, 4045, 246, 7, 26, "Print", "ExpressionUUID" -> \
"c4eab1f2-8237-4f3f-9581-8c4d7ab7750e"],
Cell[154491, 4054, 426, 10, 25, "Print", "ExpressionUUID" -> \
"413464dc-96b4-4430-b866-7e319a02ecb2"],
Cell[154920, 4066, 421, 10, 25, "Print", "ExpressionUUID" -> \
"c7c68045-0686-42b2-8bcc-dec9217d4dda"],
Cell[155344, 4078, 405, 10, 25, "Print", "ExpressionUUID" -> \
"2b68bf39-37e9-4cc6-9cbe-0c430e964993"],
Cell[155752, 4090, 443, 11, 25, "Print", "ExpressionUUID" -> \
"b5ba0d1a-dab2-4451-b6d4-5af120814202"],
Cell[156198, 4103, 427, 10, 25, "Print", "ExpressionUUID" -> \
"e8d25490-e180-43b9-ac9a-23171c92938f"],
Cell[156628, 4115, 249, 7, 26, "Print", "ExpressionUUID" -> \
"558e010e-6fa4-49d7-b512-cf4873e47426"],
Cell[156880, 4124, 156, 2, 25, "Print", "ExpressionUUID" -> \
"cc5262dd-954b-4bf2-8691-f9da688d8beb"],
Cell[157039, 4128, 748, 15, 25, "Print", "ExpressionUUID" -> \
"689efea6-3892-47d9-9a7b-a7cc77c5ba09"],
Cell[157790, 4145, 752, 15, 25, "Print", "ExpressionUUID" -> \
"f64727de-31fa-4bac-89ee-6934de38bbf2"],
Cell[158545, 4162, 752, 15, 25, "Print", "ExpressionUUID" -> \
"65ad0928-1c64-4910-a382-0e62455c4653"],
Cell[159300, 4179, 746, 14, 25, "Print", "ExpressionUUID" -> \
"5b105f60-6d0b-483b-aaeb-bc09ecc18b09"],
Cell[160049, 4195, 150, 3, 25, "Print", "ExpressionUUID" -> \
"f2ce5603-49ee-413a-a446-8fbffa521691"],
Cell[160202, 4200, 160, 3, 25, "Print", "ExpressionUUID" -> \
"1b08f720-7782-494c-bcd5-10249dfb2719"],
Cell[160365, 4205, 136, 3, 25, "Print", "ExpressionUUID" -> \
"71d13002-cb7d-46d9-b944-d7a67849e0a2"],
Cell[160504, 4210, 254, 7, 26, "Print", "ExpressionUUID" -> \
"9c9abce7-e8ed-4ee4-8223-dcf3a118f5e8"],
Cell[160761, 4219, 170, 3, 25, "Print", "ExpressionUUID" -> \
"e53b061c-b7f7-4cd0-a0ff-f522f1e9a570"],
Cell[160934, 4224, 3956, 82, 40, "Print", "ExpressionUUID" -> \
"05a61748-fffd-4246-9d8b-8b7206ef8917"],
Cell[164893, 4308, 3844, 83, 25, "Print", "ExpressionUUID" -> \
"93a733d7-29a0-49c8-b7bb-1d5c14e6a030"],
Cell[168740, 4393, 496, 13, 25, "Print", "ExpressionUUID" -> \
"f4c55d67-87a5-454c-bf1e-ba81c3a91f47"],
Cell[169239, 4408, 156, 3, 25, "Print", "ExpressionUUID" -> \
"c76851d6-7e19-44a5-8a3a-a306e4350104"],
Cell[169398, 4413, 817, 19, 25, "Print", "ExpressionUUID" -> \
"6db321f1-3433-459b-a841-f6790b357677"],
Cell[170218, 4434, 170, 3, 25, "Print", "ExpressionUUID" -> \
"c957998e-9e72-4fd0-a27c-a2aff65c5138"],
Cell[170391, 4439, 167, 3, 25, "Print", "ExpressionUUID" -> \
"0bf13cee-d914-493b-8033-15cbff4c6551"],
Cell[170561, 4444, 481, 12, 25, "Print", "ExpressionUUID" -> \
"e5a8bdda-8fbe-4981-bdb5-7ecf14096a37"],
Cell[171045, 4458, 136, 3, 25, "Print", "ExpressionUUID" -> \
"ab1f3737-93ef-4372-82ee-a0abaa492c87"],
Cell[171184, 4463, 253, 7, 26, "Print", "ExpressionUUID" -> \
"025ce153-aa35-4db9-8a3b-d2cb98c45d06"],
Cell[171440, 4472, 160, 3, 25, "Print", "ExpressionUUID" -> \
"d6cf0c9d-904a-4937-b106-1f7de34120c1"],
Cell[171603, 4477, 849, 23, 25, "Print", "ExpressionUUID" -> \
"e762aada-3cee-4c4b-bcb1-39ac080d6725"],
Cell[172455, 4502, 818, 19, 25, "Print", "ExpressionUUID" -> \
"41858f49-bfb3-4cff-a9ac-073d33289fb7"],
Cell[173276, 4523, 862, 22, 25, "Print", "ExpressionUUID" -> \
"097c7917-4abc-4973-83bd-8dbaa683b0a9"],
Cell[174141, 4547, 496, 13, 25, "Print", "ExpressionUUID" -> \
"8af43350-20d7-4562-a0fa-8ed3d22c1160"],
Cell[174640, 4562, 153, 2, 25, "Print", "ExpressionUUID" -> \
"a87b6380-7004-48c5-9118-dd639b01aeb1"],
Cell[174796, 4566, 809, 20, 25, "Print", "ExpressionUUID" -> \
"2c016680-5103-497f-9852-17fa108f7c52"],
Cell[175608, 4588, 170, 3, 25, "Print", "ExpressionUUID" -> \
"2766b5d4-dd58-488f-9dd0-6e4b2d7ece25"],
Cell[175781, 4593, 167, 3, 25, "Print", "ExpressionUUID" -> \
"3dcd26a3-0c01-4da2-90d4-3cb1a1152550"],
Cell[175951, 4598, 2910, 51, 25, "Print", "ExpressionUUID" -> \
"3d745ce5-9e67-46a9-b2d2-e64e69794aba"],
Cell[178864, 4651, 871, 23, 25, "Print", "ExpressionUUID" -> \
"844363c5-e010-4238-8efa-85cf5520f99f"],
Cell[179738, 4676, 163, 3, 25, "Print", "ExpressionUUID" -> \
"01c97a85-b83e-46ba-a5c8-1bae292d3db0"],
Cell[179904, 4681, 477, 12, 25, "Print", "ExpressionUUID" -> \
"1245ebf7-719a-4081-b4c4-5b9fcf85408c"],
Cell[180384, 4695, 136, 3, 25, "Print", "ExpressionUUID" -> \
"cdea03ff-88a0-4863-8841-f56024227f47"],
Cell[180523, 4700, 241, 7, 26, "Print", "ExpressionUUID" -> \
"16486944-8b76-482e-8097-115c27bc0583"],
Cell[180767, 4709, 162, 3, 25, "Print", "ExpressionUUID" -> \
"c3da497c-2e36-4603-bff4-095fbbebe5aa"],
Cell[180932, 4714, 149, 3, 25, "Print", "ExpressionUUID" -> \
"2b9862d2-6a5f-42c1-aae7-53be01063364"],
Cell[181084, 4719, 162, 3, 25, "Print", "ExpressionUUID" -> \
"8cdc83f7-0c7c-4fea-80a5-b418745c139a"],
Cell[181249, 4724, 174, 3, 25, "Print", "ExpressionUUID" -> \
"f18fd28b-fefd-4b78-8bc3-3c11d2dce1b5"],
Cell[181426, 4729, 493, 10, 25, "Print", "ExpressionUUID" -> \
"fed6c500-dc4e-4463-98f7-2d0608e86399"],
Cell[181922, 4741, 165, 3, 25, "Print", "ExpressionUUID" -> \
"69c8b52e-c89e-40d1-99c6-27e83a16f891"],
Cell[182090, 4746, 173, 3, 25, "Print", "ExpressionUUID" -> \
"410d2547-6253-4318-8897-910c7783ca34"],
Cell[182266, 4751, 458, 11, 25, "Print", "ExpressionUUID" -> \
"27d28568-aa09-44a0-a41b-7ebf46330643"],
Cell[182727, 4764, 185, 4, 25, "Print", "ExpressionUUID" -> \
"c2d4e60c-e7b1-4463-8aba-9d2a9092b174"],
Cell[182915, 4770, 165, 2, 25, "Print", "ExpressionUUID" -> \
"8519b4e7-c52b-44c3-a5dd-ea738c1b5c42"],
Cell[183083, 4774, 172, 3, 25, "Print", "ExpressionUUID" -> \
"a5da6476-404d-48d5-a970-87211d93eebd"],
Cell[183258, 4779, 136, 3, 25, "Print", "ExpressionUUID" -> \
"e68443f8-b5cb-44b6-9d11-899ec6897624"],
Cell[183397, 4784, 349, 8, 25, "Print", "ExpressionUUID" -> \
"6b31aa69-8105-43dc-b0bd-8e7cba0a210d"],
Cell[183749, 4794, 362, 8, 25, "Print", "ExpressionUUID" -> \
"c4bc5df2-71c2-44e4-be76-6b3601df02d9"],
Cell[184114, 4804, 136, 3, 25, "Print", "ExpressionUUID" -> \
"b55e7b73-128d-4015-bb41-74b622071442"],
Cell[184253, 4809, 136, 3, 25, "Print", "ExpressionUUID" -> \
"3fedc440-fb1c-4f06-855f-043f29b0ff28"],
Cell[184392, 4814, 500, 13, 25, "Print", "ExpressionUUID" -> \
"7246c9a8-cbd6-4f97-8afa-11e699e0d375"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[184941, 4833, 274, 7, 35, "Input", "ExpressionUUID" -> \
"2d3af032-5c80-4cfe-9f3d-382f8c3ace02"],
Cell[CellGroupData[{
Cell[185240, 4844, 226, 6, 44, "Print", "ExpressionUUID" -> \
"e9416b03-5549-4bf2-ad28-088d7016be6e"],
Cell[185469, 4852, 265, 7, 27, "Print", "ExpressionUUID" -> \
"6d13a896-0288-4459-a929-a562cfadceb2"],
Cell[185737, 4861, 174, 3, 25, "Print", "ExpressionUUID" -> \
"aa16db5b-5da8-4909-ac5d-fb12497bb0c1"],
Cell[185914, 4866, 153, 2, 25, "Print", "ExpressionUUID" -> \
"1526c630-1d80-4764-8bd0-b14b9815b12c"],
Cell[186070, 4870, 155, 2, 25, "Print", "ExpressionUUID" -> \
"c06b06f1-4e7a-496e-aae4-254961c4b622"],
Cell[186228, 4874, 254, 7, 26, "Print", "ExpressionUUID" -> \
"f40b1fe1-9f6d-41e2-b674-66a6e2cc1a01"],
Cell[186485, 4883, 265, 7, 26, "Print", "ExpressionUUID" -> \
"7e25b3d0-ca32-4b04-b7a8-67834f30e7ae"],
Cell[186753, 4892, 901, 21, 25, "Print", "ExpressionUUID" -> \
"0841ece9-a19b-4d4b-b488-9c38c4714293"],
Cell[187657, 4915, 266, 7, 26, "Print", "ExpressionUUID" -> \
"d4293247-0ba2-4785-9864-3411d5c01164"],
Cell[187926, 4924, 905, 21, 25, "Print", "ExpressionUUID" -> \
"0feabf72-bb5e-4369-9c74-9193011a7c6e"],
Cell[188834, 4947, 286, 8, 26, "Print", "ExpressionUUID" -> \
"fb68b497-a44b-4455-a8ea-6407484a4d13"],
Cell[189123, 4957, 904, 21, 25, "Print", "ExpressionUUID" -> \
"2ecec667-a24e-436d-88c4-0c1f2a611885"],
Cell[190030, 4980, 288, 8, 26, "Print", "ExpressionUUID" -> \
"5eba91e1-2c70-4bf0-ace3-50d9aa4bfc0a"],
Cell[190321, 4990, 906, 21, 25, "Print", "ExpressionUUID" -> \
"09404df7-a352-41e5-96fd-0dd2b3d331cd"],
Cell[191230, 5013, 286, 8, 26, "Print", "ExpressionUUID" -> \
"6e6f0f53-84a8-4d13-89bb-7400ff7ea8ff"],
Cell[191519, 5023, 908, 21, 25, "Print", "ExpressionUUID" -> \
"98b85e76-f673-49bc-9885-1c170045af7f"],
Cell[192430, 5046, 273, 7, 26, "Print", "ExpressionUUID" -> \
"e4ec5d81-9451-4772-9898-f763a79c4af7"],
Cell[192706, 5055, 901, 20, 25, "Print", "ExpressionUUID" -> \
"88b2b806-f4c9-4945-9766-aa280cf939be"],
Cell[193610, 5077, 281, 8, 26, "Print", "ExpressionUUID" -> \
"d6c329f5-1b0f-4d91-8221-51c999c126d0"],
Cell[193894, 5087, 906, 21, 25, "Print", "ExpressionUUID" -> \
"900f12d3-5922-4c21-8ddd-35b96db304a7"],
Cell[194803, 5110, 287, 8, 26, "Print", "ExpressionUUID" -> \
"434555ce-d379-43e6-80f6-ea571a524735"],
Cell[195093, 5120, 904, 21, 25, "Print", "ExpressionUUID" -> \
"049013b0-2943-4c51-8ff4-d32259689250"],
Cell[196000, 5143, 272, 7, 26, "Print", "ExpressionUUID" -> \
"3fc12f3e-3ec2-4e08-acd7-4002b8bb6780"],
Cell[196275, 5152, 910, 21, 25, "Print", "ExpressionUUID" -> \
"31def3b5-7e8d-4b63-9b17-6aea56b5141d"],
Cell[197188, 5175, 287, 8, 26, "Print", "ExpressionUUID" -> \
"e8824891-4697-4413-93e2-71526c5f9b90"],
Cell[197478, 5185, 904, 21, 25, "Print", "ExpressionUUID" -> \
"061f7d0a-463a-47cc-80af-5ed69c141574"],
Cell[198385, 5208, 275, 7, 26, "Print", "ExpressionUUID" -> \
"beafabf2-9a06-4022-b4a6-909c7938255f"],
Cell[198663, 5217, 906, 21, 25, "Print", "ExpressionUUID" -> \
"e29fc3dc-13d1-406a-8e2d-1b3cf89061e8"],
Cell[199572, 5240, 283, 8, 26, "Print", "ExpressionUUID" -> \
"b9fb4b8a-88f1-47a2-8edb-8b68d41663ff"],
Cell[199858, 5250, 136, 3, 25, "Print", "ExpressionUUID" -> \
"0963993f-3c42-4946-8c35-73a8bb05b140"],
Cell[199997, 5255, 153, 3, 25, "Print", "ExpressionUUID" -> \
"a437c01a-1d85-47fd-ac70-8003d2aad810"],
Cell[200153, 5260, 161, 3, 25, "Print", "ExpressionUUID" -> \
"960bc1ec-191f-42e7-9bf0-53be863967f8"],
Cell[200317, 5265, 378, 8, 25, "Print", "ExpressionUUID" -> \
"53968830-a663-4837-b9cb-5caa36cabbff"],
Cell[200698, 5275, 581, 15, 25, "Print", "ExpressionUUID" -> \
"a0849657-ade1-424c-846d-d548211e9b54"],
Cell[201282, 5292, 161, 3, 25, "Print", "ExpressionUUID" -> \
"82cde76e-66db-4b56-9027-162cfab2e960"],
Cell[201446, 5297, 260, 7, 26, "Print", "ExpressionUUID" -> \
"d175fefc-9d59-45f2-9a5e-92071436064f"],
Cell[201709, 5306, 156, 3, 25, "Print", "ExpressionUUID" -> \
"ffa1cf96-9f43-4d7d-99a0-fedd287a9cbd"],
Cell[201868, 5311, 726, 15, 25, "Print", "ExpressionUUID" -> \
"946d9f13-e149-4996-8eee-dd67a96072f4"],
Cell[202597, 5328, 150, 3, 25, "Print", "ExpressionUUID" -> \
"9e297e0a-8dde-4c64-994f-28977be2bd83"],
Cell[202750, 5333, 874, 18, 25, "Print", "ExpressionUUID" -> \
"fb53512a-e157-44d6-9eb6-755eff98070b"],
Cell[203627, 5353, 159, 3, 25, "Print", "ExpressionUUID" -> \
"5c934ab2-5ded-4120-ab17-dfee5ef9389c"],
Cell[203789, 5358, 730, 15, 25, "Print", "ExpressionUUID" -> \
"705afaed-e4d7-4ddf-883d-3f769974c498"],
Cell[204522, 5375, 158, 3, 25, "Print", "ExpressionUUID" -> \
"0f8b2109-cac4-4f1e-9440-569dd39118f0"],
Cell[204683, 5380, 265, 7, 26, "Print", "ExpressionUUID" -> \
"96052ad8-6b2a-4770-8908-48e52e0c025e"],
Cell[204951, 5389, 160, 2, 25, "Print", "ExpressionUUID" -> \
"5214f505-59ef-401e-af85-a3d2fb61e37e"],
Cell[205114, 5393, 250, 7, 26, "Print", "ExpressionUUID" -> \
"b71d7bce-db1a-4983-bf15-e3d60bb25bff"],
Cell[205367, 5402, 409, 10, 25, "Print", "ExpressionUUID" -> \
"4614b53d-e7fa-47e3-a2ae-cf9c4b57d0d2"],
Cell[205779, 5414, 243, 6, 26, "Print", "ExpressionUUID" -> \
"0f704602-9458-4652-af8f-df997686939f"],
Cell[206025, 5422, 412, 10, 25, "Print", "ExpressionUUID" -> \
"d21a4141-6040-4488-84c1-17aab2a88b88"],
Cell[206440, 5434, 247, 7, 26, "Print", "ExpressionUUID" -> \
"6f254b87-b584-4119-844b-6f283f919c84"],
Cell[206690, 5443, 151, 3, 25, "Print", "ExpressionUUID" -> \
"38441386-8c28-4c01-9e75-7b0af2f6566c"],
Cell[206844, 5448, 148, 2, 25, "Print", "ExpressionUUID" -> \
"1c8c5356-0441-4533-82a6-0a14740e2dc5"],
Cell[206995, 5452, 412, 10, 25, "Print", "ExpressionUUID" -> \
"21d49a8f-9ae9-4095-936d-f08242c53edb"],
Cell[207410, 5464, 246, 7, 26, "Print", "ExpressionUUID" -> \
"7ea2d369-0ebf-4090-87d5-4f5e902fe3be"],
Cell[207659, 5473, 153, 3, 25, "Print", "ExpressionUUID" -> \
"a5a8b96b-e64c-46b1-94fc-1332a8c8fd9e"],
Cell[207815, 5478, 153, 3, 25, "Print", "ExpressionUUID" -> \
"18a9e045-100f-4e9c-b30b-cb84918656cc"],
Cell[207971, 5483, 412, 10, 25, "Print", "ExpressionUUID" -> \
"4b067f88-c5f4-479d-93aa-8e7ab08c6953"],
Cell[208386, 5495, 244, 7, 26, "Print", "ExpressionUUID" -> \
"aff3a3ae-a9d9-4432-bc46-e4df1a391441"],
Cell[208633, 5504, 151, 3, 25, "Print", "ExpressionUUID" -> \
"54f42ae2-b05f-4d9f-830c-8d66b8e8e4d6"],
Cell[208787, 5509, 151, 3, 25, "Print", "ExpressionUUID" -> \
"062f6c0e-72e3-40ba-9d68-52557d3f00fb"],
Cell[208941, 5514, 414, 10, 25, "Print", "ExpressionUUID" -> \
"8d6f684c-3e9f-42b8-8b3f-be5002272cfd"],
Cell[209358, 5526, 430, 11, 25, "Print", "ExpressionUUID" -> \
"65f1aaad-0319-4347-96f0-1bf5fc3c4497"],
Cell[209791, 5539, 136, 3, 25, "Print", "ExpressionUUID" -> \
"3103e808-196d-4e67-826b-5c8c39efcb2a"],
Cell[209930, 5544, 169, 3, 25, "Print", "ExpressionUUID" -> \
"1593a4a5-696a-410d-8300-e2827270aaed"],
Cell[210102, 5549, 273, 6, 26, "Print", "ExpressionUUID" -> \
"1b7c2ed8-6601-40ac-9126-4a1f42bc1e63"],
Cell[210378, 5557, 792, 19, 25, "Print", "ExpressionUUID" -> \
"b61e2bce-d8b5-4412-9b33-c1ba968fe532"],
Cell[211173, 5578, 270, 6, 26, "Print", "ExpressionUUID" -> \
"26c78fe1-f5b5-4454-9f1c-5587d36b249a"],
Cell[211446, 5586, 791, 19, 25, "Print", "ExpressionUUID" -> \
"fb164495-f2ef-454b-8262-3db029ad042f"],
Cell[212240, 5607, 271, 7, 26, "Print", "ExpressionUUID" -> \
"7bb8ee52-4129-4a2f-bd82-ce25c9dc1c15"],
Cell[212514, 5616, 801, 19, 25, "Print", "ExpressionUUID" -> \
"cd5e8293-f8dd-4848-a7b0-478b0fb70dc2"],
Cell[213318, 5637, 276, 7, 26, "Print", "ExpressionUUID" -> \
"34bcf374-25d1-4506-8078-5446b7cbf8bb"],
Cell[213597, 5646, 790, 19, 25, "Print", "ExpressionUUID" -> \
"90ef36c6-fd23-4d4c-8a7b-96f9bfdb3b7b"],
Cell[214390, 5667, 289, 8, 26, "Print", "ExpressionUUID" -> \
"c8924eb9-4c33-4910-9635-0962c710090a"],
Cell[214682, 5677, 788, 19, 25, "Print", "ExpressionUUID" -> \
"7cf17c65-5cda-4362-9602-fa0cb728fe06"],
Cell[215473, 5698, 292, 8, 26, "Print", "ExpressionUUID" -> \
"9674c1b0-b117-4450-9527-e3a379c7d50a"],
Cell[215768, 5708, 155, 3, 25, "Print", "ExpressionUUID" -> \
"07a0a187-652c-4996-9728-b63180fbf124"],
Cell[215926, 5713, 292, 8, 26, "Print", "ExpressionUUID" -> \
"01259632-f0ff-4403-8245-d394e06b1aef"],
Cell[216221, 5723, 792, 19, 25, "Print", "ExpressionUUID" -> \
"9e2646b5-71fc-43b7-b675-042ec152e823"],
Cell[217016, 5744, 292, 8, 26, "Print", "ExpressionUUID" -> \
"35c99183-14c3-4eca-90f1-15fff834760d"],
Cell[217311, 5754, 153, 3, 25, "Print", "ExpressionUUID" -> \
"32735b9d-717b-4d58-9990-9abbce657ee8"],
Cell[217467, 5759, 291, 8, 26, "Print", "ExpressionUUID" -> \
"bd9e3ee7-265b-4afc-bd48-ca08d84fb799"],
Cell[217761, 5769, 788, 19, 25, "Print", "ExpressionUUID" -> \
"7826fffe-b5b6-46d7-b6d2-85bf48763947"],
Cell[218552, 5790, 265, 7, 26, "Print", "ExpressionUUID" -> \
"17e4e24c-fda7-4623-8c6c-d5469aa6daca"],
Cell[218820, 5799, 788, 19, 25, "Print", "ExpressionUUID" -> \
"e3f7b387-1abf-4488-a78f-e8a91e97aabb"],
Cell[219611, 5820, 138, 3, 25, "Print", "ExpressionUUID" -> \
"76f1d85a-5387-47ea-b89b-ea18ad105dfb"],
Cell[219752, 5825, 415, 9, 25, "Print", "ExpressionUUID" -> \
"4bacf9b2-6144-49f7-b7b7-00eef5c0cef4"],
Cell[220170, 5836, 565, 15, 25, "Print", "ExpressionUUID" -> \
"79174a6f-7534-4402-bcd2-4153bd02e644"],
Cell[220738, 5853, 136, 3, 25, "Print", "ExpressionUUID" -> \
"77b9bc70-cb34-406b-815a-711b1ea6bb3b"],
Cell[220877, 5858, 253, 7, 26, "Print", "ExpressionUUID" -> \
"80fd1f84-171f-4373-a3be-ad4391e5d1ba"],
Cell[221133, 5867, 761, 19, 25, "Print", "ExpressionUUID" -> \
"5ba255d2-8e41-453d-b620-3a228b688b14"],
Cell[221897, 5888, 159, 3, 25, "Print", "ExpressionUUID" -> \
"c1018525-ec01-43a4-8968-bbd86cdfecf4"],
Cell[222059, 5893, 242, 7, 26, "Print", "ExpressionUUID" -> \
"d0f4825f-994d-42c4-9da4-ae2a3c54506b"],
Cell[222304, 5902, 662, 16, 25, "Print", "ExpressionUUID" -> \
"8a5591e9-ff6c-491e-9e0c-55757313f0ec"],
Cell[222969, 5920, 708, 17, 25, "Print", "ExpressionUUID" -> \
"b1abb492-0672-4a08-a5f1-b63d88a61038"],
Cell[223680, 5939, 255, 7, 26, "Print", "ExpressionUUID" -> \
"00c7e5bf-92fb-4791-8c19-6436cff8ea94"],
Cell[223938, 5948, 164, 3, 25, "Print", "ExpressionUUID" -> \
"dff0f0e3-6af0-45da-be8e-e8b6f6756d94"],
Cell[224105, 5953, 152, 3, 25, "Print", "ExpressionUUID" -> \
"5afab7d6-f405-48ff-9958-6b11ef0b955c"],
Cell[224260, 5958, 182, 3, 25, "Print", "ExpressionUUID" -> \
"d73706d9-a848-4c95-be28-c5bdf3e0229a"],
Cell[224445, 5963, 719, 15, 25, "Print", "ExpressionUUID" -> \
"ca821413-1e7a-462d-99a8-cd34bc4c6dc0"],
Cell[225167, 5980, 182, 3, 25, "Print", "ExpressionUUID" -> \
"ff882de8-c56a-4bdb-acf5-7a0b6d603730"],
Cell[225352, 5985, 717, 15, 25, "Print", "ExpressionUUID" -> \
"29504533-0ff5-4640-b94e-08b78dee074f"],
Cell[226072, 6002, 181, 3, 25, "Print", "ExpressionUUID" -> \
"df761a01-7b42-44c1-a524-377df887cc99"],
Cell[226256, 6007, 720, 15, 25, "Print", "ExpressionUUID" -> \
"89a2426c-d934-4a02-bf56-08bdb08b264f"],
Cell[226979, 6024, 249, 7, 26, "Print", "ExpressionUUID" -> \
"a99a48c7-f692-4076-a19e-2b40e8b83764"],
Cell[227231, 6033, 157, 3, 25, "Print", "ExpressionUUID" -> \
"e061a3ab-af37-47d7-a661-d372b2b162d8"],
Cell[227391, 6038, 184, 4, 25, "Print", "ExpressionUUID" -> \
"b0e16e56-b17b-49cd-9aab-8719300db400"],
Cell[227578, 6044, 740, 17, 25, "Print", "ExpressionUUID" -> \
"a11ebc53-b144-4f21-a8c1-e3f2a17f0e79"],
Cell[228321, 6063, 728, 17, 25, "Print", "ExpressionUUID" -> \
"f947e30a-7040-472f-97a1-9c4196df236f"],
Cell[229052, 6082, 841, 20, 25, "Print", "ExpressionUUID" -> \
"fa99c783-8cbc-41b6-b744-25a3c7270222"],
Cell[229896, 6104, 189, 4, 25, "Print", "ExpressionUUID" -> \
"d7316357-486f-4845-b34c-73d55f6d9227"],
Cell[230088, 6110, 494, 11, 25, "Print", "ExpressionUUID" -> \
"cb8f2954-bd90-4878-9c4c-86c2e2569443"],
Cell[230585, 6123, 841, 20, 25, "Print", "ExpressionUUID" -> \
"93585249-e157-4f5f-be39-0a4c59a32e40"],
Cell[231429, 6145, 843, 20, 25, "Print", "ExpressionUUID" -> \
"35e8287e-d24f-472f-adbb-93faaca73243"],
Cell[232275, 6167, 466, 11, 25, "Print", "ExpressionUUID" -> \
"7522795b-1cc4-45f9-8194-6bc278473539"],
Cell[232744, 6180, 846, 20, 25, "Print", "ExpressionUUID" -> \
"4bc64674-3466-4024-936f-b3c7aea25ffe"],
Cell[233593, 6202, 444, 10, 25, "Print", "ExpressionUUID" -> \
"68cc01f3-18bd-4bd8-bd70-5d1ef5125e40"],
Cell[234040, 6214, 846, 20, 25, "Print", "ExpressionUUID" -> \
"9946ddb1-ee8c-426b-a119-f41ceed508f0"],
Cell[234889, 6236, 176, 3, 25, "Print", "ExpressionUUID" -> \
"437d55fe-4f3f-4148-8021-0d712d9a9d81"],
Cell[235068, 6241, 736, 17, 25, "Print", "ExpressionUUID" -> \
"7a2652f7-2922-40fe-9ab5-997a13267dfa"],
Cell[235807, 6260, 843, 20, 25, "Print", "ExpressionUUID" -> \
"87b2b24e-e342-47f1-af5b-8f52bb25458c"],
Cell[236653, 6282, 734, 17, 25, "Print", "ExpressionUUID" -> \
"3afa601b-565f-41c2-9d46-6a6854d8d43c"],
Cell[237390, 6301, 738, 17, 25, "Print", "ExpressionUUID" -> \
"c187fd81-1a00-4d9d-bd3a-af2a2e7f3be4"],
Cell[238131, 6320, 732, 17, 25, "Print", "ExpressionUUID" -> \
"df0c9ff6-fff6-4c1a-b77b-615e77b65527"],
Cell[238866, 6339, 170, 3, 25, "Print", "ExpressionUUID" -> \
"8efae122-683e-4d52-a082-42d15bcdb097"],
Cell[239039, 6344, 839, 20, 25, "Print", "ExpressionUUID" -> \
"026a76a3-8304-46bc-994a-9cf22f6be70d"],
Cell[239881, 6366, 264, 7, 26, "Print", "ExpressionUUID" -> \
"be192170-bece-4ecc-ad5c-5882187c92bd"],
Cell[240148, 6375, 152, 3, 25, "Print", "ExpressionUUID" -> \
"ab61a945-e04c-4737-af74-49975ab4aec7"],
Cell[240303, 6380, 154, 2, 25, "Print", "ExpressionUUID" -> \
"c283f33c-72cc-4cdb-9834-f582ed769391"],
Cell[240460, 6384, 156, 3, 25, "Print", "ExpressionUUID" -> \
"10e12f2c-a4e5-4c19-8fe2-e3cbd1aa806e"],
Cell[240619, 6389, 164, 3, 25, "Print", "ExpressionUUID" -> \
"39a30e13-9689-4260-9158-55c3849e388f"],
Cell[240786, 6394, 158, 3, 25, "Print", "ExpressionUUID" -> \
"9d0a430f-453e-4953-b73d-e24d8797f734"],
Cell[240947, 6399, 153, 3, 25, "Print", "ExpressionUUID" -> \
"50de9091-9b13-4a2d-8606-ae687d8f728f"],
Cell[241103, 6404, 603, 12, 25, "Print", "ExpressionUUID" -> \
"3cbba70b-dda4-490e-8574-8ddcca4607b4"],
Cell[241709, 6418, 283, 8, 26, "Print", "ExpressionUUID" -> \
"53c878dd-1a96-4292-9b0c-77d527d41ed1"],
Cell[241995, 6428, 200, 4, 25, "Print", "ExpressionUUID" -> \
"9c26d93e-0cff-4c1c-a883-46caff422ef6"],
Cell[242198, 6434, 163, 3, 25, "Print", "ExpressionUUID" -> \
"f2c4b521-a136-4d1c-9a7c-24aaa6cc8350"],
Cell[242364, 6439, 585, 14, 25, "Print", "ExpressionUUID" -> \
"a7449b6f-3614-483d-a923-5cbe2c662f80"],
Cell[242952, 6455, 174, 3, 25, "Print", "ExpressionUUID" -> \
"2f6a9927-8ce1-4737-bba7-7a774c7faf18"],
Cell[243129, 6460, 572, 14, 25, "Print", "ExpressionUUID" -> \
"763195c7-b3f3-41ec-b32a-2f6faeae0d61"],
Cell[243704, 6476, 174, 3, 25, "Print", "ExpressionUUID" -> \
"af143922-d848-4bd9-88da-6bea980d2bf8"],
Cell[243881, 6481, 580, 14, 25, "Print", "ExpressionUUID" -> \
"082c0a97-0512-4ae8-8d64-8b51ade54862"],
Cell[244464, 6497, 622, 14, 25, "Print", "ExpressionUUID" -> \
"2a51dad4-3552-4f01-8b4b-d29b94959168"],
Cell[245089, 6513, 373, 9, 25, "Print", "ExpressionUUID" -> \
"303ea361-90f0-4d07-933d-e80add550e4c"],
Cell[245465, 6524, 388, 10, 25, "Print", "ExpressionUUID" -> \
"415b6115-88a1-4a95-b1ca-71dd926d46cb"],
Cell[245856, 6536, 394, 9, 25, "Print", "ExpressionUUID" -> \
"e28415ad-9234-413d-9102-33f38fda1f51"],
Cell[246253, 6547, 396, 10, 25, "Print", "ExpressionUUID" -> \
"7a7eb572-e9a5-4efb-a8c2-e9be3e3e1f72"],
Cell[246652, 6559, 249, 7, 26, "Print", "ExpressionUUID" -> \
"50184e73-805a-403d-aec7-ca1faf697fd6"],
Cell[246904, 6568, 166, 3, 25, "Print", "ExpressionUUID" -> \
"99a19f85-5bc1-4d48-a64d-17301e6031aa"],
Cell[247073, 6573, 178, 3, 25, "Print", "ExpressionUUID" -> \
"a4ba7659-d722-4ee2-920b-f481b35c2767"],
Cell[247254, 6578, 746, 15, 25, "Print", "ExpressionUUID" -> \
"b032e59e-3a7e-45a6-a828-e098a94b967d"],
Cell[248003, 6595, 744, 14, 25, "Print", "ExpressionUUID" -> \
"51d334ba-4c97-40e6-8930-30279f52571c"],
Cell[248750, 6611, 255, 7, 26, "Print", "ExpressionUUID" -> \
"e4566e18-0b42-460e-a7a0-5d00ab9ee286"],
Cell[249008, 6620, 718, 15, 25, "Print", "ExpressionUUID" -> \
"93ef7db6-9008-4e4f-ac93-05226fb15031"],
Cell[249729, 6637, 724, 15, 25, "Print", "ExpressionUUID" -> \
"2313d741-8ab9-49cf-8122-b4ee786d465b"],
Cell[250456, 6654, 266, 7, 26, "Print", "ExpressionUUID" -> \
"94a0b39c-92e7-4ddc-99b7-6c8180680fc7"],
Cell[250725, 6663, 174, 3, 25, "Print", "ExpressionUUID" -> \
"3da17778-69a6-4afc-a477-9e36e8340cef"],
Cell[250902, 6668, 832, 19, 25, "Print", "ExpressionUUID" -> \
"8e6556d9-0364-4763-b5ca-acb5c6253185"],
Cell[251737, 6689, 1385, 27, 25, "Print", "ExpressionUUID" -> \
"e43f8d80-fbb7-42da-ae4f-ea5478b5a513"],
Cell[253125, 6718, 760, 15, 25, "Print", "ExpressionUUID" -> \
"a4af3cef-9fbc-4616-b31b-a4bbaa6e6eb6"],
Cell[253888, 6735, 156, 2, 25, "Print", "ExpressionUUID" -> \
"03a1a5a0-0b6e-4fc0-9ed6-932aa7941c3d"],
Cell[254047, 6739, 256, 7, 26, "Print", "ExpressionUUID" -> \
"d4105ae6-c6fb-4bfa-9796-48ed70aed616"],
Cell[254306, 6748, 266, 7, 26, "Print", "ExpressionUUID" -> \
"343ccb20-8106-4854-b48b-4ce9e7d11e54"],
Cell[254575, 6757, 249, 7, 26, "Print", "ExpressionUUID" -> \
"39a60fcf-d1c5-482f-a2a2-2942307ac4bb"],
Cell[254827, 6766, 259, 6, 26, "Print", "ExpressionUUID" -> \
"fb83a4e8-3377-4fe9-8692-2a7fcc0072a3"],
Cell[255089, 6774, 158, 3, 25, "Print", "ExpressionUUID" -> \
"f7f63ba7-b37e-427d-a1e7-f2a4e7b3eecd"],
Cell[255250, 6779, 156, 3, 25, "Print", "ExpressionUUID" -> \
"f25b686c-6cfb-4055-93ee-74d9be97edbc"],
Cell[255409, 6784, 158, 3, 25, "Print", "ExpressionUUID" -> \
"a8e62049-9c5a-45ee-ad0e-15524b873e16"],
Cell[255570, 6789, 157, 3, 25, "Print", "ExpressionUUID" -> \
"0fa50c20-b07f-434d-bc87-a714c51326e7"],
Cell[255730, 6794, 152, 3, 25, "Print", "ExpressionUUID" -> \
"f1a35fba-c5a1-41dc-9614-c4f8c10a29d8"],
Cell[255885, 6799, 159, 3, 25, "Print", "ExpressionUUID" -> \
"d42ef90b-1e67-48bb-afe9-8658f8554cd7"],
Cell[256047, 6804, 158, 3, 25, "Print", "ExpressionUUID" -> \
"0781711f-aafb-4e7b-8ffa-aadffaa31540"],
Cell[256208, 6809, 156, 3, 25, "Print", "ExpressionUUID" -> \
"4453fc14-41c4-490b-8129-2e5057bbabdf"],
Cell[256367, 6814, 271, 7, 26, "Print", "ExpressionUUID" -> \
"f7e72dd2-e21e-4a1b-8343-08b4db227efc"],
Cell[256641, 6823, 195, 4, 25, "Print", "ExpressionUUID" -> \
"4ecb8ae3-8991-47af-a061-2d3abac17a6a"],
Cell[256839, 6829, 266, 7, 27, "Print", "ExpressionUUID" -> \
"eac6f8fe-8445-41db-ad8b-2f46f4771a30"],
Cell[257108, 6838, 320, 8, 27, "Print", "ExpressionUUID" -> \
"e1fe4019-70d2-48bb-9d78-cf3a0772831a"],
Cell[257431, 6848, 587, 14, 48, "Print", "ExpressionUUID" -> \
"36c438ac-f310-4c8b-b2a7-a240a4ae7157"],
Cell[258021, 6864, 279, 7, 25, "Print", "ExpressionUUID" -> \
"dbf3d819-eb41-454c-b45e-77a1e8a0667b"],
Cell[258303, 6873, 269, 7, 25, "Print", "ExpressionUUID" -> \
"671097ef-976e-4ba5-8377-fb98b773de83"],
Cell[258575, 6882, 269, 7, 25, "Print", "ExpressionUUID" -> \
"ec804159-2c21-47da-a884-fae2023be030"],
Cell[258847, 6891, 628, 15, 72, "Print", "ExpressionUUID" -> \
"a9d1ac25-9ef1-4b15-8f56-7201482123c9"],
Cell[259478, 6908, 584, 14, 48, "Print", "ExpressionUUID" -> \
"4bb487d7-14da-4ca3-99bc-abbfeefd2cea"],
Cell[260065, 6924, 277, 7, 25, "Print", "ExpressionUUID" -> \
"3838ff50-3cb8-492d-883c-2f563f33afd1"],
Cell[260345, 6933, 277, 7, 25, "Print", "ExpressionUUID" -> \
"55994eb8-8ffd-4d4b-a168-7a0796c6ea8c"],
Cell[260625, 6942, 271, 7, 25, "Print", "ExpressionUUID" -> \
"46718292-e075-47c0-ae36-5ce5581eea3a"],
Cell[260899, 6951, 626, 15, 122, "Print", "ExpressionUUID" -> \
"2d3efee7-34b6-45d4-a384-1fe63495e40e"],
Cell[261528, 6968, 387, 9, 25, "Print", "ExpressionUUID" -> \
"e6d3a6fa-8e45-45ad-8671-60828e71d0d7"],
Cell[261918, 6979, 1413, 33, 25, "Print", "ExpressionUUID" -> \
"31296f4e-b4c1-429e-acd7-da7198e37233"],
Cell[263334, 7014, 325, 8, 25, "Print", "ExpressionUUID" -> \
"4f6d5ad5-728d-4027-93da-8993cae7bf10"],
Cell[263662, 7024, 317, 8, 25, "Print", "ExpressionUUID" -> \
"97154fc5-a529-4e01-a778-7f2518972326"],
Cell[263982, 7034, 319, 8, 25, "Print", "ExpressionUUID" -> \
"7fc519d9-7f90-4918-86cf-09dd7d94e95d"],
Cell[264304, 7044, 832, 20, 25, "Print", "ExpressionUUID" -> \
"dfd9747f-cb2a-48d2-8853-e7df402911f0"],
Cell[265139, 7066, 385, 9, 25, "Print", "ExpressionUUID" -> \
"ac217b10-2696-408d-8051-3ca32d987441"],
Cell[265527, 7077, 1415, 33, 25, "Print", "ExpressionUUID" -> \
"0e3f16f0-aaf5-46a3-995a-bbb2bef2d5b3"],
Cell[266945, 7112, 327, 8, 25, "Print", "ExpressionUUID" -> \
"ef73bc96-64f8-470f-8891-bd530e0bdce8"],
Cell[267275, 7122, 325, 8, 25, "Print", "ExpressionUUID" -> \
"7c69470b-492a-4ca6-808c-2f822f02e20c"],
Cell[267603, 7132, 317, 8, 25, "Print", "ExpressionUUID" -> \
"87ce0e0c-54d0-4363-8431-eeba0fc671f2"],
Cell[267923, 7142, 835, 20, 25, "Print", "ExpressionUUID" -> \
"39a60ea1-9191-4354-ac43-5ad0bad2cbc2"],
Cell[268761, 7164, 158, 3, 25, "Print", "ExpressionUUID" -> \
"db0497f8-eece-42bb-a983-77d0bd473ce7"],
Cell[268922, 7169, 167, 3, 25, "Print", "ExpressionUUID" -> \
"edc3e37b-fb16-4fd9-922d-c68adc75730a"],
Cell[269092, 7174, 164, 3, 25, "Print", "ExpressionUUID" -> \
"de9ce8ba-5908-46f3-8a5f-5e47146b084b"],
Cell[269259, 7179, 250, 7, 26, "Print", "ExpressionUUID" -> \
"75093940-dee2-46b6-b8f8-5b385ee0cdd7"],
Cell[269512, 7188, 160, 3, 25, "Print", "ExpressionUUID" -> \
"1be434fb-a1f4-40f4-b957-5a45f6134240"],
Cell[269675, 7193, 163, 3, 25, "Print", "ExpressionUUID" -> \
"b913aec3-aa20-46a8-b801-bdc76cbba321"],
Cell[269841, 7198, 267, 7, 26, "Print", "ExpressionUUID" -> \
"a128c509-252c-4c18-b094-06d4d1a69db1"],
Cell[270111, 7207, 177, 3, 25, "Print", "ExpressionUUID" -> \
"c38035fc-799b-4be7-8994-bf14fe2bfe41"],
Cell[270291, 7212, 164, 3, 25, "Print", "ExpressionUUID" -> \
"e22e003a-0592-4be9-bd89-ddc631c2a95a"],
Cell[270458, 7217, 254, 7, 26, "Print", "ExpressionUUID" -> \
"50c47664-7ae2-44ca-bba4-d06f12d640a2"],
Cell[270715, 7226, 163, 3, 25, "Print", "ExpressionUUID" -> \
"8f44f9e0-f958-4403-a4dc-f558e1ad3aa3"],
Cell[270881, 7231, 157, 3, 25, "Print", "ExpressionUUID" -> \
"639bd037-8a59-40ef-b670-7a9fd6b5ab66"],
Cell[271041, 7236, 164, 3, 25, "Print", "ExpressionUUID" -> \
"f0f942e0-5799-440d-88a8-698919d3ca64"],
Cell[271208, 7241, 245, 7, 26, "Print", "ExpressionUUID" -> \
"da4f129c-8849-4f83-8670-ef128bb5aae8"],
Cell[271456, 7250, 281, 8, 26, "Print", "ExpressionUUID" -> \
"e257b55f-dad3-467d-9705-80e4e75528df"],
Cell[271740, 7260, 159, 3, 25, "Print", "ExpressionUUID" -> \
"7c484eea-9acc-4128-bc68-87f3188ee57f"],
Cell[271902, 7265, 790, 16, 25, "Print", "ExpressionUUID" -> \
"3bd310e7-ffcc-4555-a3b8-a4dfe3c5fed5"],
Cell[272695, 7283, 792, 16, 25, "Print", "ExpressionUUID" -> \
"9567be81-db46-4d7c-a286-5358bc9ee589"],
Cell[273490, 7301, 263, 7, 26, "Print", "ExpressionUUID" -> \
"b5d44f14-06af-4940-aa0e-58c10f793f74"],
Cell[273756, 7310, 169, 3, 25, "Print", "ExpressionUUID" -> \
"2444e9e9-467f-4918-9f80-e90d8f682f33"],
Cell[273928, 7315, 161, 3, 25, "Print", "ExpressionUUID" -> \
"3265704a-88d4-47a2-919a-c5fe8555ffe3"],
Cell[274092, 7320, 154, 3, 25, "Print", "ExpressionUUID" -> \
"89070d4a-6b70-4b80-816f-d6438db101fe"],
Cell[274249, 7325, 136, 3, 25, "Print", "ExpressionUUID" -> \
"df114b94-bcb6-4175-a432-e1b8a20b3d6b"],
Cell[274388, 7330, 372, 8, 25, "Print", "ExpressionUUID" -> \
"9103c10d-7612-4187-975f-24e5dd86853b"],
Cell[274763, 7340, 557, 15, 25, "Print", "ExpressionUUID" -> \
"0ec90d5a-d3e9-4afd-bd35-c074962d28d4"],
Cell[275323, 7357, 136, 3, 25, "Print", "ExpressionUUID" -> \
"9bff12cb-bc6a-4ec6-bb09-31da1fe14fc3"],
Cell[275462, 7362, 210, 4, 25, "Print", "ExpressionUUID" -> \
"df6de3a1-114c-4e94-84d0-75cad6441e77"],
Cell[275675, 7368, 542, 12, 25, "Print", "ExpressionUUID" -> \
"c029a3a5-a10a-406c-a7bd-68cf3b0c4fa2"],
Cell[276220, 7382, 168, 3, 25, "Print", "ExpressionUUID" -> \
"b0c0e772-d0d2-4a52-a034-696fcbcb95c0"],
Cell[276391, 7387, 324, 8, 25, "Print", "ExpressionUUID" -> \
"06cf69fd-b720-4e01-85d5-df1e466f6565"],
Cell[276718, 7397, 172, 3, 25, "Print", "ExpressionUUID" -> \
"c4bca2e2-7201-4468-b78e-6717c9baee95"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

